2005-07-12	16:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	skim.spec.in (1.6) (+80 -46)

	updated spec.in based on Jens Petersen's spec file for redhat

2005-07-12	14:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	bksys/kde.py (1.13) (+6 -5)
		bksys/libscim.py (1.3) (+1 -0)

	fixed include dir issue

2005-07-12	13:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	bksys/kde.py (1.12) (+5 -1)

	handle png file as well

2005-07-12	02:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	bksys/generic.py (1.10) (+1 -1)
		bksys/pkg.py (1.6) (+1 -1)

	fixed DESTDIR and pcfile_path support

2005-07-12	01:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	bksys/pkg.py (1.5) (+4 -7)

	libdir/pkgconfig as the default pcfile_path

2005-07-11	22:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	bksys/generic.py (1.9) (+6 -6)
		bksys/kde.py (1.11) (+9 -18)

	use os.path.join instead of /

2005-07-11	21:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	bksys/pkg.py (1.4) (+5 -1)

	append /usr/local/lib/pkg-config to PKG_CONFIG_PATH

2005-07-11	21:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	SConstruct (1.9) (+2 -7)
		bksys/pkg.py (1.3) (+16 -4)

	added libsuffix support and refined pcfile_path handling

2005-07-11	20:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	SConstruct (1.8) (+1 -1)
		src/SConscript (1.4) (+1 -1)

	use more reliable so files rather than la files

2005-07-11	20:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	bksys/generic.py (1.8) (+3 -9)

	cleanup

2005-07-11	19:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	doc/SConscript (1.3) (+3 -3)

	do not install kdex.dtd

2005-07-11	19:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	bksys/generic.py (1.7) (+26 -10)
		bksys/kde.py (1.10) (+1 -1)

	link against libname.so.major rather than libname.so

2005-07-11	18:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	bksys/generic.py (1.6) (+7 -3)

	fixed dlname in la files

2005-07-11	16:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	SConstruct (1.7) (+6 -1)
		bksys/pkg.py (1.2) (+8 -0)

	added a pcfile_path option to pkg.py module

2005-07-11	12:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	po/de.po (1.36) (+9 -17)
		po/ja.po (1.42) (+8 -10)

	updated ja and de

2005-07-10	19:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	configure (1.4) (+1 -0)

	output message when configure that bundled scons is used

2005-07-10	19:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	utils/SConscript (1.2) (+1 -0)

	install skim utils header files

2005-07-10	19:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.106) (+133 -636)
		NEWS (1.26) (+4 -0)
		SConstruct (1.6) (+1 -1)
		configure.in.in (1.60) (+1 -1)
		doc/en/index.docbook (1.57) (+2 -2)

	version 1.3.3 is ready

2005-07-10	13:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	bksys/kde.py (1.9) (+1 -1)

	fixed: icon issue

2005-07-10	03:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	doc/SConscript (1.2) (+4 -0)

	install kdex.dtd

2005-07-10	03:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	bksys/kde.py (1.8) (+1 -1)
		src/SConscript (1.3) (+1 -1)

	fixed: bksys: KDEicon only install the first found icon

2005-07-10	00:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/mainwindow/applet/.cvsignore (1.2) (+1 -1)
		plugins/mainwindow/applet/SConscript (1.1) ( )

	plugins/mainwindow/applet/

2005-07-10	00:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/SConscript (1.2) (+2 -2)

	fixed: autostart desktop install dir

2005-07-10	00:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/mainwindow/SConscript (1.2) (+5 -2)

	install mainwindowui.rc

2005-07-10	00:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	bksys/kde.py (1.7) (+4 -0)

	handle png file as well

2005-07-10	00:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	SConstruct (1.5) (+3 -2)

	correct version handle; added subdir applet back

2005-07-10	00:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	icons/SConscript (1.2) (+1 -1)

	added a missing icon

2005-07-09	13:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	bksys/kde.py (1.6) (+2 -0)
		po/SConscript (1.4) (+2 -1)

	fixed: install *.mo not *.gmo

2005-07-09	13:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	po/SConscript (1.3) (+1 -1)

	fixed: install mo file into LC_MESSAGES/skim, not LC_MESSAGES/skim.mo

2005-07-09	12:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	po/SConscript (1.2) (+1 -1)

	fixed: KDEinstallas -> KDEinstall

2005-07-08	23:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	bksys/generic.py (1.5) (+8 -11)
		bksys/kde.py (1.5) (+20 -16)

	updated bksys: official DESTDIR support and specific installing of translation support

2005-07-08	20:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	bksys/generic.py (1.4) (+1 -1)
		bksys/kde.py (1.4) (+4 -3)

	updated bksys to fix permission issue

2005-07-08	16:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	bksys/kde.py (1.3) (+2 -1)

	fixed DESTDIR support in bksys

2005-07-08	15:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	bksys/libscim.py (1.2) (+1 -1)

	do not append lib to kconfig

2005-07-07	20:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	SConstruct (1.4) (+1 -4)
		bksys/generic.py (1.2) (+52 -12)
		bksys/kde.py (1.2) (+11 -2)

	updated to latest bksys-1.2.7-pre3-patch

2005-07-07	20:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	README (1.15) (+3 -0)

	howto use DESTDIR

2005-07-07	13:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	SConstruct (1.3) (+4 -1)

	set the same access mode of the generated file as the source

2005-07-07	00:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.105) (+65 -0)
		INSTALL (1.2) (+1 -167)
		NEWS (1.25) (+7 -0)
		README (1.14) (+3 -1)
		SConstruct (1.2) (+1 -1)
		configure.in.in (1.58) (+1 -1)

	require scim>=1.3.3
	updated help doc for skim 1.3.2 and bksys

2005-07-07	00:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	configure (1.3) (+64 -26820)
		bksys/.cvsignore (1.1) ( )
		bksys/scons-mini.tar.bz2 (1.1) ( )

	added some missing files

2005-07-07	00:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	.cvsignore (1.12) (+0 -1)
		README (1.13) (+13 -4)
		SConstruct (1.1) ( )
		bootstrap.make (1.1) ( )
		bksys/generic.py (1.1) ( )
		bksys/kde.py (1.1) ( )
		bksys/libscim.py (1.1) ( )
		bksys/libskim.py (1.1) ( )
		bksys/pkg.py (1.1) ( )
		doc/SConscript (1.1) ( )
		icons/SConscript (1.1) ( )
		plugins/compmgrclient/SConscript (1.1) ( )
		plugins/inputwindow/SConscript (1.1) ( )
		plugins/kdetraystatus/SConscript (1.1) ( )
		plugins/mainwindow/SConscript (1.1) ( )
		plugins/scimlauncher/SConscript (1.1) ( )
		plugins/setupwindow/SConscript (1.1) ( )
		po/Makefile.am (1.12) (+24 -0)
		po/SConscript (1.1) ( )
		scim/config/SConscript (1.1) ( )
		src/SConscript (1.1) ( )
		utils/SConscript (1.1) ( )

	migrated to bksys

2005-07-06	16:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.104) (+112 -0)
		Makefile.am (1.6) (+1 -1)
		configure.in.in (1.57) (+2 -2)
		doc/en/index.docbook (1.56) (+2 -2)
		po/zh_CN.po (1.48) (+9 -15)
		src/skim.desktop (1.16) (+1 -0)

	updated help doc; pumped to 1.3.2

2005-07-02	00:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/compmgrclient/skimplugin_compmgrclient_config.desktop (1.8) (+1 -0)
		plugins/inputwindow/skimplugin_inputwindow_config.desktop (1.17) (+1 -0)
		plugins/kdetraystatus/skimplugin_systemtray_config.desktop (1.17) (+1 -0)
		plugins/mainwindow/skimplugin_mainwindow_config.desktop (1.19) (+1 -0)
		plugins/setupwindow/kcm_skimplugin_configplugin_config.desktop (1.19) (+1 -0)
		plugins/setupwindow/skimplugin_scim_global_config.desktop (1.18) (+1 -0)
		plugins/setupwindow/skimplugin_scim_imengines_config.desktop (1.21) (+1 -0)
		plugins/setupwindow/skimplugin_scim_x_config.desktop (1.20) (+1 -0)

	added docpath so that handbook can be accessed in the help dialog

2005-07-02	00:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/scimstringrender.cpp (1.14) (+2 -0)

	honor the color of the text in current kde color theme

2005-06-28	23:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/scim_global.ui (1.14) (+36 -25)
		po/de.po (1.35) (+80 -67)
		po/desktop.pot (1.37) (+1 -1)
		po/fr.po (1.21) (+80 -67)
		po/it.po (1.21) (+80 -67)
		po/ja.po (1.41) (+80 -67)
		po/ko.po (1.37) (+73 -65)
		po/skim.pot (1.42) (+73 -65)
		po/zh_CN.po (1.47) (+80 -67)
		po/zh_TW.po (1.27) (+73 -65)
		utils/scimkdeconfig.kcfg (1.47) (+6 -1)

	added share input method support

2005-06-26	16:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/scimlauncher/scimlauncher.cpp (1.40) (+1 -2)
		plugins/setupwindow/scimglobalconfigplugin.cpp (1.16) (+2 -0)

	cleanup

2005-06-26	00:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/compmgrclient/compmgrclient.cpp (1.4) (+0 -2)

	cleanup

2005-06-25	23:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	po/ja.po (1.40) (+21 -30)

	updated ja

2005-06-25	18:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	po/de.po (1.34) (+59 -91)
		po/desktop.pot (1.36) (+1 -1)
		po/desktop_de.po (1.19) (+1 -1)
		po/skim.pot (1.41) (+1 -1)
		po/zh_CN.po (1.46) (+5 -4)

	updated de

2005-06-24	17:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/scimlistbox.h (1.22) (+3 -0)
		plugins/inputwindow/scimstringlistitem.h (1.15) (+2 -0)
		plugins/inputwindow/scimstringrender.h (1.8) (+2 -0)
		src/skimpluginmanager.cpp (1.41) (+3 -0)
		src/socketserverthread.cpp (1.77) (+2 -0)

	cleanup

2005-06-20	05:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	po/zh_CN.po (1.45) (+2 -2)

	typo in zh_CN

2005-06-17	23:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	configure.in.in (1.56) (+1 -1)

	requires scim >= 1.3.1

2005-06-17	23:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	scim/config/scim_kconfig_config.cpp (1.16) (+5 -1)

	added back config.h

2005-06-17	23:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	NEWS (1.24) (+13 -0)

	1.3.1 is ready for releasing

2005-06-17	01:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	TODO (1.88) (+1 -0)

	updated TODO

2005-06-17	01:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	po/de.po (1.33) (+104 -88)
		po/desktop.pot (1.35) (+1 -1)
		po/fr.po (1.20) (+104 -88)
		po/it.po (1.20) (+104 -88)
		po/ja.po (1.39) (+104 -88)
		po/ko.po (1.36) (+103 -89)
		po/skim.pot (1.40) (+100 -86)
		po/zh_CN.po (1.44) (+103 -89)
		po/zh_TW.po (1.26) (+103 -89)

	updated string and zh_CN

2005-06-17	00:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.103) (+331 -0)
		doc/en/index.docbook (1.55) (+1 -1)

	updated ChangeLog and en doc for release 1.3.1

2005-06-16	01:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	utils/scimkdeconfig.kcfg (1.46) (+1 -1)

	dynamic event is default true now

2005-06-16	01:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/kdetraystatus/kdetraystatus.cpp (1.39) (+2 -0)
		scim/config/scim_kconfig_config.cpp (1.15) (+1 -3)

	cleanup

2005-06-13	03:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/main.cpp (1.54) (+0 -3)
		src/socketserverthread.cpp (1.76) (+20 -1)
		src/socketserverthread.h (1.57) (+9 -0)

	added transaction_start transaction_end support; cleanup

2005-06-12	12:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	utils/scimxmlguibuilder.cpp (1.5) (+2 -1)

	fixed a potential crash

2005-06-12	12:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	utils/scimkdeconfig.kcfg (1.45) (+5 -0)

	added an option kcfg_LookupTable_MinimumWidth

2005-06-12	12:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/configinputwindow.cpp (1.6) (+2 -0)
		plugins/inputwindow/inputwindow.cpp (1.71) (+41 -6)
		plugins/inputwindow/inputwindow.h (1.39) (+3 -0)
		plugins/inputwindow/inputwindow_settings.ui (1.7) (+23 -7)

	improvement: refined the actionlist manipulation mechanism; added an option kcfg_LookupTable_MinimumWidth

2005-06-12	00:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/kdetraystatus/kdetraystatus.cpp (1.38) (+2 -13)

	fixed icon size issue

2005-06-12	00:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/mainwindow/mainwindow.cpp (1.84) (+77 -30)
		plugins/mainwindow/mainwindow.h (1.41) (+3 -0)

	improvement: use transaction start/end signal to improve the performance of mainwindow

2005-06-11	13:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/inputwindow.cpp (1.70) (+13 -8)
		plugins/inputwindow/inputwindow.h (1.38) (+1 -0)
		plugins/inputwindow/scimlineedit.cpp (1.20) (+5 -2)
		plugins/inputwindow/scimstringrender.cpp (1.13) (+31 -24)

	improvement: performance of inputwindow; fixed: crash

2005-06-11	02:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/inputwindow.cpp (1.69) (+52 -47)
		plugins/inputwindow/inputwindow.h (1.37) (+1 -2)

	fixed: input window components are hidden in unproper occasion

2005-06-10	22:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/inputwindow.cpp (1.68) (+13 -16)

	fixed: flitter of detached lookuptable; cleanup

2005-06-10	14:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	AUTHORS (1.10) (+2 -1)

	my name alias ;)

2005-06-10	11:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	utils/scimactions.cpp (1.41) (+12 -8)
		utils/scimactions.h (1.28) (+3 -1)

	fixed: sizeHint calculation of skimtoolbutton

2005-06-10	11:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	po/zh_CN.po (1.43) (+2 -2)

	typo in zh_CN

2005-06-08	23:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	po/de.po (1.32) (+2 -2)
		po/desktop.pot (1.34) (+9 -1)
		po/desktop_de.po (1.18) (+8 -6)
		po/desktop_fr.po (1.14) (+8 -6)
		po/desktop_it.po (1.14) (+8 -6)
		po/desktop_ja.po (1.16) (+8 -6)
		po/desktop_ko.po (1.16) (+7 -5)
		po/desktop_zh_CN.po (1.15) (+8 -6)
		po/desktop_zh_TW.po (1.13) (+7 -5)
		po/fr.po (1.19) (+2 -2)
		po/it.po (1.19) (+2 -2)
		po/ja.po (1.38) (+2 -2)
		po/ko.po (1.35) (+2 -2)
		po/skim.pot (1.39) (+2 -2)
		po/zh_CN.po (1.42) (+16 -25)
		po/zh_TW.po (1.25) (+2 -2)
		utils/scimkdeconfig.kcfg (1.44) (+1 -1)

	typo and updated zh_CN

2005-06-08	23:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	README (1.12) (+2 -0)
		configure.in.in (1.55) (+1 -1)

	pumped to 1.3.1

2005-06-08	19:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	TODO (1.87) (+0 -4)
		po/de.po (1.31) (+80 -22)
		po/desktop.pot (1.33) (+1 -9)
		po/desktop_de.po (1.17) (+6 -8)
		po/desktop_fr.po (1.13) (+6 -8)
		po/desktop_it.po (1.13) (+10 -11)
		po/desktop_ja.po (1.15) (+6 -8)
		po/desktop_ko.po (1.15) (+5 -7)
		po/desktop_zh_CN.po (1.14) (+6 -8)
		po/desktop_zh_TW.po (1.12) (+5 -7)
		po/fr.po (1.18) (+80 -19)
		po/it.po (1.18) (+79 -22)
		po/ja.po (1.37) (+80 -22)
		po/ko.po (1.34) (+74 -22)
		po/skim.pot (1.38) (+69 -19)
		po/zh_CN.po (1.41) (+79 -19)
		po/zh_TW.po (1.24) (+74 -19)
		utils/scimkdeconfig.kcfg (1.43) (+11 -1)

	TODO list for 1.4.0 is empty now ;) more whatsthis

2005-06-08	18:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/scim_x.ui (1.14) (+8 -0)
		utils/scimkdeconfig.kcfg (1.42) (+5 -0)

	added back option _FrontEnd_X11_Dynamic

2005-06-07	21:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	TODO (1.86) (+1 -2)
		plugins/mainwindow/mainwindow.cpp (1.83) (+16 -14)
		plugins/mainwindow/mainwindow.h (1.40) (+2 -1)
		plugins/mainwindow/mainwindowui.rc (1.4) (+2 -0)
		src/skimglobalactions.cpp (1.44) (+41 -43)
		src/skimglobalactions.h (1.27) (+7 -4)

	separate GUI and Frontend property display area in mainwindow

2005-06-05	23:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/compmgrclient/skimplugin_compmgrclient.desktop (1.7) (+2 -0)
		plugins/compmgrclient/skimplugin_compmgrclient_config.desktop (1.7) (+1 -0)
		plugins/mainwindow/skimplugin_mainwindow.desktop (1.18) (+1 -0)
		plugins/setupwindow/skimplugin_scim_imengines_config.desktop (1.20) (+1 -0)
		plugins/setupwindow/skimsetupdir_frontend.desktop (1.5) (+1 -0)
		plugins/setupwindow/skimsetupdir_imengines.desktop (1.6) (+1 -0)
		plugins/setupwindow/skimsetupdir_panel.desktop (1.6) (+1 -0)
		po/desktop_it.po (1.12) (+17 -24)

	updated it

2005-06-05	15:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/compmgrclient/skimplugin_compmgrclient.desktop (1.6) (+2 -0)
		plugins/compmgrclient/skimplugin_compmgrclient_config.desktop (1.6) (+2 -0)
		plugins/mainwindow/skimplugin_mainwindow.desktop (1.17) (+1 -0)
		plugins/setupwindow/skimplugin_scim_imengines_config.desktop (1.19) (+1 -0)
		plugins/setupwindow/skimsetupdir_frontend.desktop (1.4) (+1 -0)
		plugins/setupwindow/skimsetupdir_imengines.desktop (1.5) (+1 -0)
		plugins/setupwindow/skimsetupdir_panel.desktop (1.5) (+1 -0)
		po/de.po (1.30) (+3 -3)
		po/desktop.pot (1.32) (+1 -1)
		po/desktop_fr.po (1.12) (+14 -29)
		po/fr.po (1.17) (+180 -388)
		po/it.po (1.17) (+169 -170)
		po/ja.po (1.36) (+3 -3)
		po/ko.po (1.33) (+3 -3)
		po/skim.pot (1.37) (+3 -3)
		po/zh_CN.po (1.40) (+7 -6)
		po/zh_TW.po (1.23) (+3 -3)

	updated fr and it

2005-06-05	15:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/skimglobalactions.cpp (1.43) (+8 -4)
		src/socketserverthread.cpp (1.75) (+0 -1)

	cleanup

2005-05-31	22:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	TODO (1.85) (+0 -1)
		plugins/setupwindow/scim_global.ui (1.13) (+1 -1)
		po/de.po (1.29) (+6 -3)
		po/desktop.pot (1.31) (+1 -1)
		po/fr.po (1.16) (+7 -4)
		po/it.po (1.16) (+7 -4)
		po/ja.po (1.35) (+7 -4)
		po/ko.po (1.32) (+7 -4)
		po/skim.pot (1.36) (+2 -2)
		po/zh_CN.po (1.39) (+4 -4)
		po/zh_TW.po (1.22) (+7 -4)

	updated a string in scim_global.ui

2005-05-31	00:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	po/ja.po (1.34) (+31 -36)

	updated ja

2005-05-29	20:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/compmgrclient/.cvsignore (1.2) (+2 -0)
		plugins/compmgrclient/compmgrclient.cpp (1.3) (+48 -22)
		plugins/compmgrclient/compmgrclient.h (1.3) (+4 -2)
		plugins/compmgrclient/compositemanagerconfig.cpp (1.3) (+11 -12)
		plugins/inputwindow/inputwindow.cpp (1.67) (+6 -2)
		plugins/inputwindow/scimlookuptable.cpp (1.26) (+1 -1)
		plugins/mainwindow/mainwindow.cpp (1.82) (+4 -1)
		plugins/setupwindow/kcm_skimplugin_configplugin_config.desktop (1.18) (+1 -1)
		src/extra_utils.h (1.3) (+9 -7)
		utils/scimkdeconfig.kcfg (1.41) (+0 -5)

	reworked the implementation of transparent window support: now cleaner

2005-05-29	20:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/skimpluginmanager.cpp (1.40) (+34 -0)
		src/skimpluginmanager.h (1.15) (+3 -1)

	implemented special property objects list mechanism to support a better approach for transparent window

2005-05-29	20:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	po/de.po (1.28) (+138 -80)
		po/desktop.pot (1.30) (+1 -1)
		po/fr.po (1.15) (+134 -91)
		po/it.po (1.15) (+134 -91)
		po/ja.po (1.33) (+140 -99)
		po/ko.po (1.31) (+134 -91)
		po/skim.pot (1.35) (+128 -80)
		po/zh_CN.po (1.38) (+131 -83)
		po/zh_TW.po (1.21) (+132 -89)

	updated strings and zh_CN

2005-05-29	17:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/scimimenginesettings.cpp (1.20) (+2 -1)

	fixed bug #1210850

2005-05-29	17:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/mainwindow/mainwindow.cpp (1.81) (+23 -2)
		plugins/mainwindow/mainwindow.h (1.39) (+1 -0)

	use signal from dcopclient to know when kicker is started

2005-05-29	17:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/skimpluginmanager.cpp (1.39) (+13 -10)

	do not load any plugins if we should exit

2005-05-29	17:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/scimsetupwindow.cpp (1.43) (+3 -0)

	all kcmodules for skimplugin_scim plugin should always be shown

2005-05-29	16:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/main.cpp (1.53) (+2 -2)

	fixed: bug #1210612

2005-05-29	16:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	po/de.po (1.27) (+2 -2)
		po/fr.po (1.14) (+2 -2)
		po/it.po (1.14) (+2 -2)
		po/ja.po (1.32) (+2 -2)
		po/ko.po (1.30) (+2 -2)
		po/skim.pot (1.34) (+2 -2)
		po/zh_CN.po (1.37) (+2 -2)
		po/zh_TW.po (1.20) (+2 -2)

	fixed: bug #1210612

2005-05-28	23:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	po/zh_CN.po (1.36) (+18 -23)

	updated zh_CN

2005-05-28	22:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/configskimplugins.cpp (1.7) (+1 -0)

	fixed: kde 3.3 calls load() in constructor while kde 3.4 doesn't

2005-05-28	21:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.102) (+319 -0)
		NEWS (1.23) (+23 -0)
		TODO (1.84) (+1 -0)
		scim_panel_kde.kdevelop (1.20) (+1 -0)

	skim 1.3.0 is ready

2005-05-28	19:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/scimlookuptable.cpp (1.25) (+1 -0)
		src/Makefile.am (1.25) (+1 -1)
		src/extra_utils.h (1.2) (+6 -3)

	checking whether xcomposite is enabled before actually do the job

2005-05-28	19:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	configure.in.in (1.54) (+1 -0)

	added info about xcomposite support in configure output

2005-05-28	18:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/compmgrclient/compmgrclient.cpp (1.2) (+13 -5)
		plugins/compmgrclient/compmgrclient.h (1.2) (+6 -1)
		plugins/inputwindow/inputwindow.cpp (1.66) (+4 -0)
		plugins/inputwindow/scimlookuptable.cpp (1.24) (+2 -0)
		plugins/mainwindow/mainwindow.cpp (1.80) (+3 -0)
		src/extra_utils.h (1.1) ( )

	use dcop calls to support tranparent feature

2005-05-28	18:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/compmgrclient/Makefile.am (1.3) (+5 -6)

	do not install desktop files if xcomposite is missing

2005-05-28	16:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/scimattachfilter.cpp (1.5) (+15 -1)

	display user friendly name of the languages supported by filter

2005-05-28	02:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	po/desktop_ja.po (1.14) (+2 -2)
		po/ja.po (1.31) (+57 -56)

	updated ja

2005-05-28	01:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/scimlookuptable.cpp (1.23) (+3 -0)

	when double click the lookuptable, switch mode; only show the ModeSwitchBtn in horizental mode

2005-05-28	01:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	utils/scimkdeconfig.kcfg (1.40) (+3 -3)

	changed some default value: Show_Factory_Text, Auto_Snap, Enable_Composite

2005-05-27	22:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/mainwindow/mainwindow.cpp (1.79) (+33 -14)

	refined docking handling: more robust to kicker exit (using an ugly hack)

2005-05-27	17:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/mainwindow/applet/skimapplet.cpp (1.12) (+3 -10)

	fixed: move applet issue when main toolbar is undocked

2005-05-25	03:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/Makefile.am (1.22) (+1 -1)
		plugins/setupwindow/attachfilteruibase.ui (1.3) (+46 -38)
		plugins/setupwindow/filterinfodlgbase.ui (1.1) ( )
		plugins/setupwindow/scimattachfilter.cpp (1.4) (+41 -0)
		plugins/setupwindow/scimattachfilter.h (1.3) (+2 -0)

	more info dialog of filter

2005-05-25	02:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/compmgrclient/skimplugin_compmgrclient.desktop (1.5) (+2 -0)
		plugins/compmgrclient/skimplugin_compmgrclient_config.desktop (1.5) (+1 -0)
		plugins/kdetraystatus/skimplugin_systemtray.desktop (1.12) (+2 -2)
		plugins/kdetraystatus/skimplugin_systemtray_config.desktop (1.16) (+2 -2)
		plugins/mainwindow/skimplugin_mainwindow.desktop (1.16) (+3 -1)
		plugins/mainwindow/skimplugin_mainwindow_config.desktop (1.18) (+2 -2)
		plugins/setupwindow/skimplugin_scim_global_config.desktop (1.17) (+1 -1)
		plugins/setupwindow/skimplugin_scim_imengines_config.desktop (1.18) (+1 -0)
		plugins/setupwindow/skimplugin_scim_x_config.desktop (1.19) (+1 -1)
		plugins/setupwindow/skimsetupdir_frontend.desktop (1.3) (+1 -0)
		plugins/setupwindow/skimsetupdir_imengines.desktop (1.4) (+1 -0)
		plugins/setupwindow/skimsetupdir_panel.desktop (1.4) (+1 -0)
		po/de.po (1.26) (+228 -81)
		po/desktop.pot (1.29) (+1 -9)
		po/desktop_de.po (1.16) (+15 -13)
		po/desktop_file_list (1.9) (+0 -1)
		po/desktop_fr.po (1.11) (+7 -9)
		po/desktop_it.po (1.11) (+8 -10)
		po/desktop_ja.po (1.13) (+7 -9)
		po/desktop_ko.po (1.14) (+7 -9)
		po/desktop_zh_CN.po (1.13) (+7 -9)
		po/desktop_zh_TW.po (1.11) (+7 -9)
		po/fr.po (1.13) (+163 -66)
		po/it.po (1.13) (+163 -66)
		po/ja.po (1.30) (+184 -77)
		po/ko.po (1.29) (+163 -66)
		po/skim.pot (1.33) (+155 -62)
		po/zh_CN.po (1.35) (+172 -70)
		po/zh_TW.po (1.19) (+157 -66)

	updated strings

2005-05-25	02:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	configure.in.in (1.53) (+1 -1)

	typo

2005-05-24	19:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/scimstringrender.cpp (1.12) (+0 -1)

	cleanup

2005-05-24	17:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/scim_global.ui (1.12) (+141 -2)
		plugins/setupwindow/scim_x.ui (1.13) (+0 -8)
		utils/scimkdeconfig.kcfg (1.39) (+9 -3)

	changed setup ui according to libscim: removed old config options and moved a option from X to frontend global

2005-05-24	16:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/scimimenginesettings.cpp (1.19) (+13 -14)

	use latest filtermanager api

2005-05-22	00:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.101) (+2 -9)
		TODO (1.83) (+4 -3)

	update helper doc

2005-05-22	00:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/attachfilteruibase.ui (1.2) (+1 -1)
		plugins/setupwindow/scimattachfilter.cpp (1.3) (+6 -1)
		plugins/setupwindow/scimattachfilter.h (1.2) (+1 -1)
		plugins/setupwindow/scimimenginesettings.cpp (1.18) (+1 -1)

	added meaningful caption for attachfilter dlg

2005-05-21	03:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/scimimenginesettings.cpp (1.17) (+9 -0)

	added icon for filter in imengine setup ui

2005-05-21	03:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/scimattachfilter.cpp (1.2) (+23 -3)

	added icon in attachfilter dialog

2005-05-21	02:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/Makefile.am (1.21) (+3 -2)
		plugins/setupwindow/attachfilteruibase.ui (1.1) ( )
		plugins/setupwindow/scimattachfilter.cpp (1.1) ( )
		plugins/setupwindow/scimattachfilter.h (1.1) ( )
		plugins/setupwindow/scimimenginesettings.cpp (1.16) (+133 -53)
		plugins/setupwindow/scimimenginesettings.h (1.8) (+5 -0)
		plugins/setupwindow/scimimenginesettingsui.ui (1.5) (+13 -5)

	added config ui for manager filters for a specific IMEngine
	refined the changed signal manipulation mechanism

2005-05-20	23:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/scimimenginesettings.cpp (1.15) (+32 -10)
		plugins/setupwindow/scimimenginesettingsui.ui (1.4) (+11 -3)

	display installed filter in IMEngine setup page

2005-05-18	02:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/skimkeygrabber.cpp (1.12) (+22 -7)

	hide disabled modifiers according to all_valid_mask

2005-05-18	02:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/scim_global.ui (1.11) (+5 -26)
		plugins/setupwindow/scimglobalconfigplugin.cpp (1.15) (+77 -10)

	added config ui for modifiers

2005-05-18	01:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/scim_global.ui (1.10) (+93 -3)
		plugins/setupwindow/scimglobalconfigplugin.cpp (1.14) (+20 -20)

	cleanup

2005-05-18	01:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	utils/scimkdeconfig.kcfg (1.38) (+2 -2)

	updated default config according to libscim

2005-05-13	18:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	configure.in.in (1.52) (+2 -0)

	make use of libscim-x11utils

2005-05-13	18:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/inputwindow.cpp (1.65) (+2 -2)
		src/socketserverthread.h (1.56) (+1 -1)

	fixed typo in signal/slot connection

2005-05-13	18:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/Makefile.am (1.24) (+1 -1)
		src/skimkeygrabber.cpp (1.11) (+29 -112)

	make use of libscim-x11utils

2005-05-13	17:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	scim/config/scim_kconfig_config.cpp (1.14) (+2 -1)

	fixed missing a return

2005-05-13	17:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/inputwindow.cpp (1.64) (+34 -13)
		plugins/inputwindow/inputwindow.h (1.36) (+5 -6)
		plugins/inputwindow/scimlistbox.cpp (1.27) (+4 -3)
		plugins/inputwindow/scimlistbox.h (1.21) (+1 -1)
		src/socketserverthread.cpp (1.74) (+2 -29)
		src/socketserverthread.h (1.55) (+1 -3)

	added is_page_size_fixed support

2005-05-13	17:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	po/de.po (1.25) (+116 -368)
		po/desktop_de.po (1.15) (+25 -36)
		po/desktop_ja.po (1.12) (+2 -2)
		po/ja.po (1.29) (+103 -101)

	updated de and ja

2005-05-11	23:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	utils/scimkdeconfig.kcfg (1.37) (+3 -3)

	updated default settings according to libscim

2005-05-11	00:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	po/de.po (1.24) (+376 -83)
		po/desktop.pot (1.28) (+1 -1)
		po/fr.po (1.12) (+376 -83)
		po/it.po (1.12) (+376 -83)
		po/ja.po (1.28) (+385 -80)
		po/ko.po (1.28) (+376 -83)
		po/skim.pot (1.32) (+355 -76)
		po/zh_CN.po (1.34) (+365 -82)
		po/zh_TW.po (1.18) (+374 -83)
		utils/scimkdeconfig.kcfg (1.36) (+2 -1)

	updated pot strings
	updated zh_CN
	updated scim specific settings in xml file

2005-05-10	22:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	scim/config/scim_kconfig_config.cpp (1.13) (+56 -10)
		scim/config/scim_kconfig_config.h (1.4) (+1 -19)
		utils/scimkdeconfig.kcfg (1.35) (+46 -55)

	honor default settings set in ScimKdeSettings

2005-05-10	04:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/inputwindow.cpp (1.63) (+2 -1)

	use LineEditPanel style in AuxText

2005-05-10	01:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.100) (+978 -0)

	updated doc for 1.3.0

2005-05-10	01:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	TODO (1.82) (+0 -3)

	nothing left for skim 1.3.0 :)

2005-05-10	01:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	doc/en/index.docbook (1.54) (+2 -2)

	updated version to 1.3.0

2005-05-09	23:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	TODO (1.81) (+0 -4)
		configure.in.in (1.51) (+1 -1)
		skim.spec.in (1.5) (+1 -1)
		icons/Makefile.am (1.11) (+2 -1)
		icons/scim_setup.png (1.1) ( )
		plugins/kdetraystatus/kdetraystatus.cpp (1.37) (+9 -9)
		plugins/mainwindow/mainwindow.cpp (1.78) (+1 -0)

	updated homepage url in spec file
	cleanup

2005-05-09	21:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/mainwindow/mainwindow.cpp (1.77) (+2 -4)

	replaced stick_inputwindow action with toggle_docking action in context menu in main window

2005-05-09	21:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/mainwindow/applet/skimapplet.cpp (1.11) (+10 -7)

	hope this check will fix that sometimes when exit apps, the kicker will crash

2005-05-09	21:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/main.cpp (1.52) (+23 -11)

	added signal handler; set XMODIFIER to none

2005-05-09	21:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/skimglobalactions.cpp (1.42) (+8 -0)
		src/skimglobalactions.h (1.26) (+1 -0)

	added SCIM Setup as a global action

2005-05-09	20:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/inputwindow.cpp (1.62) (+4 -0)

	lookup table should be hiden by default

2005-05-09	20:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/inputwindow.cpp (1.61) (+1 -1)

	do not show inputwindow when show lookuptable if detached

2005-05-09	19:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/skimglobalactions.cpp (1.41) (+9 -3)
		src/skimglobalactions.h (1.25) (+5 -5)

	added quit as global action

2005-05-09	19:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/skimglobalactions.cpp (1.40) (+14 -14)

	set whatsthis of helper actions; cleanup

2005-05-09	17:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/scimsetupwindow.cpp (1.42) (+1 -1)
		scim/config/scim_kconfig_config.cpp (1.12) (+19 -21)

	fixed: setGroup to SCIM before write UpdateTimeStamp; cleanup

2005-05-09	01:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	admin/acinclude.m4.in (1.4) (+1 -1)

	qt 3.3 can be used with kde >= 3.2

2005-05-09	01:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	TODO (1.80) (+3 -3)
		configure.in.in (1.50) (+14 -0)
		plugins/compmgrclient/Makefile.am (1.2) (+5 -1)

	added checking of XComposite extension in configure script

2005-05-09	00:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	utils/scimactions.cpp (1.40) (+10 -10)

	support icons whose filenames contain none-latin1 chars

2005-05-08	03:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/inputwindow.cpp (1.60) (+0 -1)
		plugins/inputwindow/scimlineedit.cpp (1.19) (+1 -0)
		plugins/inputwindow/scimstringrender.cpp (1.11) (+14 -3)
		plugins/inputwindow/scimstringrender.h (1.7) (+4 -3)

	improved: string layout

2005-05-08	02:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/scimlineedit.cpp (1.18) (+3 -1)

	use QFrame::LineEditPanel in ScimLineEdit

2005-05-08	02:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/mainwindow/mainwindow.cpp (1.76) (+12 -6)

	use QFrame::PopupPanel in main toolbar instead of QFrame::StyledPanel

2005-05-08	00:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/scimlookuptable.cpp (1.22) (+3 -2)
		utils/scimactions.cpp (1.39) (+58 -6)
		utils/scimactions.h (1.27) (+6 -0)

	improvement: class SkimToolButton, the button is now smaller (only occupys as few space as possible) and the text drawing when no icon is specified is improved too

2005-05-07	22:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/scimlookuptable.cpp (1.21) (+10 -2)

	improvement: do not display the border of the next/previous buttons; hide next/previous button when disabled; (thanks to cjacker for advice)

2005-05-07	22:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/scimlistbox.cpp (1.26) (+4 -2)

	fixed: when all candidates are displayed, counter should not be increased again

2005-05-07	02:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	TODO (1.79) (+3 -2)
		plugins/inputwindow/scimlistbox.cpp (1.25) (+1 -0)
		src/skimglobalactions.cpp (1.39) (+1 -2)

	cleanup

2005-05-07	01:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/scimlistbox.cpp (1.24) (+7 -3)

	fixed: only show label if label is not empty; show the first candidate which exceed the length limit

2005-05-06	21:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/mainwindow/mainwindow.cpp (1.75) (+54 -27)
		plugins/mainwindow/mainwindow.h (1.38) (+2 -1)
		plugins/mainwindow/mainwindow_settings.ui (1.9) (+2 -2)
		plugins/mainwindow/applet/skimapplet.cpp (1.10) (+21 -17)
		plugins/mainwindow/applet/skimapplet.h (1.7) (+2 -2)
		utils/scimkdeconfig.kcfg (1.34) (+3 -3)
		utils/scimtoolbar.cpp (1.10) (+2 -2)

	added direction support in maintoolbar: supports 4 direction in standalone mode; in embedded mode, only one direction can be handled correctly, however if the user wants, he/she can use the other 3 directions.

2005-05-06	00:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/skimkeygrabber.cpp (1.10) (+26 -5)
		src/skimkeygrabber.h (1.8) (+7 -1)

	added meta/hyper/super modifiers support

2005-05-05	03:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	TODO (1.78) (+2 -2)
		plugins/compmgrclient/compositemanagerbase.ui (1.2) (+1 -1)
		plugins/inputwindow/inputwindow_settings.ui (1.6) (+1 -1)
		plugins/kdetraystatus/kdetraystatus_config.ui (1.5) (+1 -1)
		plugins/mainwindow/mainwindow.cpp (1.74) (+61 -8)
		plugins/mainwindow/mainwindow.h (1.37) (+6 -3)
		plugins/mainwindow/mainwindow_settings.ui (1.8) (+140 -65)
		plugins/setupwindow/scim_global.ui (1.9) (+1 -1)
		plugins/setupwindow/scim_x.ui (1.12) (+1 -1)
		plugins/setupwindow/scimimenginesettings.cpp (1.14) (+1 -1)
		utils/scimkdeconfig.kcfg (1.33) (+45 -27)
		utils/scimkdesettings.kcfgc (1.2) (+2 -0)
		utils/scimmovehandle.cpp (1.7) (+20 -5)
		utils/scimmovehandle.h (1.6) (+6 -1)
		utils/scimtoolbar.cpp (1.9) (+9 -2)
		utils/scimtoolbar.h (1.6) (+4 -0)

	initial direction support in main window (only works in standalone mode now) and add three options to customize this
	feature
	added whatsthis tips for all skim settings

2005-05-04	18:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	TODO (1.77) (+9 -3)
		configure.in.in (1.49) (+2 -2)

	requires scim 1.3.0

2005-05-04	01:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	scim/config/scim_kconfig_config.cpp (1.11) (+2 -1)

	set group to SCIM when flush

2005-04-27	17:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	utils/Makefile.am (1.12) (+1 -1)

	lib version info

2005-04-27	17:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/skimkeygrabber.cpp (1.9) (+108 -78)
		src/skimkeygrabber.h (1.7) (+14 -17)

	cleanup; fixed: when user click checkbox(ies), the corresponding modiferies should be added to the hotkey

2005-04-27	02:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	po/de.po (1.23) (+27 -21)
		po/desktop.pot (1.27) (+1 -1)
		po/desktop_zh_CN.po (1.12) (+3 -3)
		po/fr.po (1.11) (+27 -21)
		po/it.po (1.11) (+27 -21)
		po/ja.po (1.27) (+30 -22)
		po/ko.po (1.27) (+27 -21)
		po/skim.pot (1.31) (+11 -19)
		po/zh_CN.po (1.33) (+20 -27)
		po/zh_TW.po (1.17) (+24 -21)

	updated translation strings; updated zh_CN

2005-04-27	01:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	icons/Makefile.am (1.10) (+2 -1)
		icons/scim_keyboard.png (1.1) ( )
		src/skimglobalactions.cpp (1.38) (+2 -2)

	use new keyboard icon made by Kitae

2005-04-27	01:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	TODO (1.76) (+0 -1)
		plugins/setupwindow/scimimenginesettings.cpp (1.13) (+22 -16)
		plugins/setupwindow/scimimenginesettings.h (1.7) (+1 -1)

	click in the second column will bringup the edit hotkeys dialog

2005-04-27	01:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/configinputwindow.cpp (1.5) (+0 -6)
		plugins/inputwindow/inputwindow_settings.ui (1.5) (+4 -28)

	cleanup

2005-04-27	01:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	icons/scim.png (1.4) (+10 -11)

	use new scim logo icon designed by Kitae

2005-04-27	00:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/inputwindow.cpp (1.59) (+3 -9)
		plugins/inputwindow/scimlookuptable.cpp (1.20) (+0 -5)
		plugins/inputwindow/scimstringlistitem.h (1.14) (+1 -3)

	cleanup

2005-04-26	23:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/scimlookuptable.cpp (1.19) (+0 -9)
		plugins/inputwindow/scimlookuptable.h (1.10) (+0 -1)
		plugins/inputwindow/scimstringrender.cpp (1.10) (+4 -4)

	get rid of 1 pix offset of the cursor; cleanup

2005-04-26	16:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/compmgrclient/skimplugin_compmgrclient.desktop (1.4) (+2 -0)
		plugins/compmgrclient/skimplugin_compmgrclient_config.desktop (1.4) (+1 -0)
		plugins/mainwindow/skimplugin_mainwindow.desktop (1.15) (+1 -0)
		plugins/scimlauncher/skimplugin_scim.desktop (1.14) (+1 -1)
		plugins/setupwindow/kcm_skimplugin_configplugin_config.desktop (1.17) (+1 -1)
		plugins/setupwindow/skimplugin_scim_global_config.desktop (1.16) (+2 -2)
		plugins/setupwindow/skimplugin_scim_imengines_config.desktop (1.17) (+1 -0)
		plugins/setupwindow/skimplugin_setupwindow.desktop (1.17) (+2 -2)
		plugins/setupwindow/skimsetupdir_frontend.desktop (1.2) (+1 -0)
		plugins/setupwindow/skimsetupdir_imengines.desktop (1.3) (+1 -0)
		plugins/setupwindow/skimsetupdir_panel.desktop (1.3) (+1 -0)
		po/de.po (1.22) (+63 -32)
		po/desktop.pot (1.26) (+5 -1)
		po/desktop_de.po (1.14) (+5 -1)
		po/desktop_fr.po (1.10) (+5 -1)
		po/desktop_it.po (1.10) (+5 -1)
		po/desktop_ja.po (1.11) (+24 -27)
		po/desktop_ko.po (1.13) (+5 -1)
		po/desktop_zh_CN.po (1.11) (+8 -4)
		po/desktop_zh_TW.po (1.10) (+5 -1)
		po/fr.po (1.10) (+63 -32)
		po/it.po (1.10) (+63 -32)
		po/ja.po (1.26) (+91 -70)
		po/ko.po (1.26) (+63 -32)
		po/skim.pot (1.30) (+59 -31)
		po/zh_CN.po (1.32) (+68 -49)
		po/zh_TW.po (1.16) (+62 -32)
		src/skimkcmplugin.desktop (1.11) (+1 -1)
		src/skimplugin.desktop (1.13) (+1 -1)

	updated translation.
	updated ja_JP and zh_CN

2005-04-25	23:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	TODO (1.75) (+3 -2)
		plugins/inputwindow/inputwindow.cpp (1.58) (+1 -4)
		plugins/inputwindow/scimlistbox.cpp (1.23) (+57 -77)
		plugins/inputwindow/scimlistbox.h (1.20) (+7 -8)
		utils/scimkdeconfig.kcfg (1.32) (+0 -8)

	use multiple ScimStringListItem in ScimListBox to make code much cleaner and easier to maintain

2005-04-25	22:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/scimstringlistitem.cpp (1.13) (+1 -33)
		plugins/inputwindow/scimstringlistitem.h (1.13) (+0 -9)

	cleanup

2005-04-24	17:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/skimkeygrabber.cpp (1.8) (+167 -11)
		src/skimkeygrabber.h (1.6) (+39 -26)

	use x11 event if possible

2005-04-22	01:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/mainwindow/applet/skimapplet.cpp (1.9) (+47 -9)
		plugins/mainwindow/applet/skimapplet.h (1.6) (+1 -0)

	fixed: added more checking to avoid potential crash
	fixed: KDE 3.3.x has slightly different qobject hierachy in kicker, add some checking to handle KDE 3.3.x correctly

2005-04-22	01:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/mainwindow/mainwindow.cpp (1.73) (+14 -4)

	fixed: added more checking to avoid potential crash
	fixed: KDE 3.3.x has slightly different qobject hierachy in kicker, add some checking to handle KDE 3.3.x correctly

2005-04-21	23:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/mainwindow/applet/skimapplet.cpp (1.8) (+7 -1)

	fixed: crash with kde 3.3.x

2005-04-21	22:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/compmgrclient/compositemanagerconfig.cpp (1.2) (+12 -2)
		plugins/compmgrclient/compositemanagerconfig.h (1.2) (+2 -1)

	fixed: kde 3.3.x compatibility
	fixed: emit changed() signal correctly

2005-04-21	22:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/mainwindow/applet/skimapplet.cpp (1.7) (+2 -3)

	fixed: gcc 3.3.x compile issu

2005-04-21	03:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	TODO (1.74) (+1 -0)
		plugins/mainwindow/mainwindow.cpp (1.72) (+16 -3)
		plugins/mainwindow/mainwindow.h (1.36) (+5 -4)
		plugins/mainwindow/applet/skimapplet.cpp (1.6) (+80 -4)
		plugins/mainwindow/applet/skimapplet.h (1.5) (+8 -6)

	implemented double click of the movehandler/draghandler to switch mode of mainwindow

2005-04-21	03:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	utils/scimdragableframe.cpp (1.9) (+24 -18)

	cleanup

2005-04-21	00:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/mainwindow/mainwindow.cpp (1.71) (+22 -8)
		plugins/mainwindow/mainwindow.h (1.35) (+3 -0)

	main toolbar should not be hiden automatically when turnedOn

2005-04-21	00:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	TODO (1.73) (+0 -1)
		configure.in.in (1.48) (+17 -0)
		src/Makefile.am (1.23) (+2 -1)

	libskim library version is implemented

2005-04-21	00:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	TODO (1.72) (+0 -1)
		src/socketserverthread.cpp (1.73) (+2 -0)

	remove the _helper_list size warning if not ENABLE_DEBUG

2005-04-21	00:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	TODO (1.71) (+0 -1)
		plugins/setupwindow/scimsetupwindow.cpp (1.41) (+12 -0)

	remember size in configure dialog

2005-04-20	19:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/scimlineedit.cpp (1.17) (+1 -5)
		plugins/inputwindow/scimlineedit.h (1.10) (+2 -3)
		plugins/inputwindow/scimstringlistitem.cpp (1.12) (+1 -5)
		plugins/inputwindow/scimstringlistitem.h (1.12) (+3 -4)
		plugins/inputwindow/scimstringrender.cpp (1.9) (+139 -113)
		plugins/inputwindow/scimstringrender.h (1.6) (+1 -3)

	implemented buffer for ScimStringRender, which should improve the performance of the input window
	fixed some potential issue of font settings in input window

2005-04-20	19:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	TODO (1.70) (+4 -1)
		src/skimglobalactions.cpp (1.37) (+1 -0)

	fixed: comboaction default icon behavior is scim_kde::ToolBarPreferIcon

2005-04-20	03:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/mainwindow/mainwindow.cpp (1.70) (+31 -8)
		plugins/mainwindow/mainwindow.h (1.34) (+4 -1)

	improvement: in docking mode, only after user stops the mouse in maintoolbar, the show handler timers should be started

2005-04-16	21:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/skimkeygrabber.cpp (1.7) (+2 -2)
		src/skimpluginmanager.cpp (1.38) (+2 -2)
		src/socketserverthread.cpp (1.72) (+1 -1)
		src/socketserverthread.h (1.54) (+1 -3)

	updated to work with scim CVS HEAD

2005-04-16	21:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	scim/config/scim_kconfig_config.cpp (1.10) (+11 -5)
		scim/config/scim_kconfig_config.h (1.3) (+3 -1)

	Added get_name() into ConfigBase class.

2005-04-16	01:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/mainwindow/applet/skimapplet.cpp (1.5) (+12 -8)
		plugins/mainwindow/applet/skimapplet.h (1.4) (+1 -1)

	try to immediately embed main toolbar into panel and added a checking function to make sure it is shown

2005-04-16	01:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/mainwindow/mainwindow.cpp (1.69) (+7 -5)
		plugins/setupwindow/scimsetupwindow.cpp (1.40) (+0 -3)

	cleanup

2005-04-15	22:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	utils/scimkdeconfig.kcfg (1.31) (+1 -5)

	cleanup and add a default value for MainWindow_Position

2005-04-15	21:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	configure.in.in (1.47) (+1 -1)
		plugins/mainwindow/mainwindow.cpp (1.68) (+5 -8)
		utils/scimkdeconfig.kcfg (1.30) (+1 -5)

	use qpoint to save the position of main toolbar instead of two ints; requires KDE >=3.3.0

2005-04-15	20:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/mainwindow/mainwindow.cpp (1.67) (+30 -28)
		utils/scimdragableframe.cpp (1.8) (+10 -1)
		utils/scimdragableframe.h (1.7) (+2 -2)

	fixed: hide the movehandle when docking into panel applet
	fixed: serious flitter when move maintoolbar

2005-04-15	20:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/mainwindow/mainwindow.cpp (1.66) (+10 -12)
		plugins/mainwindow/mainwindow.h (1.33) (+0 -1)

	fixed: the always show timer won't be stop after re-enterEvent; cleanup

2005-04-15	01:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	TODO (1.69) (+2 -4)
		utils/scimactions.cpp (1.38) (+2 -2)

	fixed: serveraction does not honor: use text option

2005-04-15	01:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/scimsetupwindow.cpp (1.39) (+10 -1)

	try to raise the dialog window if the user activate the configure action when it is shown

2005-04-15	01:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/mainwindow/configmainwindow.cpp (1.8) (+5 -1)

	fixed startup configure loading for the widgetstack

2005-04-15	01:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/mainwindow/mainwindow.cpp (1.65) (+25 -20)
		plugins/mainwindow/mainwindow.h (1.32) (+0 -1)

	fixed: when timeout is 0, main toolbar did not behave correctly

2005-04-14	23:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/mainwindow/mainwindow.cpp (1.64) (+52 -33)
		plugins/mainwindow/mainwindow.h (1.31) (+4 -1)
		plugins/mainwindow/applet/skimapplet.cpp (1.4) (+12 -2)

	refine some docking handling and fixed the reloading issue of the two alwaysshow setting in docking mode

2005-04-14	18:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	TODO (1.68) (+2 -2)
		scim_panel_kde.kdevelop (1.19) (+10 -10)
		plugins/setupwindow/scimsetupwindow.cpp (1.38) (+60 -18)
		plugins/setupwindow/scimsetupwindow.h (1.18) (+2 -1)
		plugins/setupwindow/skimsetupdir_imengines.desktop (1.2) (+1 -0)
		plugins/setupwindow/skimsetupdir_panel.desktop (1.2) (+1 -0)
		src/skimpluginmanager.cpp (1.37) (+7 -1)
		src/skimsetupcategory.desktop (1.2) (+3 -0)

	hide configure ui of disabled plugin
	setupdir weight support: now dirs can be sorted in a specific order

2005-04-14	00:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/configskimplugins.cpp (1.6) (+13 -2)

	fixed: isChanged was wrong

2005-04-14	00:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/configskimplugins.cpp (1.5) (+1 -14)

	cleanup

2005-04-13	04:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/mainwindow/configmainwindow.cpp (1.7) (+3 -0)
		plugins/mainwindow/mainwindow_settings.ui (1.7) (+8 -0)

	timeout spinbox should be hidden if alwaysshow is not selected

2005-04-13	03:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/mainwindow/mainwindow.cpp (1.63) (+5 -13)

	rename mainwindow if in docking mode, so it won't be listed in the composite management page and cleanup

2005-04-13	03:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/skim.desktop (1.15) (+1 -0)

	added DocPath item into skim.desktop so that skim will appear in KDE helper center index

2005-04-13	03:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/inputwindow_settings.ui (1.4) (+5 -2)
		plugins/kdetraystatus/kdetraystatus_config.ui (1.4) (+4 -4)
		plugins/mainwindow/configmainwindow.cpp (1.6) (+29 -1)
		plugins/mainwindow/configmainwindow.h (1.4) (+3 -1)
		plugins/mainwindow/mainwindow_settings.ui (1.6) (+223 -92)

	improved configure ui for mainwindow; remove margins in inputwindow/kdesystray configure ui (designer always reset the default margin after modification of the layout)

2005-04-13	02:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/mainwindow/configmainwindow.cpp (1.5) (+1 -5)
		plugins/mainwindow/mainwindow.cpp (1.62) (+75 -25)
		plugins/mainwindow/mainwindow.h (1.30) (+4 -1)

	reimplemented: always show support, and add back the configure ui

2005-04-13	00:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	TODO (1.67) (+0 -1)
		utils/scimactions.cpp (1.37) (+1 -0)
		utils/scimactions.h (1.26) (+5 -3)

	cleanup and fixed: setIconSet when init scimaction

2005-04-13	00:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/mainwindow/mainwindow.cpp (1.61) (+19 -27)

	cleanup: modify most dcop call to use dcopref

2005-04-13	00:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	scim_panel_kde.kdevelop (1.18) (+12 -8)
		plugins/mainwindow/configmainwindow.cpp (1.4) (+2 -1)
		plugins/mainwindow/mainwindow.cpp (1.60) (+121 -38)
		plugins/mainwindow/mainwindow.h (1.29) (+6 -13)
		plugins/mainwindow/mainwindow_settings.ui (1.5) (+84 -6)
		plugins/mainwindow/applet/skimapplet.cpp (1.3) (+11 -7)
		plugins/mainwindow/applet/skimapplet.h (1.3) (+1 -0)

	new and fixed: configure options for the docking related stuffs and fixed misbehavior of some of the combination of these options

2005-04-12	19:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	TODO (1.66) (+1 -0)
		scim_panel_kde.kdevelop (1.17) (+1 -1)
		plugins/mainwindow/mainwindow.cpp (1.59) (+5 -3)
		plugins/mainwindow/applet/skimapplet.cpp (1.2) (+43 -15)
		plugins/mainwindow/applet/skimapplet.h (1.2) (+4 -1)

	fixed: sometimes when KDE startup with embedded panel, the panel can not be displayed

2005-04-12	03:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/mainwindow/mainwindow.cpp (1.58) (+26 -7)
		plugins/mainwindow/mainwindow.h (1.28) (+3 -0)
		utils/scimkdeconfig.kcfg (1.29) (+5 -0)

	new option: alwaysShowExtensionHandle for main window

2005-04-12	03:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/mainwindow/mainwindow.cpp (1.57) (+4 -4)

	cleanup

2005-04-12	03:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	utils/scimactions.cpp (1.36) (+32 -18)
		utils/scimactions.h (1.25) (+4 -0)

	fixed: when reloading main toolbar, scimaction would display text where it should not do so

2005-04-12	02:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/mainwindow/mainwindow.cpp (1.56) (+5 -2)

	fixed: mainwindow can not be shown if startup with embedded mode

2005-04-12	02:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	utils/scimactions.cpp (1.35) (+1 -0)

	fixed: correctly set display text for scimaction

2005-04-12	02:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	icons/Makefile.am (1.9) (+1 -1)
		icons/skim_minimize.png (1.1) ( )
		icons/skim_restore.png (1.1) ( )
		plugins/mainwindow/mainwindow.cpp (1.55) (+38 -9)
		plugins/mainwindow/mainwindow.h (1.27) (+6 -1)
		plugins/mainwindow/skimplugin_mainwindow.desktop (1.14) (+9 -1)
		utils/scimkdeconfig.kcfg (1.28) (+5 -0)

	toggle docking action is implemented

2005-04-12	00:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/mainwindow/Makefile.am (1.15) (+2 -1)
		plugins/mainwindow/mainwindow.cpp (1.54) (+243 -37)
		plugins/mainwindow/mainwindow.h (1.26) (+32 -4)
		plugins/mainwindow/applet/Makefile.am (1.1) ( )
		plugins/mainwindow/applet/skimapplet.cpp (1.1) ( )
		plugins/mainwindow/applet/skimapplet.desktop (1.1) ( )
		plugins/mainwindow/applet/skimapplet.h (1.1) ( )
		utils/scimkdeconfig.kcfg (1.27) (+5 -0)

	the core support of embedded into panel is implemented

2005-04-08	04:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/compmgrclient/skimplugin_compmgrclient.desktop (1.3) (+3 -3)
		plugins/compmgrclient/skimplugin_compmgrclient_config.desktop (1.3) (+1 -1)
		po/desktop.pot (1.25) (+2 -2)
		po/desktop_de.po (1.13) (+4 -3)
		po/desktop_fr.po (1.9) (+4 -3)
		po/desktop_it.po (1.9) (+4 -3)
		po/desktop_ja.po (1.10) (+4 -3)
		po/desktop_ko.po (1.12) (+4 -3)
		po/desktop_zh_CN.po (1.10) (+4 -4)
		po/desktop_zh_TW.po (1.9) (+4 -3)
		po/skim.pot (1.29) (+1 -1)

	updated icons and zh_CN

2005-04-08	04:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	scim_panel_kde.kdevelop (1.16) (+8 -8)
		plugins/compmgrclient/skimplugin_compmgrclient.desktop (1.2) (+2 -0)
		plugins/compmgrclient/skimplugin_compmgrclient_config.desktop (1.2) (+2 -0)
		po/de.po (1.21) (+56 -12)
		po/desktop.pot (1.24) (+17 -1)
		po/desktop_de.po (1.12) (+19 -1)
		po/desktop_file_list (1.8) (+2 -0)
		po/desktop_fr.po (1.8) (+19 -1)
		po/desktop_it.po (1.8) (+19 -1)
		po/desktop_ja.po (1.9) (+19 -1)
		po/desktop_ko.po (1.11) (+19 -1)
		po/desktop_zh_CN.po (1.9) (+18 -2)
		po/desktop_zh_TW.po (1.8) (+19 -1)
		po/fr.po (1.9) (+56 -12)
		po/it.po (1.9) (+56 -12)
		po/ja.po (1.25) (+56 -12)
		po/ko.po (1.25) (+56 -12)
		po/skim.pot (1.28) (+52 -9)
		po/zh_CN.po (1.31) (+53 -10)
		po/zh_TW.po (1.15) (+56 -12)

	updated pot and zh_CN

2005-04-08	03:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	utils/scimkdeconfig.kcfg (1.26) (+0 -8)

	use group to store composite settings for each window

2005-04-08	03:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/skimpluginmanager.cpp (1.36) (+1 -131)
		src/skimpluginmanager.h (1.14) (+2 -4)

	removed composite support from core

2005-04-08	03:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	TODO (1.65) (+1 -1)
		configure.in.in (1.46) (+1 -1)

	pump version to 1.3.0

2005-04-08	03:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/Makefile.am (1.4) (+1 -1)
		plugins/compmgrclient/Makefile.am (1.1) ( )
		plugins/compmgrclient/compmgrclient.cpp (1.1) ( )
		plugins/compmgrclient/compmgrclient.h (1.1) ( )
		plugins/compmgrclient/compositemanagerbase.ui (1.1) ( )
		plugins/compmgrclient/compositemanagerconfig.cpp (1.1) ( )
		plugins/compmgrclient/compositemanagerconfig.h (1.1) ( )
		plugins/compmgrclient/skimplugin_compmgrclient.desktop (1.1) ( )
		plugins/compmgrclient/skimplugin_compmgrclient_config.desktop (1.1) ( )

	new: added new plugin to support composite features, and its corresponding configure dialog

2005-04-08	03:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/inputwindow.cpp (1.57) (+3 -2)
		plugins/mainwindow/mainwindow.cpp (1.53) (+2 -2)
		plugins/setupwindow/scimxsettings.cpp (1.5) (+0 -6)
		plugins/setupwindow/scimxsettings.h (1.4) (+0 -7)

	cleanup and added caption to inputwindow and mainwindow

2005-04-02	19:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/scimglobalconfigplugin.cpp (1.13) (+1 -8)
		plugins/setupwindow/scimglobalconfigplugin.h (1.8) (+1 -1)

	remove non-overloaded function

2005-04-02	19:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/inputwindow.cpp (1.56) (+11 -2)
		plugins/inputwindow/inputwindow.h (1.35) (+1 -0)

	all components should be hidden when hide input window

2005-04-02	02:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/skimplugin_inputwindow.desktop (1.14) (+1 -1)
		plugins/inputwindow/skimplugin_inputwindow_config.desktop (1.16) (+1 -1)
		po/desktop.pot (1.23) (+1 -1)
		po/desktop_zh_CN.po (1.8) (+3 -3)
		po/skim.pot (1.27) (+1 -1)
		po/zh_CN.po (1.30) (+5 -4)

	updated zh_CN translation

2005-04-02	02:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	utils/scimkdeconfig.kcfg (1.25) (+1 -1)

	dynamic event should be disabled by default (libscim decides)

2005-04-02	02:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	icons/scim.png (1.3) (+11 -3)

	added scim logo icon

2005-04-02	01:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/skimplugin_inputwindow_config.desktop (1.15) (+1 -1)
		plugins/setupwindow/scim_global.ui (1.8) (+655 -314)
		plugins/setupwindow/scim_x.ui (1.11) (+8 -228)
		plugins/setupwindow/scimglobalconfigplugin.cpp (1.12) (+55 -17)
		plugins/setupwindow/scimglobalconfigplugin.h (1.7) (+2 -2)
		plugins/setupwindow/scimsetupwindow.cpp (1.37) (+1 -1)
		plugins/setupwindow/skimplugin_scim_global_config.desktop (1.15) (+1 -1)
		plugins/setupwindow/skimplugin_scim_x_config.desktop (1.18) (+1 -1)
		po/de.po (1.20) (+68 -53)
		po/desktop.pot (1.22) (+1 -1)
		po/desktop_zh_CN.po (1.7) (+3 -3)
		po/fr.po (1.8) (+68 -53)
		po/it.po (1.8) (+68 -53)
		po/ja.po (1.24) (+68 -53)
		po/ko.po (1.24) (+68 -53)
		po/skim.pot (1.26) (+54 -46)
		po/zh_CN.po (1.29) (+59 -51)
		po/zh_TW.po (1.14) (+64 -49)

	added: keyboard layout selection in configure dialog
	improvement: move global settings from X page to general SCIM page
	updated translation

2005-04-01	21:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/mainwindow/skimplugin_mainwindow.desktop (1.13) (+1 -1)
		plugins/mainwindow/skimplugin_mainwindow_config.desktop (1.17) (+1 -1)
		plugins/scimlauncher/skimplugin_scim.desktop (1.13) (+1 -1)

	updated icons

2005-04-01	19:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	TODO (1.64) (+4 -4)
		scim_panel_kde.kdevelop (1.15) (+18 -7)
		icons/Makefile.am (1.8) (+1 -1)
		plugins/inputwindow/skimplugin_inputwindow_config.desktop (1.14) (+1 -1)
		plugins/kdetraystatus/skimplugin_systemtray_config.desktop (1.15) (+1 -1)
		plugins/mainwindow/skimplugin_mainwindow_config.desktop (1.16) (+1 -1)
		plugins/setupwindow/Makefile.am (1.20) (+1 -1)
		plugins/setupwindow/kcm_skimplugin_configplugin_config.desktop (1.16) (+4 -3)
		plugins/setupwindow/scimsetupwindow.cpp (1.36) (+29 -10)
		plugins/setupwindow/skimplugin_scim_global_config.desktop (1.14) (+2 -2)
		plugins/setupwindow/skimplugin_scim_imengines_config.desktop (1.16) (+4 -18)
		plugins/setupwindow/skimplugin_scim_x_config.desktop (1.17) (+2 -2)
		plugins/setupwindow/skimsetupdir_frontend.desktop (1.1) ( )
		plugins/setupwindow/skimsetupdir_imengines.desktop (1.1) ( )
		plugins/setupwindow/skimsetupdir_panel.desktop (1.1) ( )
		po/de.po (1.19) (+23 -20)
		po/desktop.pot (1.21) (+20 -8)
		po/desktop_de.po (1.11) (+28 -9)
		po/desktop_file_list (1.7) (+4 -0)
		po/desktop_fr.po (1.7) (+28 -9)
		po/desktop_it.po (1.7) (+28 -9)
		po/desktop_ja.po (1.8) (+28 -9)
		po/desktop_ko.po (1.10) (+28 -9)
		po/desktop_zh_CN.po (1.6) (+30 -16)
		po/desktop_zh_TW.po (1.7) (+28 -9)
		po/fr.po (1.7) (+23 -20)
		po/it.po (1.7) (+23 -20)
		po/ja.po (1.23) (+23 -20)
		po/ko.po (1.23) (+23 -20)
		po/skim.pot (1.25) (+18 -18)
		po/zh_CN.po (1.28) (+29 -184)
		po/zh_TW.po (1.13) (+23 -20)
		src/Makefile.am (1.22) (+1 -1)
		src/skimsetupcategory.desktop (1.1) ( )

	improvement: redesigned configure dialog:
	             icons for each dir/kcmodule
	             under each dir, sorting kcm according to prioprity
	             the dir structure in the configure dialog is compatible with scim-setup (gtk based) now

2005-04-01	19:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	admin/am_edit (1.7) (+12 -5)
		admin/cvs.sh (1.7) (+5 -1)

	desktop po file support

2005-03-30	21:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/scimstringrender.cpp (1.8) (+1 -2)

	remove inappropriate static

2005-03-30	21:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	scim_panel_kde.kdevelop (1.14) (+1 -1)
		src/skimpluginmanager.cpp (1.35) (+130 -0)
		src/skimpluginmanager.h (1.13) (+5 -0)
		utils/scimkdeconfig.kcfg (1.24) (+23 -1)

	core composite transparent support is in place (without configure ui yet)

2005-03-30	19:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/scimlineedit.cpp (1.16) (+1 -5)
		plugins/inputwindow/scimstringlistitem.cpp (1.11) (+1 -2)

	cleanup

2005-03-30	17:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/scimstringrender.cpp (1.7) (+9 -4)

	fixed: crash in baghira metal theme (workaround)

2005-03-29	00:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	admin/Doxyfile.global (1.3) (+29 -8)
		admin/Makefile.common (1.3) (+1 -1)
		admin/acinclude.m4.in (1.3) (+472 -210)
		admin/am_edit (1.6) (+20 -14)
		admin/conf.change.pl (1.3) (+1 -1)
		admin/config.guess (1.2) (+211 -125)
		admin/config.sub (1.2) (+127 -45)
		admin/configure.in.bot.end (1.2) (+19 -1)
		admin/cvs.sh (1.6) (+77 -70)
		admin/detect-autoconf.sh (1.5) (+22 -22)
		admin/libtool.m4.in (1.6) (+128 -103)
		admin/ltmain.sh (1.3) (+65 -7)

	updated admin to KDE 3.4.0

2005-03-29	00:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/mainwindow/mainwindow.cpp (1.52) (+2 -24)

	remove experimental transparent support; mainwindow should be keep visible

2005-03-28	15:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	TODO (1.63) (+2 -2)
		plugins/mainwindow/mainwindow.cpp (1.51) (+25 -1)
		src/socketserverthread.cpp (1.71) (+0 -4)
		src/socketserverthread.h (1.53) (+0 -1)

	some test stuffs removed

2005-03-28	13:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.99) (+137 -0)
		NEWS (1.22) (+4 -2)

	1.2.2 will be released soon (finally)

2005-03-28	00:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/skimpluginmanager.cpp (1.34) (+3 -2)
		utils/scimactions.cpp (1.34) (+6 -1)
		utils/scimactions.h (1.24) (+2 -1)

	fixed sometimes configure icon does not appear in maintoolbar

2005-03-27	23:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	TODO (1.62) (+2 -0)
		plugins/mainwindow/mainwindow.cpp (1.50) (+9 -3)
		src/skimpluginmanager.cpp (1.33) (+26 -20)
		src/skimpluginmanager.h (1.12) (+1 -0)

	remove plugin associated actions when unload it

2005-03-27	22:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	TODO (1.61) (+0 -1)
		plugins/inputwindow/inputwindow.cpp (1.55) (+4 -0)
		plugins/inputwindow/inputwindow_settings.ui (1.3) (+70 -47)
		utils/scimkdeconfig.kcfg (1.23) (+4 -0)

	new option for tear-offed lookuptable

2005-03-27	21:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/inputwindow.cpp (1.54) (+4 -13)
		plugins/inputwindow/scimlistbox.cpp (1.22) (+0 -2)
		plugins/mainwindow/mainwindow.cpp (1.49) (+1 -1)
		utils/scimactions.cpp (1.33) (+1 -1)
		utils/scimmovehandle.h (1.5) (+1 -1)

	use QFrame::StyledPanel instead specifying our own style for input window

2005-03-27	20:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	utils/scimmovehandle.cpp (1.6) (+2 -10)

	fixed: redrawing issue of movehandler

2005-03-27	17:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	utils/scimactions.cpp (1.32) (+0 -1)

	fixed: crash when remove/add buttons to the maintoolbar

2005-03-27	16:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	TODO (1.60) (+2 -0)
		src/main.cpp (1.51) (+1 -1)
		utils/scimactions.cpp (1.31) (+3 -0)

	fixed: after reloading, skim crashed if triggered

2005-03-27	04:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	NEWS (1.21) (+4 -1)
		TODO (1.59) (+1 -1)
		plugins/mainwindow/mainwindow.cpp (1.48) (+0 -1)
		plugins/setupwindow/scimsetupwindow.cpp (1.35) (+1 -2)
		src/main.cpp (1.50) (+2 -2)
		src/skimglobalactions.cpp (1.36) (+1 -2)
		src/skimpluginmanager.cpp (1.32) (+3 -3)
		utils/scimactions.cpp (1.30) (+18 -12)
		utils/scimactions.h (1.23) (+3 -0)
		utils/scimtoolbar.cpp (1.8) (+7 -5)
		utils/scimtoolbar.h (1.5) (+2 -17)

	    improvement: reduced the size main window, now honor the size of font rather than the default icon size
	    improvement: get rid of the extra space in the main window on the far right
	    (hope this would be the last significant change before release 1.2.2)

2005-03-27	02:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/inputwindow.cpp (1.53) (+1 -3)
		plugins/mainwindow/mainwindow.cpp (1.47) (+6 -4)
		utils/scimactions.cpp (1.29) (+28 -23)
		utils/scimactions.h (1.22) (+2 -1)

	improvement: do not use the default icon size for toolbar, we now use the same size as the font

2005-03-26	21:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/inputwindow.cpp (1.52) (+31 -23)
		plugins/inputwindow/scimlookuptable.cpp (1.18) (+2 -0)

	fixed: if other two windows are not visible, lookup table can ignore them when being placed

2005-03-26	20:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/inputwindow.cpp (1.51) (+1 -1)
		plugins/inputwindow/scimlookuptable.cpp (1.17) (+20 -15)
		plugins/inputwindow/scimlookuptable.h (1.9) (+1 -0)

	fixed: icons in lookuptable should be changed when setting is changed

2005-03-26	20:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/inputwindow.cpp (1.50) (+35 -5)
		plugins/inputwindow/inputwindow.h (1.34) (+1 -0)
		plugins/inputwindow/scimlistbox.cpp (1.21) (+0 -2)
		plugins/inputwindow/scimlookuptable.cpp (1.16) (+0 -2)

	fixed: detached lookuptable could not follow the cursor

2005-03-26	19:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/scimlistbox.cpp (1.20) (+0 -2)
		plugins/inputwindow/scimlookuptable.cpp (1.15) (+0 -3)

	remove some useless redundancy instructions

2005-03-26	19:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/inputwindow.cpp (1.49) (+28 -18)
		plugins/inputwindow/inputwindow.h (1.33) (+1 -0)
		plugins/inputwindow/scimlistbox.cpp (1.19) (+21 -8)
		plugins/inputwindow/scimlistbox.h (1.19) (+1 -1)
		plugins/inputwindow/scimlookuptable.cpp (1.14) (+49 -9)
		plugins/inputwindow/scimlookuptable.h (1.8) (+6 -4)
		plugins/inputwindow/scimstringrender.cpp (1.6) (+1 -1)

	added: lookuptable can be tear off again
	fixed: lookuptable could not shrink after re-attach
	fixed: lookuptable internal logic when manipulating candidates

2005-03-26	03:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.98) (+123 -0)
		NEWS (1.20) (+9 -1)
		configure.in.in (1.45) (+1 -1)
		doc/en/index.docbook (1.53) (+1 -1)

	1.2.2 is ready (will release in branch skim_1_2)

2005-03-26	02:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/skimpluginmanager.cpp (1.31) (+13 -5)
		src/socketserverthread.cpp (1.70) (+3 -0)

	fixed: forced start didn't behave as expected (exit immediately)

2005-03-26	02:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/inputwindow.cpp (1.48) (+2 -0)
		utils/scimdragableframe.cpp (1.7) (+28 -19)
		utils/scimdragableframe.h (1.6) (+1 -1)

	fixed: the input window was not kept visible when qt built-in
	preedit-area is used

2005-03-26	01:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/inputwindow.cpp (1.47) (+9 -9)
		plugins/inputwindow/scimlistbox.cpp (1.18) (+8 -7)
		plugins/inputwindow/scimlistbox.h (1.18) (+1 -1)
		plugins/inputwindow/scimlookuptable.cpp (1.13) (+10 -34)
		plugins/inputwindow/scimlookuptable.h (1.7) (+3 -4)
		utils/scimdragableframe.cpp (1.6) (+25 -7)
		utils/scimdragableframe.h (1.5) (+5 -2)
		utils/scimmovehandle.cpp (1.5) (+1 -1)
		utils/scimtoolbar.cpp (1.7) (+6 -1)

	fixed: drawing issue of inputwindow (lookup table mainly)
	cleanup: useless features in lookup table: tear off
	performance: use timer to reduce adjustSize calls

2005-03-23	18:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	po/desktop_file_list (1.6) (+2 -2)

	renamed config dir to setupui

2005-03-23	18:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/Makefile.am (1.19) (+6 -10)
		po/de.po (1.18) (+48 -56)
		po/desktop.pot (1.20) (+9 -9)
		po/desktop_de.po (1.10) (+9 -9)
		po/desktop_file_list (1.5) (+1 -1)
		po/desktop_fr.po (1.6) (+9 -9)
		po/desktop_it.po (1.6) (+9 -9)
		po/desktop_ja.po (1.7) (+9 -9)
		po/desktop_ko.po (1.9) (+9 -9)
		po/desktop_zh_CN.po (1.5) (+9 -9)
		po/desktop_zh_TW.po (1.6) (+9 -9)
		po/fr.po (1.6) (+48 -56)
		po/it.po (1.6) (+48 -56)
		po/ja.po (1.22) (+48 -56)
		po/ko.po (1.22) (+48 -56)
		po/skim.pot (1.24) (+27 -56)
		po/zh_CN.po (1.27) (+48 -56)
		po/zh_TW.po (1.12) (+48 -56)

	split scim-hangul setupui out

2005-03-20	19:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/kdetraystatus/kdetraystatus.cpp (1.36) (+40 -21)
		plugins/kdetraystatus/kdetraystatus.h (1.14) (+3 -1)
		plugins/kdetraystatus/systemtrayplugin.cpp (1.6) (+1 -0)
		plugins/mainwindow/mainwindow.cpp (1.46) (+29 -26)
		plugins/mainwindow/mainwindow.h (1.25) (+1 -0)
		src/main.cpp (1.49) (+4 -4)
		src/skimglobalactions.cpp (1.35) (+39 -26)
		src/skimglobalactions.h (1.24) (+4 -1)
		src/skimpluginmanager.cpp (1.30) (+9 -5)
		src/socketserverthread.cpp (1.69) (+12 -0)
		src/socketserverthread.h (1.52) (+5 -2)

	fixed reload issue

2005-03-17	19:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/skimpluginmanager.cpp (1.29) (+5 -9)
		src/socketserverthread.cpp (1.68) (+5 -1)
		utils/scimactions.cpp (1.28) (+2 -2)
		utils/scimactions.h (1.21) (+2 -2)

	fixed: ondemand plugin action icon can not be display in the main toolbar

2005-03-17	19:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/main.cpp (1.48) (+3 -19)

	cleanup; use scim::scim_daemon instead our own one

2005-03-17	19:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/inputwindow.cpp (1.46) (+2 -1)

	fixed: ondemand plugin action icon can not be display in the main toolbar

2005-03-16	19:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	doc/en/index.docbook (1.52) (+2 -2)

	updated docbook (merged from branch skim_1_2

2005-03-16	19:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/mainwindow/mainwindow.cpp (1.45) (+11 -1)

	mainwindow context menu standalone SCIM helper module support

2005-03-16	19:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.97) (+184 -0)
		NEWS (1.19) (+19 -12)

	1.2.1 is ready (will be released under the branch skim_1_2

2005-03-14	03:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/skimglobalactions.cpp (1.34) (+2 -1)

	fixed compile issue in qt3.3.3

2005-03-14	03:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/mainwindow/mainwindow.cpp (1.44) (+23 -24)

	fixed another crash issue with scim-input-pad

2005-03-13	19:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/skimplugin_setupwindow.desktop (1.16) (+1 -0)
		src/main.cpp (1.47) (+1 -1)
		src/skimglobalactions.cpp (1.33) (+6 -8)
		src/skimglobalactions.h (1.23) (+1 -1)
		src/skimplugin.desktop (1.12) (+3 -0)
		src/skimpluginmanager.cpp (1.28) (+9 -1)
		src/socketserverthread.cpp (1.67) (+13 -0)
		src/socketserverthread.h (1.51) (+4 -2)

	desktop files store which scim modules can be ignored

2005-03-13	18:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	TODO (1.57) (+1 -0)
		plugins/mainwindow/mainwindow.cpp (1.43) (+32 -23)
		plugins/mainwindow/mainwindow.h (1.24) (+1 -0)

	fixed bug #1162274

2005-03-13	17:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/skimglobalactions.cpp (1.32) (+2 -1)

	fixed compile issue with lower version qt (hopefully)

2005-03-12	03:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/kdetraystatus/kdetraystatus.cpp (1.35) (+7 -7)

	reload self option should come first in the context menu

2005-03-12	03:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/skimglobalactions.cpp (1.31) (+5 -2)

	do not display scim-setup in standalone helper menu and fixed the issue of missing icon

2005-03-11	01:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	po/de.po (1.17) (+44 -57)
		po/desktop.pot (1.19) (+9 -9)
		po/desktop_de.po (1.9) (+9 -9)
		po/desktop_file_list (1.4) (+1 -2)
		po/desktop_fr.po (1.5) (+9 -9)
		po/desktop_it.po (1.5) (+9 -9)
		po/desktop_ja.po (1.6) (+9 -9)
		po/desktop_ko.po (1.8) (+9 -9)
		po/desktop_zh_CN.po (1.4) (+9 -9)
		po/desktop_zh_TW.po (1.5) (+9 -9)
		po/fr.po (1.5) (+44 -57)
		po/it.po (1.5) (+44 -57)
		po/ja.po (1.21) (+44 -57)
		po/ko.po (1.21) (+44 -57)
		po/skim.pot (1.23) (+8 -57)
		po/zh_CN.po (1.26) (+44 -57)
		po/zh_TW.po (1.11) (+44 -57)

	updated po files: removed scim-tables strings

2005-03-11	01:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	configure.in.in (1.44) (+1 -1)
		plugins/setupwindow/Makefile.am (1.18) (+3 -8)

	split scim-tables settings out to scim-tables package
	bump to 1.2.1

2005-03-10	21:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	TODO (1.56) (+0 -2)
		plugins/mainwindow/mainwindow.cpp (1.42) (+6 -5)
		plugins/mainwindow/mainwindow.h (1.23) (+0 -1)

	fixed popupmenu issue: which is probably are qt-imm patch bug

2005-03-10	20:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/kdetraystatus/kdetraystatus.cpp (1.34) (+11 -0)
		src/skimglobalactions.cpp (1.30) (+28 -0)
		src/skimglobalactions.h (1.22) (+4 -0)
		src/socketserverthread.cpp (1.66) (+5 -0)
		src/socketserverthread.h (1.50) (+3 -0)

	standalone scim helper command support

2005-03-10	19:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/mainwindow/mainwindow.cpp (1.41) (+7 -3)

	adjustSize when mainwindow shown

2005-03-10	17:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	TODO (1.55) (+4 -0)
		plugins/kdetraystatus/kdetraystatus.cpp (1.33) (+4 -4)
		plugins/kdetraystatus/kdetraystatus.h (1.13) (+1 -1)
		src/skimglobalactions.cpp (1.29) (+15 -6)
		src/skimglobalactions.h (1.21) (+1 -1)
		src/socketserverthread.cpp (1.65) (+1 -3)
		src/socketserverthread.h (1.49) (+1 -1)
		utils/scimactions.cpp (1.27) (+2 -0)

	fixed bug 1159589: property handling issue when no property is registered by a IMEngine

2005-03-06	14:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/Makefile.am (1.17) (+6 -8)
		po/de.po (1.16) (+113 -151)
		po/desktop.pot (1.18) (+9 -9)
		po/desktop_de.po (1.8) (+10 -10)
		po/desktop_file_list (1.3) (+2 -1)
		po/desktop_fr.po (1.4) (+9 -9)
		po/desktop_it.po (1.4) (+11 -11)
		po/desktop_ja.po (1.5) (+9 -9)
		po/desktop_ko.po (1.7) (+9 -9)
		po/desktop_zh_CN.po (1.3) (+9 -9)
		po/desktop_zh_TW.po (1.4) (+9 -9)
		po/fr.po (1.4) (+102 -140)
		po/it.po (1.4) (+102 -140)
		po/ja.po (1.20) (+112 -150)
		po/ko.po (1.20) (+102 -140)
		po/skim.pot (1.22) (+13 -150)
		po/zh_CN.po (1.25) (+115 -152)
		po/zh_TW.po (1.10) (+109 -150)

	splitted scim-pinyin configure dialog out and updated translations

2005-03-02	00:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	po/ja.po (1.19) (+24 -28)

	updated ja translation

2005-02-28	22:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/skimpluginmanager.cpp (1.27) (+2 -3)
		src/socketserverthread.cpp (1.64) (+6 -2)
		src/socketserverthread.h (1.48) (+1 -0)

	finally (hopefully) fixed the exit issue of skim/scim-qtimm when KDE session ends

2005-02-28	20:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/skimpluginmanager.cpp (1.26) (+6 -0)
		src/socketserverthread.cpp (1.63) (+5 -4)

	skim should exit if panel exits (panel can exit when no connections are active and --no-stay is specified)

2005-02-28	16:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/skimpluginmanager.cpp (1.25) (+3 -1)
		src/socketserverthread.cpp (1.62) (+0 -1)

	fixed another exit issue: when another panel is running, skim is started with option -f, skim can not exit cleanly

2005-02-28	16:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	NEWS (1.18) (+8 -0)

	updated helper doc

2005-02-28	16:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/inputwindow.cpp (1.45) (+4 -4)
		plugins/inputwindow/inputwindow.h (1.32) (+1 -1)
		src/socketserverthread.cpp (1.61) (+2 -2)
		src/socketserverthread.h (1.47) (+2 -2)

	more amd64 fix(continue)

2005-02-28	00:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/scim_x.ui (1.10) (+1 -1)
		plugins/setupwindow/scimimenginesettingsui.ui (1.3) (+1 -1)

	fixed qt version issue in ui files

2005-02-28	00:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/socketserverthread.h (1.46) (+2 -2)

	fixed amd64 compile issue (thanks to Federico Zenith)

2005-02-28	00:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/generictable.kcfg (1.3) (+10 -10)
		plugins/setupwindow/generictableui.ui (1.3) (+25 -25)

	updated scim-tables config option paths

2005-02-28	00:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	scim/config/Makefile.am (1.5) (+1 -1)
		utils/Makefile.am (1.11) (+1 -1)

	a better way to fix the problem: kconfig config module for scim can not be loaded due to symbal missing

2005-02-28	00:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	po/de.po (1.15) (+79 -80)
		po/desktop.pot (1.17) (+9 -9)
		po/desktop_de.po (1.7) (+9 -9)
		po/desktop_file_list (1.2) (+1 -1)
		po/desktop_fr.po (1.3) (+9 -9)
		po/desktop_it.po (1.3) (+10 -10)
		po/desktop_ja.po (1.4) (+9 -9)
		po/desktop_ko.po (1.6) (+9 -9)
		po/desktop_zh_CN.po (1.2) (+9 -9)
		po/desktop_zh_TW.po (1.3) (+9 -9)
		po/fr.po (1.3) (+79 -80)
		po/it.po (1.3) (+79 -80)
		po/ja.po (1.18) (+79 -80)
		po/ko.po (1.19) (+79 -80)
		po/skim.pot (1.21) (+45 -74)
		po/zh_CN.po (1.24) (+64 -117)
		po/zh_TW.po (1.9) (+51 -74)

	updated all translation files and updated zh_CN

2005-02-28	00:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/scim_x.ui (1.9) (+1 -1)

	fixed buddy

2005-02-28	00:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/scim_global.ui (1.7) (+0 -3)
		plugins/setupwindow/scim_x.ui (1.8) (+0 -6)
		plugins/setupwindow/scimimenginesettingsui.ui (1.2) (+0 -9)
		plugins/setupwindow/scimsmartpinyinsettingplugin.cpp (1.6) (+2 -2)
		plugins/setupwindow/smartpinyin.kcfg (1.3) (+33 -33)
		plugins/setupwindow/smartpinyinui.ui (1.5) (+98 -107)

	updated scim-pinyin config option paths and fixed some ui file issues

2005-02-28	00:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	scim/config/Makefile.am (1.4) (+1 -1)
		utils/Makefile.am (1.10) (+1 -1)

	fixed: kconfig config module for scim can not be loaded due to symbal missing

2005-02-27	20:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/skimpluginmanager.cpp (1.24) (+2 -2)
		src/socketserverthread.cpp (1.60) (+20 -2)
		src/socketserverthread.h (1.45) (+3 -1)

	exit procedure refined

2005-02-27	17:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/main.cpp (1.46) (+4 -0)

	specify QT_IM_MODULE=xim in skim itself to avoid indefinite loop in qt-3.3.4

2005-02-22	22:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	.cvsignore (1.10) (+1 -0)
		Makefile.am (1.5) (+4 -0)
		configure.in.in (1.42) (+2 -0)
		scim_kdeutils.pc.in (1.1) ( )
		skim.pc.in (1.1) ( )
		plugins/setupwindow/Makefile.am (1.16) (+4 -8)
		src/Makefile.am (1.21) (+3 -1)
		utils/Makefile.am (1.9) (+4 -1)

	install skim.pc and scim_kdeutils.pc to support pkgconfig
	split qtimm config to its corresponding package

2005-02-19	17:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	scim/config/Makefile.am (1.3) (+1 -1)

	kdeui is not required

2005-02-04	03:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/scim_x.ui (1.7) (+12 -12)
		utils/scimkdeconfig.kcfg (1.22) (+5 -5)

	updated some config path for libscim

2005-02-03	05:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.95) (+207 -0)
		NEWS (1.17) (+8 -0)
		doc/en/index.docbook (1.50) (+3 -3)

	updated docs

2005-02-03	03:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	configure.in.in (1.41) (+1 -1)

	1.1.0 requires scim 1.1.3

2005-01-31	13:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/skimplugin_inputwindow.desktop (1.13) (+3 -0)
		plugins/inputwindow/skimplugin_inputwindow_config.desktop (1.13) (+2 -0)
		plugins/kdetraystatus/skimplugin_systemtray.desktop (1.11) (+2 -0)
		plugins/kdetraystatus/skimplugin_systemtray_config.desktop (1.14) (+2 -0)
		plugins/mainwindow/skimplugin_mainwindow.desktop (1.12) (+2 -0)
		plugins/mainwindow/skimplugin_mainwindow_config.desktop (1.15) (+2 -0)
		plugins/scimlauncher/skimplugin_scim.desktop (1.12) (+2 -0)
		plugins/setupwindow/kcm_skimplugin_configplugin_config.desktop (1.15) (+2 -0)
		plugins/setupwindow/skimplugin_scim_global_config.desktop (1.13) (+2 -0)
		plugins/setupwindow/skimplugin_scim_hangul_config.desktop (1.11) (+1 -0)
		plugins/setupwindow/skimplugin_scim_imengines_config.desktop (1.15) (+2 -0)
		plugins/setupwindow/skimplugin_scim_qtimm_config.desktop (1.15) (+2 -0)
		plugins/setupwindow/skimplugin_scim_smartpinyin_config.desktop (1.12) (+2 -0)
		plugins/setupwindow/skimplugin_scim_table_config.desktop (1.12) (+2 -0)
		plugins/setupwindow/skimplugin_scim_x_config.desktop (1.16) (+1 -0)
		plugins/setupwindow/skimplugin_setupwindow.desktop (1.15) (+3 -0)
		src/skim.desktop (1.14) (+1 -0)
		src/skimkcmplugin.desktop (1.10) (+1 -0)
		src/skimplugin.desktop (1.11) (+1 -0)
		src/skimui.desktop (1.10) (+1 -0)

	updated italy translation in desktop files

2005-01-31	13:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/scim_x.ui (1.6) (+16 -2)
		utils/scimkdeconfig.kcfg (1.21) (+4 -8)

	dynamic event flow option in X config dialog

2005-01-30	15:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	po/de.po (1.14) (+189 -116)
		po/desktop.pot (1.16) (+1 -1)
		po/desktop_fr.po (1.2) (+3 -3)
		po/desktop_it.po (1.2) (+13 -7)
		po/fr.po (1.2) (+198 -124)
		po/it.po (1.2) (+193 -120)
		po/ja.po (1.17) (+188 -115)
		po/ko.po (1.18) (+188 -116)
		po/skim.pot (1.20) (+158 -109)
		po/zh_CN.po (1.23) (+191 -115)
		po/zh_TW.po (1.8) (+182 -115)

	updated strings

2005-01-30	15:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/scimglobalconfigplugin.cpp (1.11) (+1 -1)

	fixed a compile warning

2005-01-30	15:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/scimimenginesettingsui.ui (1.1) ( )

	added the missing file

2005-01-30	15:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/scimlauncher/scimlauncher.cpp (1.39) (+5 -2)
		plugins/setupwindow/Makefile.am (1.15) (+2 -3)
		plugins/setupwindow/scimimenginesettings.cpp (1.12) (+170 -46)
		plugins/setupwindow/scimimenginesettings.h (1.6) (+4 -3)
		src/main.cpp (1.45) (+1 -2)
		src/skimkeygrabber.cpp (1.6) (+0 -14)
		src/skimkeygrabber.h (1.5) (+1 -1)
		src/skimpluginmanager.cpp (1.23) (+24 -1)
		src/skimpluginmanager.h (1.11) (+3 -0)
		src/socketserverthread.h (1.44) (+1 -1)

	Edit Hotkeys support in IMEngines Config dialog
	fixed the exit crash issue(hopefully)
	copyright info updated

2005-01-30	15:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	configure.in.in (1.40) (+3 -3)
		scim_panel_kde.kdevelop (1.13) (+1 -3)
		plugins/inputwindow/configinputwindow.cpp (1.4) (+1 -1)
		plugins/inputwindow/configinputwindow.h (1.3) (+1 -1)
		plugins/inputwindow/inputwindow.cpp (1.44) (+1 -1)
		plugins/inputwindow/inputwindow.h (1.31) (+1 -1)
		plugins/inputwindow/scimlineedit.cpp (1.15) (+1 -1)
		plugins/inputwindow/scimlineedit.h (1.9) (+1 -1)
		plugins/inputwindow/scimlistbox.cpp (1.17) (+1 -1)
		plugins/inputwindow/scimlistbox.h (1.17) (+1 -1)
		plugins/inputwindow/scimlookuptable.cpp (1.12) (+1 -1)
		plugins/inputwindow/scimlookuptable.h (1.6) (+1 -1)
		plugins/inputwindow/scimstringlistitem.cpp (1.10) (+1 -1)
		plugins/inputwindow/scimstringlistitem.h (1.11) (+1 -1)
		plugins/inputwindow/scimstringrender.cpp (1.5) (+1 -1)
		plugins/inputwindow/scimstringrender.h (1.5) (+1 -1)
		plugins/kdetraystatus/kcmloader.cpp (1.5) (+1 -1)
		plugins/kdetraystatus/kcmloader.h (1.5) (+1 -1)
		plugins/kdetraystatus/kdetraystatus.cpp (1.32) (+1 -1)
		plugins/kdetraystatus/kdetraystatus.h (1.12) (+1 -1)
		plugins/kdetraystatus/systemtrayplugin.cpp (1.5) (+1 -1)
		plugins/kdetraystatus/systemtrayplugin.h (1.3) (+1 -1)
		plugins/mainwindow/configmainwindow.cpp (1.3) (+1 -1)
		plugins/mainwindow/configmainwindow.h (1.3) (+1 -1)
		plugins/mainwindow/mainwindow.cpp (1.40) (+1 -1)
		plugins/mainwindow/mainwindow.h (1.22) (+1 -1)
		plugins/scimlauncher/scimlauncher.cpp (1.37) (+12 -38)
		plugins/scimlauncher/scimlauncher.h (1.16) (+1 -1)
		plugins/setupwindow/configskimplugins.cpp (1.4) (+1 -1)
		plugins/setupwindow/configskimplugins.h (1.3) (+1 -1)
		plugins/setupwindow/scimglobalconfigplugin.cpp (1.10) (+1 -1)
		plugins/setupwindow/scimglobalconfigplugin.h (1.6) (+1 -1)
		plugins/setupwindow/scimhangulsettingloader.cpp (1.2) (+1 -1)
		plugins/setupwindow/scimhangulsettingloader.h (1.2) (+1 -1)
		plugins/setupwindow/scimimenginesettings.cpp (1.10) (+1 -1)
		plugins/setupwindow/scimimenginesettings.h (1.4) (+1 -1)
		plugins/setupwindow/scimqtimmsettingplugin.cpp (1.4) (+1 -1)
		plugins/setupwindow/scimqtimmsettingplugin.h (1.4) (+1 -1)
		plugins/setupwindow/scimsetupwindow.cpp (1.34) (+1 -1)
		plugins/setupwindow/scimsetupwindow.h (1.17) (+1 -1)
		plugins/setupwindow/scimsmartpinyinsettingplugin.cpp (1.5) (+1 -1)
		plugins/setupwindow/scimsmartpinyinsettingplugin.h (1.3) (+1 -1)
		plugins/setupwindow/scimtablesettingplugin.cpp (1.3) (+1 -1)
		plugins/setupwindow/scimtablesettingplugin.h (1.3) (+1 -1)
		plugins/setupwindow/scimxsettings.cpp (1.4) (+1 -1)
		plugins/setupwindow/scimxsettings.h (1.3) (+1 -1)
		src/main.cpp (1.44) (+21 -22)
		src/scimhelpdialog.cpp (1.3) (+1 -1)
		src/scimhelpdialog.h (1.3) (+1 -1)
		src/skimglobalactions.cpp (1.27) (+18 -20)
		src/skimglobalactions.h (1.19) (+10 -3)
		src/skimkeygrabber.cpp (1.5) (+1 -1)
		src/skimkeygrabber.h (1.4) (+1 -1)
		src/skimplugin.cpp (1.5) (+1 -1)
		src/skimplugin.h (1.3) (+1 -1)
		src/skimpluginmanager.cpp (1.22) (+18 -7)
		src/skimpluginmanager.h (1.9) (+1 -1)
		src/socketserverthread.cpp (1.57) (+171 -653)
		src/socketserverthread.h (1.41) (+110 -53)
		utils/kautocmodule.cpp (1.6) (+1 -1)
		utils/kautocmodule.h (1.4) (+1 -1)
		utils/scimactions.cpp (1.26) (+1 -1)
		utils/scimactions.h (1.20) (+1 -1)
		utils/scimdragableframe.cpp (1.5) (+1 -1)
		utils/scimdragableframe.h (1.4) (+1 -1)
		utils/scimmovehandle.cpp (1.4) (+1 -1)
		utils/scimmovehandle.h (1.4) (+1 -1)
		utils/scimtoolbar.cpp (1.6) (+1 -1)
		utils/scimtoolbar.h (1.4) (+1 -1)
		utils/scimxmlguibuilder.cpp (1.4) (+1 -1)
		utils/scimxmlguibuilder.h (1.4) (+1 -1)

	upgraded to work with libscim 1.1.x (CVS HEAD); cleanup; updated copyright info

2005-01-30	15:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/scimlauncher/scimlauncher.cpp (1.38) (+0 -22)
		src/skimpluginmanager.h (1.10) (+0 -1)
		src/socketserverthread.cpp (1.58) (+1 -1)
		src/socketserverthread.h (1.42) (+3 -59)

	cleanup

2005-01-30	15:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	TODO (1.54) (+0 -3)
		plugins/setupwindow/scimimenginesettings.cpp (1.11) (+40 -3)
		plugins/setupwindow/scimimenginesettings.h (1.5) (+5 -0)
		src/skimglobalactions.cpp (1.28) (+105 -118)
		src/skimglobalactions.h (1.20) (+12 -17)
		src/socketserverthread.cpp (1.59) (+6 -7)
		src/socketserverthread.h (1.43) (+0 -26)

	changed the internal manipulation mechanism of properties
	disableall and enableall buttons in IMEngine config dialog

2005-01-30	14:5	James Su <suzhe@tsinghua.org.cn>

	Files:	AUTHORS (1.9) (+2 -0)
		admin/cvs.sh (1.5) (+1 -1)
		po/desktop_it.po (1.1) ( )
		po/it.po (1.1) ( )

	Added it.po

2005-01-20	08:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.94) (+76 -0)
		NEWS (1.16) (+5 -0)
		README (1.11) (+1 -4)
		configure.in.in (1.39) (+2 -2)
		doc/en/index.docbook (1.49) (+6 -7)

	1.0.3 is ready

2005-01-20	08:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/scim_global.ui (1.6) (+1 -1)
		plugins/setupwindow/scimsmartpinyinsettingplugin.cpp (1.4) (+3 -0)
		plugins/setupwindow/smartpinyin.kcfg (1.2) (+5 -1)
		plugins/setupwindow/smartpinyinui.ui (1.4) (+26 -3)

	added an option missing in scim-chinese: enable ambiguities

2004-12-08	02:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/skimplugin_inputwindow.desktop (1.12) (+3 -0)
		plugins/inputwindow/skimplugin_inputwindow_config.desktop (1.12) (+2 -0)
		plugins/kdetraystatus/skimplugin_systemtray.desktop (1.10) (+2 -0)
		plugins/kdetraystatus/skimplugin_systemtray_config.desktop (1.13) (+2 -0)
		plugins/mainwindow/skimplugin_mainwindow.desktop (1.11) (+2 -0)
		plugins/mainwindow/skimplugin_mainwindow_config.desktop (1.14) (+2 -0)
		plugins/scimlauncher/skimplugin_scim.desktop (1.11) (+2 -0)
		plugins/setupwindow/kcm_skimplugin_configplugin_config.desktop (1.14) (+2 -0)
		plugins/setupwindow/skimplugin_scim_global_config.desktop (1.12) (+2 -0)
		plugins/setupwindow/skimplugin_scim_hangul_config.desktop (1.10) (+1 -0)
		plugins/setupwindow/skimplugin_scim_imengines_config.desktop (1.14) (+2 -0)
		plugins/setupwindow/skimplugin_scim_qtimm_config.desktop (1.14) (+1 -0)
		plugins/setupwindow/skimplugin_scim_smartpinyin_config.desktop (1.11) (+1 -0)
		plugins/setupwindow/skimplugin_scim_table_config.desktop (1.11) (+2 -0)
		plugins/setupwindow/skimplugin_scim_x_config.desktop (1.15) (+1 -0)
		plugins/setupwindow/skimplugin_setupwindow.desktop (1.14) (+3 -0)
		src/skim.desktop (1.13) (+1 -0)
		src/skimkcmplugin.desktop (1.9) (+1 -0)
		src/skimplugin.desktop (1.10) (+1 -0)
		src/skimui.desktop (1.9) (+1 -0)

	updated desktop files for french translation

2004-12-08	02:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/scim_global.ui (1.5) (+7 -13)
		plugins/setupwindow/scimglobalconfigplugin.cpp (1.9) (+25 -15)
		plugins/setupwindow/scimglobalconfigplugin.h (1.5) (+1 -2)

	fixed bug #1070591

2004-12-07	18:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	scim/config/Makefile.am (1.2) (+2 -0)
		src/Makefile.am (1.20) (+2 -0)
		utils/Makefile.am (1.8) (+1 -1)

	fixed bug #

2004-12-07	17:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	po/desktop_fr.po (1.1) ( )
		po/fr.po (1.1) ( )

	added french translation, thanks to Damien Menanteau <damien.menanteau ZAI cegetel.net>

2004-10-08	00:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	TODO (1.53) (+3 -0)
		configure.in.in (1.38) (+1 -1)
		doc/en/index.docbook (1.48) (+11 -5)
		plugins/setupwindow/scimsetupwindow.cpp (1.33) (+1 -1)

	1.0.2 is ready && updated English doc

2004-10-07	23:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	admin/libtool.m4.in (1.5) (+240 -388)

	this is the right file for the last commit

2004-10-07	14:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/inputwindow.cpp (1.43) (+1 -1)
		plugins/inputwindow/scimlistbox.cpp (1.16) (+12 -11)
		plugins/inputwindow/scimstringrender.h (1.4) (+1 -1)
		plugins/kdetraystatus/systemtrayplugin.cpp (1.4) (+1 -1)
		plugins/mainwindow/mainwindow.cpp (1.39) (+1 -1)
		plugins/scimlauncher/scimlauncher.cpp (1.36) (+1 -1)
		plugins/setupwindow/scimsetupwindow.cpp (1.32) (+1 -1)

	fixed bug #1042106
	remove some extra ;

2004-10-07	14:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	admin/libtool.m4.in (1.4) (+14 -0)

	reverted to the libtool.m4.in in the kde distribution, for the new one does not generate *.la files correctly. however, the reverted one is patched with the icc/icpc compiler support

2004-10-05	18:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	admin/libtool.m4.in (1.3) (+384 -238)

	updated libtool to 1.5.8

2004-10-04	18:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/skimglobalactions.h (1.18) (+1 -1)
		src/socketserverthread.cpp (1.56) (+0 -6)
		src/socketserverthread.h (1.40) (+1 -1)
		utils/scimactions.h (1.19) (+2 -2)

	get rid of some remarks identified by intel compiler

2004-09-27	04:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.92) (+92 -0)
		NEWS (1.13) (+6 -0)

	updated helper files

2004-09-27	03:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	configure.in.in (1.37) (+1 -1)
		doc/en/index.docbook (1.47) (+34 -34)

	version 1.0.1 and doc update

2004-09-26	23:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	skim.spec.in (1.4) (+13 -10)
		po/de.po (1.13) (+4 -4)
		po/ja.po (1.16) (+3 -3)
		po/ko.po (1.17) (+14 -14)

	updated spec file and de ja ko translation

2004-09-25	16:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	po/zh_CN.po (1.22) (+7 -8)

	updated zh_CN translation

2004-09-25	16:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	po/de.po (1.12) (+53 -49)
		po/desktop.pot (1.15) (+1 -1)
		po/ja.po (1.15) (+51 -47)
		po/ko.po (1.16) (+559 -557)
		po/skim.pot (1.19) (+51 -47)
		po/zh_CN.po (1.21) (+57 -55)
		po/zh_TW.po (1.7) (+55 -49)

	updated pot/po

2004-09-22	22:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	scim_panel_kde.kdevelop (1.12) (+28 -2)
		plugins/setupwindow/scim_x.ui (1.5) (+10 -2)
		src/Makefile.am (1.19) (+3 -0)
		src/main.cpp (1.43) (+3 -0)
		src/skim.desktop (1.12) (+5 -0)
		utils/scimkdeconfig.kcfg (1.20) (+6 -0)

	added a new option: Autostart in the config dialog

2004-09-19	03:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/scimlauncher/scimlauncher.cpp (1.35) (+1 -33)
		plugins/scimlauncher/scimlauncher.h (1.15) (+0 -1)

	revert to a previous version: the potential crash was not fixed by the previous commit

2004-09-13	13:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/inputwindow.cpp (1.42) (+8 -7)
		plugins/inputwindow/inputwindow.h (1.30) (+1 -1)
		plugins/inputwindow/scimlistbox.cpp (1.15) (+6 -1)
		plugins/inputwindow/scimlistbox.h (1.16) (+1 -1)
		src/socketserverthread.cpp (1.55) (+4 -1)
		src/socketserverthread.h (1.39) (+2 -1)

	display less candidates in the lookuptable if it is too long

2004-09-13	13:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/mainwindow/mainwindow.h (1.21) (+0 -2)

	cleanup

2004-09-12	21:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/scimlauncher/scimlauncher.cpp (1.34) (+39 -7)
		plugins/scimlauncher/scimlauncher.h (1.14) (+1 -0)
		src/socketserverthread.cpp (1.54) (+2 -2)

	fixed (potential) crash if skim is started before startkde and scim server plugin is enabled

2004-09-09	02:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	doc/de/index.docbook (1.4) (+2 -2)
		doc/en/index.docbook (1.46) (+1 -1)

	typo

2004-09-08	20:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.91) (+244 -0)
		NEWS (1.12) (+14 -0)
		doc/de/index.docbook (1.3) (+1 -1)

	version 1.0.0 is ready

2004-09-08	19:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	po/de.po (1.11) (+9 -10)

	updated de translation

2004-09-08	14:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	po/ja.po (1.14) (+5 -5)
		po/ko.po (1.15) (+565 -562)
		po/zh_TW.po (1.6) (+19 -18)

	updated translations

2004-09-07	15:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	po/de.po (1.10) (+19 -7)
		po/desktop.pot (1.14) (+1 -1)
		po/ja.po (1.13) (+19 -7)
		po/ko.po (1.14) (+19 -7)
		po/skim.pot (1.18) (+18 -6)
		po/zh_CN.po (1.20) (+34 -17)
		po/zh_TW.po (1.5) (+18 -6)
		src/main.cpp (1.42) (+9 -3)

	added 3 new authors

2004-09-06	23:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	doc/Makefile.am (1.3) (+1 -1)
		doc/de/Makefile.am (1.1) ( )
		doc/de/index.docbook (1.1) ( )
		doc/de/skim01a.png (1.1) ( )
		doc/de/skim02a.png (1.1) ( )
		doc/de/skim04a.png (1.1) ( )
		doc/de/skim24c.png (1.1) ( )
		doc/de/skim_choose_ime.png (1.1) ( )
		doc/de/skim_configuration1.png (1.1) ( )
		doc/de/skim_configuration10.png (1.1) ( )
		doc/de/skim_configuration11.png (1.1) ( )
		doc/de/skim_configuration110.png (1.1) ( )
		doc/de/skim_configuration111.png (1.1) ( )
		doc/de/skim_configuration112.png (1.1) ( )
		doc/de/skim_configuration12.png (1.1) ( )
		doc/de/skim_configuration13.png (1.1) ( )
		doc/de/skim_configuration14.png (1.1) ( )
		doc/de/skim_configuration15.png (1.1) ( )
		doc/de/skim_configuration16.png (1.1) ( )
		doc/de/skim_configuration17.png (1.1) ( )
		doc/de/skim_configuration18.png (1.1) ( )
		doc/de/skim_configuration19.png (1.1) ( )
		doc/de/skim_configuration2.png (1.1) ( )
		doc/de/skim_configuration3.png (1.1) ( )
		doc/de/skim_configuration4.png (1.1) ( )
		doc/de/skim_configuration5.png (1.1) ( )
		doc/de/skim_configuration6.png (1.1) ( )
		doc/de/skim_configuration7.png (1.1) ( )
		doc/de/skim_configuration8.png (1.1) ( )
		doc/de/skim_configuration9.png (1.1) ( )
		doc/de/skim_contextmenu.png (1.1) ( )
		doc/de/skim_toolbar1.png (1.1) ( )
		doc/de/skim_toolbar3.png (1.1) ( )
		doc/de/skim_toolbar4.png (1.1) ( )
		doc/de/skim_toolbar6.png (1.1) ( )
		doc/de/skim_toolbar8.png (1.1) ( )

	added German Handbook

2004-09-05	21:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/scimxsettings.cpp (1.3) (+0 -4)

	cleanup

2004-09-05	21:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/scimsetupwindow.cpp (1.31) (+3 -3)
		src/skimglobalactions.cpp (1.26) (+1 -1)

	cleanup

2004-09-05	20:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/inputwindow.cpp (1.41) (+0 -3)

	cleanup

2004-09-05	19:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	icons/Makefile.am (1.7) (+2 -6)
		icons/pin_down.png (1.4) (+6 -2)
		icons/pin_up.png (1.4) (+8 -5)
		icons/scim_help.png (1.1) ( )

	get rid of unused icons and added scim_help.png

2004-09-05	19:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/mainwindow/mainwindow.cpp (1.38) (+1 -2)

	cleanup

2004-09-05	19:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/Makefile.am (1.13) (+2 -2)
		plugins/inputwindow/inputwindow.cpp (1.40) (+2 -2)
		plugins/inputwindow/inputwindow.h (1.29) (+1 -1)

	cleanup

2004-09-04	00:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	po/zh_CN.po (1.19) (+6 -14)

	updated zh_CN translation

2004-09-03	18:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	doc/en/index.docbook (1.45) (+2 -2)
		po/de.po (1.9) (+40 -23)
		po/desktop.pot (1.13) (+1 -1)
		po/desktop_de.po (1.6) (+9 -6)
		po/ja.po (1.12) (+15 -10)
		po/ko.po (1.13) (+10 -7)
		po/skim.pot (1.17) (+10 -6)
		po/zh_CN.po (1.18) (+14 -9)
		po/zh_TW.po (1.4) (+11 -7)
		src/main.cpp (1.41) (+6 -3)

	updated the kaboutdata and pot/po files

2004-09-03	18:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/scimsetupwindow.cpp (1.30) (+1 -1)
		src/main.cpp (1.40) (+1 -0)

	added Kitae to the credit in the KAboutData

2004-09-03	18:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/kdetraystatus/kdetraystatus.cpp (1.31) (+6 -1)

	Set the Small icon size to the one specified for KDE MainToolbar group icons

2004-09-03	17:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/skim.desktop (1.11) (+1 -1)

	remove the extension of the icon: svgz version of the icon will not be used, the png one is used in kde 3.2/3.3

2004-09-03	17:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	configure.in.in (1.36) (+1 -1)
		icons/Makefile.am (1.6) (+1 -1)
		plugins/kdetraystatus/kdetraystatus.cpp (1.30) (+6 -6)
		src/Makefile.am (1.18) (+1 -1)
		src/cr32-app-skim.png (1.1) ( )
		src/crsc-app-skim.svgz (1.1) ( )
		src/skim.desktop (1.10) (+1 -1)

	Brand new icon for skim (thanks to Kitae)
	Moved the skim icon to src
	Fixed two icon size issues in kdesystray
	Removed useless old icons
	Version 1.0.0

2004-09-02	03:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	doc/en/index.docbook (1.44) (+22 -16)

	cleanup and added the new skim logo (commentted out for normal doc)

2004-09-02	01:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	doc/en/index.docbook (1.41) (+20 -9)

	doc: added 'howto add new utf8 locales'

2004-09-02	00:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	doc/en/index.docbook (1.40) (+42 -17)

	updated doc:
	added notice about IMEngine
	added info about howto install from RPM
	added art designer acknolegement

2004-08-31	20:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/skimglobalactions.cpp (1.25) (+3 -2)
		src/socketserverthread.cpp (1.53) (+0 -237)
		src/socketserverthread.h (1.38) (+1 -4)

	socket config support is no longer needed; cleanup

2004-08-31	19:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/skimglobalactions.cpp (1.24) (+7 -13)
		src/skimglobalactions.h (1.17) (+0 -2)

	settle popupmenu when the content changes

2004-08-31	02:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/kdetraystatus/kdetraystatus.cpp (1.29) (+0 -1)
		plugins/setupwindow/scimsetupwindow.cpp (1.29) (+5 -5)
		src/skimglobalactions.cpp (1.23) (+1 -7)
		src/socketserverthread.cpp (1.52) (+1 -55)
		utils/kautocmodule.cpp (1.5) (+0 -1)

	cleanup

2004-08-31	02:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/kdetraystatus/kdetraystatus.cpp (1.28) (+3 -7)
		plugins/kdetraystatus/kdetraystatus.h (1.11) (+1 -1)
		src/skimglobalactions.cpp (1.22) (+47 -38)
		src/skimglobalactions.h (1.16) (+2 -1)
		src/socketserverthread.cpp (1.51) (+2 -9)
		utils/scimactions.cpp (1.25) (+25 -7)
		utils/scimactions.h (1.18) (+4 -0)

	fixed the factory menu shortcut support bug

2004-08-28	01:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.90) (+1 -1)
		NEWS (1.11) (+11 -0)

	updated helper files

2004-08-28	01:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/skimpluginmanager.cpp (1.21) (+0 -32)
		utils/scimactions.cpp (1.24) (+4 -7)

	cleanup

2004-08-27	20:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	po/ja.po (1.11) (+16 -14)

	updated ja translation http://freedesktop.org/pipermail/scim/2004-August/000831.html

2004-08-27	15:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	po/ko.po (1.12) (+7 -9)

	updated ko translation http://freedesktop.org/pipermail/scim/2004-August/000829.html

2004-08-27	14:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	utils/scimactions.cpp (1.23) (+17 -2)
		utils/scimactions.h (1.17) (+10 -1)

	get rid of extra space in text buttons of mainwindow

2004-08-27	14:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	po/ko.po (1.11) (+11 -12)

	updated some fuzzy translation

2004-08-26	20:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/inputwindow.cpp (1.39) (+2 -1)

	when no custom font is set, unset current font

2004-08-26	20:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	po/de.po (1.8) (+30 -34)
		po/desktop_de.po (1.5) (+6 -9)

	updated de translation: http://freedesktop.org/pipermail/scim/2004-August/000822.html

2004-08-26	16:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/main.cpp (1.39) (+1 -1)

	typo

2004-08-26	15:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	po/de.po (1.7) (+2 -2)
		po/desktop.pot (1.12) (+1 -1)
		po/ja.po (1.10) (+2 -2)
		po/ko.po (1.10) (+3 -2)
		po/skim.pot (1.16) (+2 -2)
		po/zh_CN.po (1.17) (+9 -10)

	correct a typo in pot file

2004-08-26	03:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	doc/en/index.docbook (1.38) (+1 -1)
		doc/en/index.docbook (1.37) (+1 -1)

	typo

2004-08-26	03:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	doc/en/Makefile.am (1.4) (+1 -1)
		doc/en/index.docbook (1.36) (+50 -35)

	all translators are added

2004-08-26	02:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	admin/am_edit (1.5) (+2 -2)
		plugins/scimlauncher/skimplugin_scim.desktop (1.10) (+1 -1)
		plugins/setupwindow/kcm_skimplugin_configplugin_config.desktop (1.13) (+2 -2)
		plugins/setupwindow/skimplugin_scim_global_config.desktop (1.11) (+2 -2)
		plugins/setupwindow/skimplugin_scim_qtimm_config.desktop (1.13) (+2 -1)
		plugins/setupwindow/skimplugin_scim_x_config.desktop (1.13) (+1 -1)
		plugins/setupwindow/skimplugin_setupwindow.desktop (1.13) (+2 -2)
		po/de.po (1.5) (+24 -15)
		po/desktop.pot (1.10) (+1 -1)
		po/ja.po (1.9) (+69 -12)
		po/ko.po (1.9) (+25 -15)
		po/skim.pot (1.14) (+23 -15)
		po/zh_CN.po (1.16) (+24 -15)
		po/zh_TW.po (1.3) (+24 -15)
		src/skimkcmplugin.desktop (1.8) (+1 -1)
		src/skimplugin.desktop (1.9) (+1 -1)
		src/skimui.desktop (1.8) (+1 -1)

	updated desktop file for ja and merge in latest string into po/pot files

2004-08-26	02:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/skimplugin_scim_x_config.desktop (1.14) (+1 -1)
		po/de.po (1.6) (+13 -13)
		po/desktop.pot (1.11) (+1 -1)
		po/desktop_de.po (1.4) (+3 -3)
		po/skim.pot (1.15) (+1 -1)

	updated de translation (http://freedesktop.org/pipermail/scim/2004-August/000810.html)

2004-08-26	02:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	po/.cvsignore (1.3) (+1 -23)
		po/desktop_ja.po (1.3) (+14 -14)
		po/ja.po (1.8) (+13 -61)

	removed all *.gmo and updated ja translation (http://freedesktop.org/pipermail/scim/2004-August/000782.html)

2004-08-26	02:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/scimglobalconfigplugin.cpp (1.8) (+3 -1)
		src/main.cpp (1.37) (+7 -1)
		src/skimpluginmanager.cpp (1.20) (+7 -9)

	flush scim global settings after user click apply/ok button
	new -f (force) option for skim: if given this option, even scim-panel-gtk is running, skim will start, so users have a chance to use the setting dialog in skim (notice: if a panel is running while skim starts, skim will disable its built-in panel socket server, that means you are still using scim-panel-gtk as the panel. If you want to use skim, you should first exit scim-panel-gtk and restart skim, or simply by restarting your KDE session given skim is running ;) )

2004-08-26	01:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	skim.spec.in (1.3) (+4 -4)
		plugins/setupwindow/scimsetupwindow.cpp (1.28) (+21 -0)
		plugins/setupwindow/scimsetupwindow.h (1.16) (+2 -1)
		scim/config/scim_kconfig_config.cpp (1.9) (+11 -15)
		src/main.cpp (1.36) (+1 -1)
		src/socketserverthread.cpp (1.50) (+30 -16)
		src/socketserverthread.h (1.37) (+4 -4)

	fixed scim-lib setting reload issues: when click apply/ok button in the configure dialog, scim won't reload it settings;
	-c <name> option for skim is implemented

2004-08-25	17:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/scimglobalconfigplugin.cpp (1.7) (+6 -0)

	fixed: after changing the default config module, skim would not exit cleanly

2004-08-24	18:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/scim_x.ui (1.4) (+49 -1)
		utils/scimkdeconfig.kcfg (1.19) (+5 -1)

	new option /FrontEnd/Keys/ShowFactoryMenu setup ui for scim-lib

2004-08-24	18:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/Makefile.am (1.17) (+1 -1)
		utils/Makefile.am (1.7) (+1 -1)

	move libskim and libscim-kdeutils to ${libdir}

2004-08-24	18:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	admin/am_edit (1.4) (+4 -3)
		admin/cvs.sh (1.4) (+2 -1)
		po/Makefile.am (1.11) (+3 -2)
		po/de.po (1.4) (+52 -5)
		po/desktop.pot (1.9) (+1 -1)
		po/desktop_de.po (1.3) (+9 -6)
		po/desktop_zh_TW.po (1.2) (+3 -3)
		po/skim.pot (1.13) (+1 -1)
		po/zh_TW.po (1.2) (+55 -7)

	verbos when updated translation

2004-08-24	17:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/skimplugin_inputwindow.desktop (1.11) (+1 -1)
		plugins/mainwindow/skimplugin_mainwindow.desktop (1.10) (+1 -1)
		plugins/mainwindow/skimplugin_mainwindow_config.desktop (1.13) (+2 -2)
		plugins/setupwindow/kcm_skimplugin_configplugin_config.desktop (1.12) (+2 -2)
		plugins/setupwindow/skimplugin_scim_global_config.desktop (1.10) (+2 -2)
		plugins/setupwindow/skimplugin_scim_imengines_config.desktop (1.13) (+1 -1)
		plugins/setupwindow/skimplugin_scim_qtimm_config.desktop (1.12) (+1 -1)
		po/de.po (1.3) (+15 -63)
		po/desktop_de.po (1.2) (+15 -18)

	updated de translation

2004-08-24	16:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/skimplugin_inputwindow.desktop (1.10) (+2 -0)
		plugins/inputwindow/skimplugin_inputwindow_config.desktop (1.11) (+2 -0)
		plugins/kdetraystatus/skimplugin_systemtray.desktop (1.9) (+1 -0)
		plugins/kdetraystatus/skimplugin_systemtray_config.desktop (1.12) (+2 -0)
		plugins/mainwindow/skimplugin_mainwindow.desktop (1.9) (+2 -0)
		plugins/mainwindow/skimplugin_mainwindow_config.desktop (1.12) (+2 -0)
		plugins/scimlauncher/skimplugin_scim.desktop (1.9) (+2 -0)
		plugins/setupwindow/kcm_skimplugin_configplugin_config.desktop (1.11) (+1 -0)
		plugins/setupwindow/skimplugin_scim_global_config.desktop (1.9) (+2 -0)
		plugins/setupwindow/skimplugin_scim_hangul_config.desktop (1.9) (+2 -0)
		plugins/setupwindow/skimplugin_scim_imengines_config.desktop (1.12) (+2 -0)
		plugins/setupwindow/skimplugin_scim_qtimm_config.desktop (1.11) (+2 -0)
		plugins/setupwindow/skimplugin_scim_smartpinyin_config.desktop (1.10) (+2 -0)
		plugins/setupwindow/skimplugin_scim_table_config.desktop (1.10) (+2 -0)
		plugins/setupwindow/skimplugin_scim_x_config.desktop (1.12) (+1 -0)
		plugins/setupwindow/skimplugin_setupwindow.desktop (1.12) (+3 -0)
		po/desktop.pot (1.8) (+1 -1)
		po/desktop_zh_TW.po (1.1) ( )
		po/skim.pot (1.12) (+1 -1)
		po/zh_TW.po (1.1) ( )
		src/skim.desktop (1.9) (+1 -0)
		src/skimkcmplugin.desktop (1.7) (+1 -0)
		src/skimplugin.desktop (1.8) (+1 -0)
		src/skimui.desktop (1.7) (+1 -0)

	added zh_TW translation (thanks to Jim Huang <jserv@kaffe.org>)

2004-08-24	15:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	configure.in.in (1.35) (+1 -1)
		po/desktop.pot (1.7) (+1 -1)
		po/ko.po (1.8) (+19 -14)
		po/skim.pot (1.11) (+1 -1)
		po/zh_CN.po (1.15) (+5 -4)

	updated ko translation and pump version to 0.9.7

2004-08-24	04:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	po/Makefile.am (1.10) (+1 -1)
		po/de.po (1.2) (+49 -1)
		po/desktop.pot (1.6) (+1 -1)
		po/desktop_ko.po (1.5) (+2 -3)
		po/ja.po (1.7) (+49 -1)
		po/ko.po (1.7) (+49 -1)
		po/skim.pot (1.10) (+49 -1)
		po/zh_CN.po (1.14) (+57 -6)
		src/main.cpp (1.35) (+3 -3)

	fixed typo in main.cpp which prevent translator tab from displaying in the about dialog

2004-08-23	23:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/skimplugin_scim_imengines_config.desktop (1.11) (+1 -1)
		po/desktop_ko.po (1.4) (+4 -3)

	updated typo in ko translation

2004-08-23	19:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	po/ko.po (1.6) (+14 -16)

	updated ko translation

2004-08-23	19:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	AUTHORS (1.7) (+3 -2)
		bootstrap (1.11) (+2 -1)
		plugins/inputwindow/skimplugin_inputwindow.desktop (1.9) (+3 -0)
		plugins/inputwindow/skimplugin_inputwindow_config.desktop (1.10) (+2 -0)
		plugins/kdetraystatus/skimplugin_systemtray.desktop (1.8) (+2 -0)
		plugins/kdetraystatus/skimplugin_systemtray_config.desktop (1.11) (+2 -0)
		plugins/mainwindow/skimplugin_mainwindow.desktop (1.8) (+2 -0)
		plugins/mainwindow/skimplugin_mainwindow_config.desktop (1.11) (+2 -0)
		plugins/scimlauncher/skimplugin_scim.desktop (1.8) (+1 -0)
		plugins/setupwindow/kcm_skimplugin_configplugin_config.desktop (1.10) (+2 -0)
		plugins/setupwindow/skimplugin_scim_global_config.desktop (1.8) (+2 -0)
		plugins/setupwindow/skimplugin_scim_hangul_config.desktop (1.8) (+1 -0)
		plugins/setupwindow/skimplugin_scim_imengines_config.desktop (1.10) (+2 -0)
		plugins/setupwindow/skimplugin_scim_qtimm_config.desktop (1.10) (+1 -0)
		plugins/setupwindow/skimplugin_scim_smartpinyin_config.desktop (1.9) (+2 -0)
		plugins/setupwindow/skimplugin_scim_table_config.desktop (1.9) (+2 -0)
		plugins/setupwindow/skimplugin_scim_x_config.desktop (1.11) (+2 -0)
		plugins/setupwindow/skimplugin_setupwindow.desktop (1.11) (+3 -0)
		po/de.po (1.1) ( )
		po/desktop_de.po (1.1) ( )
		po/desktop_ja.po (1.2) (+3 -5)
		po/desktop_ko.po (1.3) (+6 -5)
		po/ja.po (1.6) (+3 -3)
		po/zh_CN.po (1.13) (+5 -4)
		src/skim.desktop (1.8) (+1 -0)
		src/skimkcmplugin.desktop (1.6) (+1 -0)
		src/skimplugin.desktop (1.7) (+1 -0)
		src/skimui.desktop (1.6) (+1 -0)

	add German translation (thanks to Jan Hefti <j.hefti@hamburg.de>)

2004-08-23	18:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/skimplugin_inputwindow.desktop (1.8) (+3 -3)
		plugins/inputwindow/skimplugin_inputwindow_config.desktop (1.9) (+2 -2)
		plugins/kdetraystatus/skimplugin_systemtray.desktop (1.7) (+2 -2)
		plugins/kdetraystatus/skimplugin_systemtray_config.desktop (1.10) (+2 -2)
		plugins/mainwindow/skimplugin_mainwindow.desktop (1.7) (+2 -2)
		plugins/mainwindow/skimplugin_mainwindow_config.desktop (1.10) (+2 -2)
		plugins/scimlauncher/skimplugin_scim.desktop (1.7) (+2 -2)
		plugins/setupwindow/kcm_skimplugin_configplugin_config.desktop (1.9) (+2 -2)
		plugins/setupwindow/skimplugin_scim_global_config.desktop (1.7) (+2 -2)
		plugins/setupwindow/skimplugin_scim_hangul_config.desktop (1.7) (+2 -2)
		plugins/setupwindow/skimplugin_scim_imengines_config.desktop (1.9) (+2 -2)
		plugins/setupwindow/skimplugin_scim_qtimm_config.desktop (1.9) (+1 -2)
		plugins/setupwindow/skimplugin_scim_smartpinyin_config.desktop (1.8) (+2 -2)
		plugins/setupwindow/skimplugin_scim_table_config.desktop (1.8) (+2 -2)
		plugins/setupwindow/skimplugin_scim_x_config.desktop (1.10) (+2 -2)
		plugins/setupwindow/skimplugin_setupwindow.desktop (1.10) (+3 -3)
		po/desktop_ko.po (1.2) (+38 -38)
		src/skim.desktop (1.7) (+2 -2)
		src/skimkcmplugin.desktop (1.5) (+1 -1)
		src/skimplugin.desktop (1.6) (+1 -1)
		src/skimui.desktop (1.5) (+1 -1)

	updated ko desktop file translation

2004-08-23	18:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/skimplugin_inputwindow.desktop (1.7) (+3 -0)
		plugins/inputwindow/skimplugin_inputwindow_config.desktop (1.8) (+2 -0)
		plugins/kdetraystatus/skimplugin_systemtray.desktop (1.6) (+2 -0)
		plugins/kdetraystatus/skimplugin_systemtray_config.desktop (1.9) (+2 -0)
		plugins/mainwindow/skimplugin_mainwindow.desktop (1.6) (+2 -0)
		plugins/mainwindow/skimplugin_mainwindow_config.desktop (1.9) (+2 -0)
		plugins/scimlauncher/skimplugin_scim.desktop (1.6) (+2 -0)
		plugins/setupwindow/kcm_skimplugin_configplugin_config.desktop (1.8) (+2 -0)
		plugins/setupwindow/skimplugin_scim_global_config.desktop (1.6) (+2 -0)
		plugins/setupwindow/skimplugin_scim_hangul_config.desktop (1.6) (+2 -0)
		plugins/setupwindow/skimplugin_scim_imengines_config.desktop (1.8) (+2 -0)
		plugins/setupwindow/skimplugin_scim_qtimm_config.desktop (1.8) (+1 -0)
		plugins/setupwindow/skimplugin_scim_smartpinyin_config.desktop (1.7) (+2 -0)
		plugins/setupwindow/skimplugin_scim_table_config.desktop (1.7) (+2 -0)
		plugins/setupwindow/skimplugin_scim_x_config.desktop (1.9) (+2 -0)
		plugins/setupwindow/skimplugin_setupwindow.desktop (1.9) (+3 -0)
		po/Makefile.am (1.9) (+20 -8)
		po/desktop.pot (1.5) (+1 -1)
		po/desktop_ja.po (1.1) ( )
		po/ja.po (1.5) (+10 -11)
		po/skim.pot (1.9) (+1 -1)
		src/skim.desktop (1.6) (+1 -0)
		src/skimkcmplugin.desktop (1.4) (+1 -0)
		src/skimplugin.desktop (1.5) (+1 -0)
		src/skimui.desktop (1.4) (+1 -0)

	added desktop file translation for ja
	updated ja translation
	modify po/Makefile.am so that it does not depend on tempfile command (from debianutils)

2004-08-23	03:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	skim.spec.in (1.2) (+11 -13)

	merged bug fix from Jan's spec file

2004-08-23	02:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/skimplugin_inputwindow.desktop (1.6) (+3 -0)
		plugins/inputwindow/skimplugin_inputwindow_config.desktop (1.7) (+2 -0)
		plugins/kdetraystatus/skimplugin_systemtray.desktop (1.5) (+2 -0)
		plugins/kdetraystatus/skimplugin_systemtray_config.desktop (1.8) (+2 -0)
		plugins/mainwindow/skimplugin_mainwindow.desktop (1.5) (+2 -0)
		plugins/mainwindow/skimplugin_mainwindow_config.desktop (1.8) (+2 -0)
		plugins/scimlauncher/skimplugin_scim.desktop (1.5) (+2 -0)
		plugins/setupwindow/kcm_skimplugin_configplugin_config.desktop (1.7) (+2 -0)
		plugins/setupwindow/skimplugin_scim_global_config.desktop (1.5) (+2 -0)
		plugins/setupwindow/skimplugin_scim_hangul_config.desktop (1.5) (+2 -0)
		plugins/setupwindow/skimplugin_scim_imengines_config.desktop (1.7) (+2 -0)
		plugins/setupwindow/skimplugin_scim_qtimm_config.desktop (1.7) (+2 -0)
		plugins/setupwindow/skimplugin_scim_smartpinyin_config.desktop (1.6) (+2 -0)
		plugins/setupwindow/skimplugin_scim_table_config.desktop (1.6) (+2 -0)
		plugins/setupwindow/skimplugin_scim_x_config.desktop (1.8) (+2 -0)
		plugins/setupwindow/skimplugin_setupwindow.desktop (1.8) (+3 -0)
		po/Makefile.am (1.8) (+0 -1)
		po/desktop_ko.po (1.1) ( )
		src/skim.desktop (1.5) (+2 -0)
		src/skimkcmplugin.desktop (1.3) (+1 -0)
		src/skimplugin.desktop (1.4) (+1 -0)
		src/skimui.desktop (1.3) (+1 -0)

	updated korean translation

2004-08-23	00:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/mainwindow/Makefile.am (1.14) (+2 -2)
		po/Makefile.am (1.7) (+1 -0)
		po/desktop.pot (1.4) (+1 -1)
		po/ja.po (1.4) (+25 -4)
		po/ko.po (1.5) (+25 -4)
		po/skim.pot (1.8) (+22 -2)
		po/zh_CN.po (1.12) (+25 -3)

	updated ko and ja
	fixed a bug which prevent gettext to retrieve strings from dir plugins/mainwindow/

2004-08-23	00:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	AUTHORS (1.6) (+2 -1)
		po/desktop.pot (1.3) (+1 -1)
		po/ja.po (1.3) (+10 -2)
		po/ko.po (1.4) (+10 -2)
		po/skim.pot (1.7) (+10 -2)
		po/zh_CN.po (1.11) (+17 -17)
		src/main.cpp (1.34) (+3 -0)

	added translator in skim about dialog

2004-08-22	23:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	desktop_zh_CN.po (1.1) ( )
		po/Makefile.am (1.6) (+1 -1)
		po/desktop.pot (1.2) (+1 -1)
		po/skim.pot (1.6) (+1 -1)

	added simplified chinese translation of desktop files

2004-08-22	23:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/skimplugin_inputwindow.desktop (1.5) (+3 -0)
		plugins/inputwindow/skimplugin_inputwindow_config.desktop (1.6) (+2 -0)
		plugins/kdetraystatus/skimplugin_systemtray.desktop (1.4) (+2 -0)
		plugins/kdetraystatus/skimplugin_systemtray_config.desktop (1.7) (+2 -0)
		plugins/mainwindow/skimplugin_mainwindow.desktop (1.4) (+2 -0)
		plugins/mainwindow/skimplugin_mainwindow_config.desktop (1.7) (+2 -0)
		plugins/scimlauncher/skimplugin_scim.desktop (1.4) (+2 -0)
		plugins/setupwindow/kcm_skimplugin_configplugin_config.desktop (1.6) (+3 -1)
		plugins/setupwindow/skimplugin_scim_global_config.desktop (1.4) (+3 -1)
		plugins/setupwindow/skimplugin_scim_hangul_config.desktop (1.4) (+3 -1)
		plugins/setupwindow/skimplugin_scim_imengines_config.desktop (1.6) (+3 -1)
		plugins/setupwindow/skimplugin_scim_qtimm_config.desktop (1.6) (+3 -1)
		plugins/setupwindow/skimplugin_scim_smartpinyin_config.desktop (1.5) (+3 -1)
		plugins/setupwindow/skimplugin_scim_table_config.desktop (1.5) (+3 -1)
		plugins/setupwindow/skimplugin_scim_x_config.desktop (1.7) (+3 -1)
		plugins/setupwindow/skimplugin_setupwindow.desktop (1.7) (+3 -0)
		po/Makefile.am (1.5) (+32 -1)
		po/apply.cc (1.1) ( )
		po/desktop_file_list (1.1) ( )
		src/skim.desktop (1.4) (+1 -0)
		src/skimkcmplugin.desktop (1.2) (+1 -0)
		src/skimplugin.desktop (1.3) (+1 -0)
		src/skimui.desktop (1.2) (+1 -0)

	done desktop po support completely

2004-08-22	22:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	admin/am_edit (1.3) (+4 -1)
		admin/cvs.sh (1.3) (+5 -1)
		plugins/inputwindow/skimplugin_inputwindow.desktop (1.4) (+0 -3)
		plugins/inputwindow/skimplugin_inputwindow_config.desktop (1.5) (+0 -2)
		plugins/kdetraystatus/skimplugin_systemtray.desktop (1.3) (+0 -2)
		plugins/kdetraystatus/skimplugin_systemtray_config.desktop (1.6) (+0 -2)
		plugins/mainwindow/skimplugin_mainwindow.desktop (1.3) (+0 -2)
		plugins/mainwindow/skimplugin_mainwindow_config.desktop (1.6) (+0 -2)
		plugins/scimlauncher/skimplugin_scim.desktop (1.3) (+0 -2)
		plugins/setupwindow/kcm_skimplugin_configplugin_config.desktop (1.5) (+1 -4)
		plugins/setupwindow/skimplugin_scim_global_config.desktop (1.3) (+1 -4)
		plugins/setupwindow/skimplugin_scim_hangul_config.desktop (1.3) (+1 -4)
		plugins/setupwindow/skimplugin_scim_imengines_config.desktop (1.5) (+1 -3)
		plugins/setupwindow/skimplugin_scim_qtimm_config.desktop (1.5) (+1 -4)
		plugins/setupwindow/skimplugin_scim_smartpinyin_config.desktop (1.4) (+1 -4)
		plugins/setupwindow/skimplugin_scim_table_config.desktop (1.4) (+1 -3)
		plugins/setupwindow/skimplugin_scim_x_config.desktop (1.6) (+1 -4)
		plugins/setupwindow/skimplugin_setupwindow.desktop (1.6) (+0 -3)
		po/Makefile.am (1.4) (+1 -0)
		po/createdesktop (1.1) ( )
		po/desktop.pot (1.1) ( )
		po/desktop_zh_CN.po (1.1) ( )
		po/ja.po (1.2) (+7 -8)
		po/skim.pot (1.5) (+1 -1)
		src/skim.desktop (1.3) (+0 -2)

	use po file to translate desktop files

2004-08-22	18:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	po/ja.po (1.1) ( )

	added Japanese translation (thanks to Yukiko Bando <ybando AT@ k6.dion.ne.jp>)

2004-08-21	23:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	TODO (1.51) (+3 -0)
		configure.in.in (1.34) (+6 -1)
		skim.spec.in (1.1) ( )

	added skim.spec (thanks to Jan Hefti <j.hefti@hamburg.de>)

2004-08-21	20:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/kdetraystatus/kdetraystatus.cpp (1.27) (+0 -3)
		plugins/kdetraystatus/kdetraystatus.h (1.10) (+1 -3)

	po/ko.gmo

2004-08-21	20:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	doc/en/index.docbook (1.35) (+83 -31)

	Added another method to start skim
	Two new FAQ
	Updated one FAQ to reflect current skim status
	Reformat a warning

2004-08-20	15:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	po/ko.po (1.3) (+6 -6)

	updated korean translation according to scim-hangul

2004-08-20	14:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/scimlineedit.cpp (1.14) (+1 -1)
		plugins/inputwindow/skimplugin_inputwindow_config.desktop (1.4) (+1 -0)
		plugins/kdetraystatus/skimplugin_systemtray_config.desktop (1.5) (+1 -0)
		plugins/mainwindow/skimplugin_mainwindow_config.desktop (1.5) (+1 -0)
		plugins/setupwindow/scimsetupwindow.cpp (1.27) (+0 -4)

	cleanup and set a more reasonable minimum size for inputwindow

2004-08-20	04:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.88) (+103 -0)
		NEWS (1.10) (+6 -0)

	updated helper files of version 0.9.6

2004-08-20	04:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	doc/en/index.docbook (1.33) (+3 -3)

	added fedora core 1 configure tips for skim

2004-08-20	04:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	configure.in.in (1.33) (+1 -1)
		doc/en/index.docbook (1.32) (+6 -3)
		plugins/setupwindow/scimsetupwindow.cpp (1.26) (+0 -1)
		po/ko.gmo (1.2) (+11 -10)
		po/ko.po (1.2) (+39 -11)
		po/skim.pot (1.4) (+31 -2)
		po/zh_CN.gmo (1.10) (+1 -1)
		po/zh_CN.po (1.10) (+42 -12)

	version 0.9.6 and cleanup

2004-08-20	04:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	scim_panel_kde.kdevelop (1.11) (+1 -1)
		plugins/inputwindow/skimplugin_inputwindow_config.desktop (1.3) (+1 -1)
		plugins/kdetraystatus/skimplugin_systemtray_config.desktop (1.4) (+1 -1)
		plugins/mainwindow/skimplugin_mainwindow_config.desktop (1.4) (+1 -1)
		plugins/setupwindow/kcm_skimplugin_configplugin_config.desktop (1.4) (+3 -2)
		plugins/setupwindow/scimglobalconfigplugin.cpp (1.6) (+7 -4)
		plugins/setupwindow/scimsetupwindow.cpp (1.25) (+29 -14)
		plugins/setupwindow/scimsetupwindow.h (1.15) (+1 -1)
		plugins/setupwindow/skimplugin_scim_global_config.desktop (1.2) (+4 -3)
		plugins/setupwindow/skimplugin_scim_hangul_config.desktop (1.2) (+2 -1)
		plugins/setupwindow/skimplugin_scim_imengines_config.desktop (1.4) (+2 -1)
		plugins/setupwindow/skimplugin_scim_qtimm_config.desktop (1.4) (+4 -3)
		plugins/setupwindow/skimplugin_scim_smartpinyin_config.desktop (1.3) (+2 -1)
		plugins/setupwindow/skimplugin_scim_table_config.desktop (1.3) (+2 -1)
		plugins/setupwindow/skimplugin_scim_x_config.desktop (1.5) (+4 -3)
		src/Makefile.am (1.16) (+1 -1)
		src/skimkcmplugin.desktop (1.1) ( )

	new KDE ServiceType Skim/KCModule
	Update settings when only necessary: both for skim itself and scim-lib

2004-08-20	02:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/kcm_skimplugin_configplugin_config.desktop (1.3) (+2 -2)
		plugins/setupwindow/scimsetupwindow.cpp (1.24) (+0 -1)

	only update skim settings when something related changed (at present, plugins setting is the only related one)

2004-08-19	18:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	admin/detect-autoconf.sh (1.4) (+25 -63)

	add the patch from "Dawit A." <adawit@kde.org>

2004-08-19	01:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/Makefile.am (1.14) (+10 -5)
		plugins/setupwindow/scim_hangul.kcfg (1.1) ( )
		plugins/setupwindow/scim_hangul.kcfgc (1.1) ( )
		plugins/setupwindow/scim_hangul_ui.ui (1.1) ( )
		plugins/setupwindow/scimhangulsettingloader.cpp (1.1) ( )
		plugins/setupwindow/scimhangulsettingloader.h (1.1) ( )
		plugins/setupwindow/scimqtimmsettingplugin.cpp (1.3) (+0 -6)
		plugins/setupwindow/scimqtimmsettingplugin.h (1.3) (+1 -4)
		plugins/setupwindow/skimplugin_scim_hangul_config.desktop (1.1) ( )
		po/ko.gmo (1.1) ( )
		po/zh_CN.gmo (1.9) (+1 -1)

	new setupui for scim-hangul

2004-08-18	14:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	po/ko.po (1.1) ( )

	korean translation

2004-08-12	00:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.87) (+75 -0)
		NEWS (1.9) (+11 -4)
		README (1.7) (+1 -1)
		TODO (1.50) (+0 -4)
		configure.in.in (1.32) (+1 -1)
		doc/en/index.docbook (1.31) (+2 -2)
		po/skim.pot (1.3) (+6 -6)
		po/zh_CN.po (1.9) (+10 -9)

	0.9.5 is ready

2004-08-11	23:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/mainwindow/mainwindow.cpp (1.37) (+6 -6)
		plugins/mainwindow/mainwindow.h (1.20) (+1 -1)
		plugins/mainwindow/mainwindowui.rc (1.3) (+2 -5)

	changed the actionlist name, please rm ~/.kde/share/apps/skim/mainwindowui.rc before trying to use the new version

2004-08-11	23:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	utils/scimactions.cpp (1.22) (+2 -1)

	fixed scimaction option behaviors

2004-08-11	23:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/mainwindow/mainwindow.cpp (1.36) (+7 -1)
		plugins/mainwindow/mainwindow.h (1.19) (+2 -1)
		plugins/mainwindow/mainwindow_settings.ui (1.4) (+13 -5)
		utils/scimkdeconfig.kcfg (1.18) (+5 -0)

	new option to only display the icon of current input method

2004-08-07	16:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/scimimenginesettings.cpp (1.9) (+1 -1)

	fixed another slackware issue(continue)

2004-08-06	22:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/socketserverthread.cpp (1.49) (+1 -30)

	cleanup

2004-08-06	11:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/scimimenginesettings.cpp (1.8) (+1 -1)

	fixed another slackware issue

2004-08-05	00:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/scimimenginesettings.cpp (1.7) (+2 -1)

	fixed another Qt 3.2.x + Gcc 3.2.x issue

2004-08-03	17:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/skimkeygrabber.cpp (1.4) (+5 -3)

	fixed key grab issue when a single modifier key is pressed and the release option is selected

2004-08-03	00:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/main.cpp (1.33) (+8 -0)

	fixed another slackware issue: missing a header file for the function daemon

2004-08-02	19:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.86) (+169 -0)
		NEWS (1.8) (+8 -0)
		TODO (1.49) (+0 -4)
		configure.in.in (1.31) (+5 -1)
		src/main.cpp (1.32) (+2 -2)

	version 0.9.4 is ready

2004-08-02	19:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	doc/en/index.docbook (1.29) (+16 -36)

	updated doc

2004-08-02	03:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	po/skim.pot (1.2) (+89 -57)
		po/zh_CN.po (1.8) (+97 -61)

	updated translation

2004-08-02	03:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/main.cpp (1.31) (+1 -1)

	fixed: mis-replaced ** to *

2004-08-02	03:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/configinputwindow.cpp (1.3) (+2 -2)
		plugins/inputwindow/configinputwindow.h (1.2) (+3 -3)
		plugins/inputwindow/inputwindow.cpp (1.38) (+1 -1)
		plugins/inputwindow/inputwindow.h (1.28) (+2 -2)
		plugins/inputwindow/scimlineedit.cpp (1.13) (+2 -2)
		plugins/inputwindow/scimlineedit.h (1.8) (+3 -3)
		plugins/inputwindow/scimlistbox.cpp (1.14) (+2 -2)
		plugins/inputwindow/scimlistbox.h (1.15) (+3 -3)
		plugins/inputwindow/scimlookuptable.cpp (1.11) (+2 -2)
		plugins/inputwindow/scimlookuptable.h (1.5) (+3 -3)
		plugins/inputwindow/scimstringlistitem.cpp (1.9) (+2 -2)
		plugins/inputwindow/scimstringlistitem.h (1.10) (+3 -3)
		plugins/inputwindow/scimstringrender.cpp (1.4) (+2 -2)
		plugins/inputwindow/scimstringrender.h (1.3) (+3 -3)
		plugins/kdetraystatus/kcmloader.cpp (1.4) (+2 -2)
		plugins/kdetraystatus/kcmloader.h (1.4) (+3 -3)
		plugins/kdetraystatus/kdetraystatus.cpp (1.26) (+1 -1)
		plugins/kdetraystatus/kdetraystatus.h (1.9) (+2 -2)
		plugins/kdetraystatus/systemtrayplugin.cpp (1.3) (+2 -2)
		plugins/kdetraystatus/systemtrayplugin.h (1.2) (+3 -3)
		plugins/mainwindow/configmainwindow.cpp (1.2) (+2 -2)
		plugins/mainwindow/configmainwindow.h (1.2) (+3 -3)
		plugins/mainwindow/mainwindow.cpp (1.35) (+1 -1)
		plugins/mainwindow/mainwindow.h (1.18) (+2 -2)
		plugins/scimlauncher/scimlauncher.cpp (1.33) (+2 -2)
		plugins/scimlauncher/scimlauncher.h (1.13) (+3 -3)
		plugins/setupwindow/configskimplugins.cpp (1.3) (+2 -2)
		plugins/setupwindow/configskimplugins.h (1.2) (+3 -3)
		plugins/setupwindow/scimglobalconfigplugin.cpp (1.5) (+2 -2)
		plugins/setupwindow/scimglobalconfigplugin.h (1.4) (+3 -3)
		plugins/setupwindow/scimimenginesettings.cpp (1.6) (+2 -2)
		plugins/setupwindow/scimimenginesettings.h (1.3) (+3 -3)
		plugins/setupwindow/scimqtimmsettingplugin.cpp (1.2) (+2 -2)
		plugins/setupwindow/scimqtimmsettingplugin.h (1.2) (+3 -3)
		plugins/setupwindow/scimsetupwindow.cpp (1.23) (+2 -2)
		plugins/setupwindow/scimsetupwindow.h (1.14) (+3 -3)
		plugins/setupwindow/scimsmartpinyinsettingplugin.cpp (1.3) (+2 -2)
		plugins/setupwindow/scimsmartpinyinsettingplugin.h (1.2) (+3 -3)
		plugins/setupwindow/scimtablesettingplugin.cpp (1.2) (+2 -2)
		plugins/setupwindow/scimtablesettingplugin.h (1.2) (+3 -3)
		plugins/setupwindow/scimxsettings.cpp (1.2) (+2 -2)
		plugins/setupwindow/scimxsettings.h (1.2) (+3 -3)
		scim/config/scim_kconfig_config.cpp (1.8) (+2 -2)
		src/main.cpp (1.30) (+3 -3)
		src/scimhelpdialog.cpp (1.2) (+2 -2)
		src/scimhelpdialog.h (1.2) (+3 -3)
		src/skimglobalactions.cpp (1.21) (+2 -2)
		src/skimglobalactions.h (1.15) (+3 -3)
		src/skimkeygrabber.cpp (1.3) (+2 -2)
		src/skimkeygrabber.h (1.3) (+3 -3)
		src/skimplugin.cpp (1.4) (+2 -2)
		src/skimplugin.h (1.2) (+3 -3)
		src/skimpluginmanager.cpp (1.19) (+1 -1)
		src/skimpluginmanager.h (1.8) (+2 -2)
		src/socketserverthread.cpp (1.48) (+1 -1)
		src/socketserverthread.h (1.36) (+3 -3)
		utils/kautocmodule.cpp (1.4) (+2 -2)
		utils/kautocmodule.h (1.3) (+3 -3)
		utils/scimactions.cpp (1.21) (+2 -2)
		utils/scimactions.h (1.16) (+3 -3)
		utils/scimdragableframe.cpp (1.4) (+2 -2)
		utils/scimdragableframe.h (1.3) (+3 -3)
		utils/scimmovehandle.cpp (1.3) (+2 -2)
		utils/scimmovehandle.h (1.3) (+3 -3)
		utils/scimtoolbar.cpp (1.5) (+2 -2)
		utils/scimtoolbar.h (1.3) (+3 -3)
		utils/scimxmlguibuilder.cpp (1.3) (+2 -2)
		utils/scimxmlguibuilder.h (1.3) (+3 -3)

	cleanup and change email address

2004-08-02	03:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/scimsmartpinyinsettingplugin.cpp (1.2) (+5 -0)
		plugins/setupwindow/smartpinyinui.ui (1.3) (+310 -47)

	completed setup ui for smartpinyin

2004-08-01	22:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/skimglobalactions.cpp (1.20) (+18 -9)
		src/skimglobalactions.h (1.14) (+4 -3)

	fixed gcc 3.2.x + qt 3.2.x issue (hopefully)

2004-08-01	03:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/scim_global.ui (1.4) (+159 -112)
		plugins/setupwindow/scimglobalconfigplugin.cpp (1.4) (+132 -7)
		plugins/setupwindow/scimglobalconfigplugin.h (1.3) (+4 -0)

	full setup ui for global scim settings

2004-07-31	03:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/scimlauncher/scimlauncher.cpp (1.32) (+3 -2)

	fixed FreeBSD 5.x compatible issue and got rid of a warning

2004-07-27	16:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/qtimmui.ui (1.2) (+1 -1)
		plugins/setupwindow/scim_global.ui (1.3) (+1 -1)

	fixed ui files

2004-07-19	00:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/scimsetupwindow.cpp (1.22) (+13 -12)
		plugins/setupwindow/scimsetupwindow.h (1.13) (+2 -1)
		scim/config/scim_kconfig_config.cpp (1.7) (+3 -3)

	signal scim to reload its settings when new settings are saved in config dialog

2004-07-17	18:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.85) (+291 -0)
		NEWS (1.7) (+7 -0)

	updated ChangeLog NEWS

2004-07-17	18:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	doc/en/kdesystray.png (1.2) (+26 -28)
		doc/en/setupwindow.png (1.5) (+57 -58)

	new screenshots

2004-07-17	17:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	doc/en/index.docbook (1.28) (+13 -18)
		doc/en/inputwindow.png (1.3) (+7 -15)
		doc/en/mainwindow.png (1.3) (+19 -21)
		doc/en/setupwindow.png (1.4) (+58 -154)

	new doc and screenshots

2004-07-17	17:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/qtimm.kcfg (1.2) (+1 -1)
		plugins/setupwindow/scimglobalconfigplugin.cpp (1.3) (+11 -6)
		plugins/setupwindow/scimglobalconfigplugin.h (1.2) (+1 -0)

	check settings when load and save

2004-07-17	17:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/scim_global.ui (1.2) (+0 -3)
		plugins/setupwindow/scimglobalconfigplugin.cpp (1.2) (+1 -1)
		plugins/setupwindow/skimplugin_scim_x_config.desktop (1.4) (+1 -1)
		po/skim.pot (1.1) ( )
		po/zh_CN.gmo (1.7) (+28 -30)
		po/zh_CN.po (1.7) (+140 -158)

	update translation

2004-07-17	17:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	configure.in.in (1.30) (+2 -2)

	new version 0.9.3

2004-07-16	20:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/skimplugin_inputwindow_config.desktop (1.2) (+5 -3)
		plugins/kdetraystatus/skimplugin_systemtray_config.desktop (1.3) (+1 -1)
		plugins/mainwindow/skimplugin_mainwindow_config.desktop (1.3) (+2 -2)
		plugins/setupwindow/kcm_skimplugin_configplugin_config.desktop (1.2) (+2 -2)
		plugins/setupwindow/skimplugin_scim_qtimm_config.desktop (1.3) (+2 -2)
		plugins/setupwindow/skimplugin_setupwindow.desktop (1.5) (+3 -3)

	update desktop files

2004-07-16	20:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	TODO (1.45) (+3 -0)
		plugins/setupwindow/Makefile.am (1.13) (+11 -4)
		plugins/setupwindow/scim_global.ui (1.1) ( )
		plugins/setupwindow/scimglobalconfigplugin.cpp (1.1) ( )
		plugins/setupwindow/scimglobalconfigplugin.h (1.1) ( )
		plugins/setupwindow/skimplugin_scim_global_config.desktop (1.1) ( )

	new setupui for global scim settings (partially done)

2004-07-16	17:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/skimglobalactions.cpp (1.19) (+5 -1)

	fixed: crash when click on the keyboard menu item

2004-07-16	02:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/mainwindow/mainwindow_settings.ui (1.3) (+0 -3)
		plugins/setupwindow/Makefile.am (1.12) (+1 -1)
		plugins/setupwindow/generictableui.ui (1.2) (+0 -15)
		plugins/setupwindow/scim_x.ui (1.3) (+0 -3)
		plugins/setupwindow/smartpinyinui.ui (1.2) (+0 -54)

	fixed ui files

2004-07-16	02:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/configskimplugins.cpp (1.2) (+1 -1)
		src/skimpluginmanager.cpp (1.18) (+3 -3)

	fixed the icon size issue

2004-07-16	01:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/Makefile.am (1.11) (+8 -3)
		plugins/setupwindow/configskimplugins.cpp (1.1) ( )
		plugins/setupwindow/configskimplugins.h (1.1) ( )
		plugins/setupwindow/kcm_skimplugin_configplugin_config.desktop (1.1) ( )
		plugins/setupwindow/scimsetupwindow.cpp (1.21) (+41 -50)
		plugins/setupwindow/scimsetupwindow.h (1.12) (+6 -10)
		plugins/setupwindow/skimplugin_scim_imengines_config.desktop (1.3) (+2 -2)
		plugins/setupwindow/skimplugin_scim_qtimm_config.desktop (1.2) (+1 -1)
		plugins/setupwindow/skimplugin_scim_smartpinyin_config.desktop (1.2) (+2 -2)
		plugins/setupwindow/skimplugin_scim_table_config.desktop (1.2) (+2 -2)
		plugins/setupwindow/skimplugin_scim_x_config.desktop (1.3) (+1 -1)

	use KCMultiDialog as the base class for setup dialog and a new deticated skim plugin config kcmodule

2004-07-11	12:1	James Su <suzhe@tsinghua.org.cn>

	Files:	plugins/scimlauncher/scimlauncher.cpp (1.31) (+10 -8)

	Only use socket imengine when manual==false.

2004-07-11	04:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/scimlauncher/scimlauncher.cpp (1.30) (+4 -9)
		plugins/setupwindow/scimimenginesettings.cpp (1.5) (+11 -5)
		utils/scimkdeconfig.kcfg (1.17) (+2 -2)

	use global settings to store disabled imengines

2004-07-08	02:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/scimlauncher/scimlauncher.cpp (1.29) (+2 -0)

	forgot to add usleep

2004-07-07	20:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/skimpluginmanager.cpp (1.17) (+5 -13)

	notify all clients to exit when quits (moved from scimlauncher)

2004-07-07	20:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/scimlauncher/scimlauncher.cpp (1.28) (+13 -26)
		plugins/scimlauncher/scimlauncher.h (1.12) (+1 -2)

	exit if wait exceed 3s timeout
	add a timeout to check whether the first scim-launch has been fully started
	cleanup

2004-07-07	03:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/.cvsignore (1.5) (+12 -0)
		plugins/setupwindow/Makefile.am (1.10) (+7 -4)
		plugins/setupwindow/qtimm.kcfg (1.1) ( )
		plugins/setupwindow/qtimm.kcfgc (1.1) ( )
		plugins/setupwindow/qtimmui.ui (1.1) ( )
		plugins/setupwindow/scimqtimmsettingplugin.cpp (1.1) ( )
		plugins/setupwindow/scimqtimmsettingplugin.h (1.1) ( )
		plugins/setupwindow/scimsetupwindow.cpp (1.20) (+1 -1)
		plugins/setupwindow/skimplugin_scim_qtimm_config.desktop (1.1) ( )

	new config ui for qt-immodule

2004-07-07	03:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/main.cpp (1.29) (+1 -1)
		src/skimpluginmanager.cpp (1.16) (+1 -0)

	fixed: when setup dialog is shown, skim can not exit successfully

2004-07-06	01:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/skim.desktop (1.2) (+4 -4)

	update translation and exec command

2004-07-05	00:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	configure.in.in (1.29) (+1 -1)
		doc/en/index.docbook (1.27) (+2 -2)

	version 0.9.2

2004-07-05	00:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/scimsetupwindow.cpp (1.19) (+2 -2)
		src/main.cpp (1.28) (+4 -11)
		src/skimglobalactions.cpp (1.18) (+12 -8)
		src/skimglobalactions.h (1.13) (+3 -5)
		src/skimpluginmanager.cpp (1.15) (+1 -1)
		src/skimpluginmanager.h (1.7) (+1 -1)

	qobject is enough for plugin manager, no qwidget features are required

2004-07-03	22:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/inputwindow.h (1.27) (+2 -0)
		plugins/setupwindow/scimimenginesettings.cpp (1.4) (+2 -1)

	added missing header file caused by last cleaning up

2004-07-03	22:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/skimglobalactions.cpp (1.17) (+18 -14)
		src/socketserverthread.h (1.35) (+2 -4)

	fixed a bug: create std property more than once; cleanup

2004-07-03	22:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/socketserverthread.h (1.34) (+3 -20)

	cleanup

2004-07-03	21:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/inputwindow.cpp (1.37) (+15 -3)
		plugins/inputwindow/scimlineedit.cpp (1.12) (+2 -2)
		plugins/mainwindow/mainwindow.cpp (1.34) (+2 -3)

	new look, hopefully it's better now

2004-07-03	15:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/socketserverthread.cpp (1.47) (+2 -2)
		src/socketserverthread.h (1.33) (+1 -1)

	fixed qt 3.2.x compile problem

2004-07-03	15:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/scimimenginesettings.cpp (1.3) (+0 -7)
		plugins/setupwindow/scimimenginesettings.h (1.2) (+9 -1)

	fixed gcc 3.4 compile problem

2004-07-02	23:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	NEWS (1.6) (+9 -0)

	0.9.1

2004-07-02	23:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/generictable.kcfg (1.2) (+5 -5)

	fixed error types of some options

2004-07-02	14:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	TODO (1.42) (+1 -24)
		src/socketserverthread.cpp (1.46) (+5 -6)

	cleanup

2004-07-02	02:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	doc/en/index.docbook (1.26) (+4 -5)

	update a little

2004-07-02	02:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	doc/en/index.docbook (1.25) (+2 -2)

	update abstract and introduction

2004-07-02	02:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	doc/en/index.docbook (1.24) (+17 -18)

	updated doc

2004-07-02	02:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	configure.in.in (1.28) (+1 -1)

	require scim-lib >= 0.99.2

2004-07-02	01:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.84) (+243 -0)

	updated ChangeLog

2004-07-01	22:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	scim_panel_kde.kdevelop (1.9) (+1 -1)
		plugins/inputwindow/skimplugin_inputwindow.desktop (1.3) (+3 -0)
		plugins/kdetraystatus/skimplugin_systemtray.desktop (1.2) (+5 -2)
		plugins/kdetraystatus/skimplugin_systemtray_config.desktop (1.2) (+4 -1)
		plugins/mainwindow/skimplugin_mainwindow.desktop (1.2) (+3 -0)
		plugins/mainwindow/skimplugin_mainwindow_config.desktop (1.2) (+2 -0)
		plugins/scimlauncher/skimplugin_scim.desktop (1.2) (+3 -0)
		plugins/setupwindow/Makefile.am (1.9) (+15 -4)
		plugins/setupwindow/generictable.kcfg (1.1) ( )
		plugins/setupwindow/generictable.kcfgc (1.1) ( )
		plugins/setupwindow/generictableui.ui (1.1) ( )
		plugins/setupwindow/scimsmartpinyinsettingplugin.cpp (1.1) ( )
		plugins/setupwindow/scimsmartpinyinsettingplugin.h (1.1) ( )
		plugins/setupwindow/scimtablesettingplugin.cpp (1.1) ( )
		plugins/setupwindow/scimtablesettingplugin.h (1.1) ( )
		plugins/setupwindow/skimplugin_scim_imengines_config.desktop (1.2) (+2 -0)
		plugins/setupwindow/skimplugin_scim_smartpinyin_config.desktop (1.1) ( )
		plugins/setupwindow/skimplugin_scim_table_config.desktop (1.1) ( )
		plugins/setupwindow/skimplugin_scim_x_config.desktop (1.2) (+3 -0)
		plugins/setupwindow/skimplugin_setupwindow.desktop (1.4) (+3 -0)
		plugins/setupwindow/smartpinyin.kcfg (1.1) ( )
		plugins/setupwindow/smartpinyin.kcfgc (1.1) ( )
		plugins/setupwindow/smartpinyinui.ui (1.1) ( )
		po/zh_CN.gmo (1.6) (+31 -8)
		po/zh_CN.po (1.6) (+259 -27)
		utils/kautocmodule.cpp (1.3) (+6 -2)
		utils/kautocmodule.h (1.2) (+2 -1)
		utils/scimkdeconfig.kcfg (1.16) (+0 -41)

	new scim-lib setupui for generic table IMEngine and smartpinyin
	update zh_CN translation

2004-06-28	23:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/skimkeygrabber.cpp (1.2) (+23 -9)
		src/skimkeygrabber.h (1.2) (+2 -1)

	fixed keygrabber crash when used with in progress qt-immodule for SCIM; added a 'left/right modifier' option to keygrabber dialog

2004-06-28	17:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/main.cpp (1.27) (+13 -3)

	new option: -o like in scim-panel-gtk but no effect now; changed -v to verbose level and -V to output version info

2004-06-27	15:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/scimlineedit.cpp (1.11) (+6 -21)
		plugins/inputwindow/scimlineedit.h (1.7) (+3 -6)
		plugins/inputwindow/scimstringlistitem.cpp (1.8) (+5 -0)
		plugins/inputwindow/scimstringlistitem.h (1.9) (+1 -0)
		plugins/inputwindow/scimstringrender.cpp (1.3) (+0 -4)
		plugins/inputwindow/scimstringrender.h (1.2) (+1 -1)

	bug fix: update scimstringrender fontmatrix info when parent widget's font changes

2004-06-27	01:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/.cvsignore (1.3) (+2 -0)
		plugins/kdetraystatus/.cvsignore (1.3) (+2 -0)
		plugins/mainwindow/.cvsignore (1.3) (+2 -0)
		plugins/setupwindow/.cvsignore (1.4) (+2 -0)
		src/.cvsignore (1.9) (+1 -0)

	ignore generated files

2004-06-27	01:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/main.cpp (1.26) (+13 -10)
		src/skimpluginmanager.cpp (1.14) (+2 -2)
		src/skimpluginmanager.h (1.6) (+1 -0)
		src/socketserverthread.cpp (1.45) (+9 -4)
		src/socketserverthread.h (1.32) (+1 -1)

	new skim commandline arguments: --no-stay and -c, now scim-panel-kde can replace scim-panel-gtk directly

2004-06-27	00:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	configure.in.in (1.27) (+3 -1)
		src/Makefile.am (1.15) (+3 -0)
		src/scim-panel-kde.in (1.1) ( )

	new script wrapper for skim: scim-panel-kde which will disable the scimlauncher skim plugin

2004-06-26	23:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/inputwindow.cpp (1.36) (+0 -1)
		plugins/mainwindow/mainwindow.cpp (1.33) (+1 -5)
		plugins/scimlauncher/scimlauncher.cpp (1.27) (+1 -1)
		src/skimpluginmanager.cpp (1.13) (+16 -27)

	cleanup

2004-06-26	22:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/mainwindow/mainwindow.cpp (1.32) (+16 -11)
		plugins/mainwindow/mainwindow.h (1.17) (+1 -0)

	all implemented mainwindow options can respond to setting changes immediately

2004-06-26	22:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/main.cpp (1.25) (+28 -7)
		src/skimpluginmanager.cpp (1.12) (+19 -7)
		src/skimpluginmanager.h (1.5) (+5 -1)

	new command arguments: -l, -n and --np to customize which plugins will be enabled/disabled

2004-06-26	18:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	scim/config/scim_kconfig_config.cpp (1.6) (+7 -2)

	fixed a bug: when kconfig is used via scim-setup, the first time modified settings will not save to the config file properly

2004-06-26	17:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/scimimenginesettings.cpp (1.2) (+0 -1)

	cleanup

2004-06-26	16:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/skimglobalactions.cpp (1.16) (+1 -1)

	properties should all be added into externalActions

2004-06-26	16:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/skimpluginmanager.cpp (1.11) (+8 -7)
		src/socketserverthread.cpp (1.44) (+1 -1)

	if a panel is already running, print a verbose warning and quit and get rid of backtrace output

2004-06-26	15:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/scimsetupwindow.cpp (1.18) (+3 -2)
		plugins/setupwindow/scimsetupwindow.h (1.11) (+1 -1)
		src/skimpluginmanager.cpp (1.10) (+3 -3)

	use KSettings::Dispatcher to notify plugin manager to reload plugins

2004-06-26	15:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/scimlauncher/scimlauncher.cpp (1.26) (+5 -3)

	Sleep one second after launching the Socket FrontEnd process

2004-06-26	15:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/skimglobalactions.cpp (1.15) (+106 -81)
		src/skimglobalactions.h (1.12) (+1 -2)

	fixed property support bug when using uim IMEngines

2004-06-26	15:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/scimlistbox.cpp (1.13) (+3 -38)
		plugins/inputwindow/scimlistbox.h (1.14) (+1 -1)

	added a space after every candidate when in left-right mode

2004-06-25	21:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	configure.in.in (1.26) (+1 -1)

	version 0.9.1

2004-06-25	21:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/scimlauncher/scimlauncher.cpp (1.25) (+1 -0)

	usleep 200 ms to give the first scim process to create socket server

2004-06-25	21:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	scim/config/scim_kconfig_config.cpp (1.5) (+12 -282)
		scim/config/scim_kconfig_config.h (1.2) (+1 -0)

	cleanup

2004-06-25	21:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	utils/scimkdeconfig.kcfg (1.15) (+1 -1)

	/SupportedUnicodeLocales should be of type string

2004-06-25	00:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/kdetraystatus/kdetraystatus.cpp (1.25) (+1 -1)

	icon scim should be skim

2004-06-25	00:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	doc/en/index.docbook (1.22) (+1 -1)

	updated download url

2004-06-25	00:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	po/zh_CN.gmo (1.5) (+7 -7)
		po/zh_CN.po (1.5) (+108 -92)

	updated translation strings and simplified chinese version

2004-06-25	00:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	bootstrap (1.8) (+2 -0)

	remove more unneeded files when release

2004-06-24	23:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/kdetraystatus/kdetraystatus_config.ui (1.3) (+1 -1)

	cleanup

2004-06-24	20:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.83) (+2 -3)
		NEWS (1.5) (+15 -0)

	new ChangeLog and human readable one in NEWS

2004-06-24	19:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	README (1.6) (+1 -1)

	update website

2004-06-24	19:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	doc/en/index.docbook (1.21) (+34 -46)
		doc/en/mainwindow.png (1.2) (+21 -7)
		doc/en/setupwindow.png (1.3) (+154 -82)

	doc update

2004-06-24	19:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/scimsetupwindow.cpp (1.17) (+3 -5)

	add a widget icon

2004-06-24	19:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	icons/Makefile.am (1.5) (+1 -1)
		icons/skim.png (1.1) ( )

	rename scim.png to skim.png

2004-06-24	19:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/scimlauncher/scimlauncher.cpp (1.24) (+2 -0)
		src/skimpluginmanager.cpp (1.9) (+0 -3)
		src/socketserverthread.h (1.31) (+1 -1)

	notify clients to close when scimlauncher exit

2004-06-24	19:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	scim/config/scim_kconfig_config.cpp (1.4) (+2 -2)

	cleanup

2004-06-24	19:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/configinputwindow.cpp (1.2) (+5 -1)

	hide options haven't been implemented

2004-06-24	19:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/scimlauncher/scimlauncher.cpp (1.23) (+0 -17)

	cleanup

2004-06-24	19:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/inputwindow_settings.ui (1.2) (+1 -1)
		plugins/kdetraystatus/kdetraystatus_config.ui (1.2) (+1 -1)
		plugins/mainwindow/mainwindow_settings.ui (1.2) (+1 -1)
		plugins/setupwindow/scim_x.ui (1.2) (+1 -1)

	ui files require qt >= 3.2

2004-06-24	16:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.81) (+1 -0)
		configure.in.in (1.25) (+1 -1)
		doc/Makefile.am (1.2) (+1 -1)
		doc/en/Makefile.am (1.3) (+1 -1)
		doc/en/index.docbook (1.20) (+8 -7)
		icons/Makefile.am (1.4) (+1 -1)
		plugins/inputwindow/Makefile.am (1.12) (+1 -1)
		plugins/mainwindow/Makefile.am (1.13) (+3 -3)
		plugins/scimlauncher/Makefile.am (1.4) (+1 -1)
		scim/config/scim_kconfig_config.cpp (1.3) (+2 -2)
		src/.cvsignore (1.8) (+1 -1)
		src/Makefile.am (1.14) (+10 -10)
		src/skim.desktop (1.1) ( )

	Change the PACKAGE name to skim formally

2004-06-24	16:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	TODO (1.41) (+1 -1)
		configure.in.in (1.24) (+1 -1)

	skim verion 0.9.0

2004-06-24	16:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.80) (+1 -0)
		plugins/scimlauncher/scimlauncher.cpp (1.22) (+305 -57)
		plugins/scimlauncher/scimlauncher.h (1.11) (+15 -12)
		src/skimpluginmanager.cpp (1.8) (+6 -4)
		src/socketserverthread.cpp (1.43) (+15 -6)
		src/socketserverthread.h (1.30) (+1 -0)

	rewrite scimlauncher: use thread (rollback ;) to launch scim via scim_launch function and formal quit support of all clients

2004-06-24	14:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.79) (+1 -0)
		scim_panel_kde.kdevelop (1.8) (+1 -1)
		plugins/setupwindow/Makefile.am (1.8) (+7 -3)
		plugins/setupwindow/scimimenginesettings.cpp (1.1) ( )
		plugins/setupwindow/scimimenginesettings.h (1.1) ( )
		plugins/setupwindow/skimplugin_scim_imengines_config.desktop (1.1) ( )
		utils/scimkdeconfig.kcfg (1.14) (+4 -0)

	IMEngines setup ui for scim-lib

2004-06-23	23:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.78) (+2 -0)
		scim_panel_kde.kdevelop (1.7) (+1 -1)
		plugins/setupwindow/Makefile.am (1.7) (+9 -2)
		plugins/setupwindow/scim_x.ui (1.1) ( )
		plugins/setupwindow/scimsetupwindow.cpp (1.16) (+8 -35)
		plugins/setupwindow/scimsetupwindow.h (1.10) (+0 -5)
		plugins/setupwindow/scimxsettings.cpp (1.1) ( )
		plugins/setupwindow/scimxsettings.h (1.1) ( )
		plugins/setupwindow/skimplugin_scim_x_config.desktop (1.1) ( )
		src/Makefile.am (1.13) (+2 -2)
		src/skimkeygrabber.cpp (1.1) ( )
		src/skimkeygrabber.h (1.1) ( )
		utils/kautocmodule.cpp (1.2) (+14 -43)
		utils/scimkdeconfig.kcfg (1.13) (+1 -1)

	first scim-lib setup ui implemented: x windows

2004-06-23	15:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/scimlauncher/scimlauncher.cpp (1.21) (+5 -2)
		plugins/scimlauncher/scimlauncher.h (1.10) (+1 -0)

	kill scim-launcher processes in aboutToUnload before delete of this plugin, hopefully this will solve the problem of random crash when skim exit

2004-06-23	15:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/skimglobalactions.cpp (1.14) (+2 -0)

	use mutex to protect inter-thread operation in changeFactory function

2004-06-23	15:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/kdetraystatus/kdetraystatus.cpp (1.24) (+9 -8)
		utils/scimactions.cpp (1.20) (+22 -163)
		utils/scimactions.h (1.15) (+3 -13)

	use the same top level popup menu in comboaction

2004-06-23	15:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/scimlauncher/scimlauncher.cpp (1.20) (+4 -5)
		src/skimglobalactions.cpp (1.13) (+5 -19)

	cleanup

2004-06-23	14:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/scimlauncher/scimlauncher.cpp (1.19) (+14 -17)
		plugins/scimlauncher/scimlauncher.h (1.9) (+2 -2)

	use a timer to check whether the socket frontend has been started

2004-06-23	03:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	utils/scimkdeconfig.kcfg (1.12) (+22 -8)

	rename Use_Gtk2_Immodule to Use_Immodule and add some other settings used in scim-lib frontend

2004-06-23	02:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/scimlistbox.cpp (1.12) (+2 -1)

	do not load the config value of enableMouse now, for it has not been implemented

2004-06-23	02:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/scimlauncher/Makefile.am (1.3) (+1 -10)
		plugins/scimlauncher/scimlauncher.cpp (1.17) (+362 -254)
		plugins/scimlauncher/scimlauncher.h (1.8) (+15 -34)

	use KProcess to start exe scim-launcher directly, so skim can exit cleanly again

2004-06-23	02:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/scimlauncher/scimlauncher.cpp (1.18) (+0 -280)

	cleanup

2004-06-22	13:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	scim/config/scim_kconfig_config.cpp (1.2) (+7 -4)

	scim can use kconfig module directly

2004-06-21	22:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.77) (+1 -0)
		src/skimpluginmanager.cpp (1.7) (+1 -4)

	everytime load/unload a plugin, its corresponding actions will be added/deleted

2004-06-21	22:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.76) (+2 -1)
		plugins/inputwindow/inputwindow.h (1.26) (+1 -1)
		plugins/setupwindow/scimsetupwindow.cpp (1.15) (+8 -0)
		plugins/setupwindow/scimsetupwindow.h (1.9) (+4 -1)
		src/skimplugin.cpp (1.3) (+1 -5)
		src/skimpluginmanager.cpp (1.6) (+67 -60)

	done on-demand plugin load support; enabled/disabled plugins (setting in setupwindow) will take effect immediately.

2004-06-21	21:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/skimpluginmanager.cpp (1.5) (+0 -327)
		src/skimpluginmanager.h (1.4) (+3 -20)

	cleanup

2004-06-21	20:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/skimplugin.cpp (1.2) (+0 -11)

	cleanup

2004-06-21	19:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.75) (+1 -0)
		TODO (1.40) (+2 -2)
		plugins/inputwindow/inputwindow.cpp (1.35) (+20 -13)
		plugins/inputwindow/inputwindow.h (1.25) (+4 -0)
		plugins/inputwindow/skimplugin_inputwindow.desktop (1.2) (+10 -1)
		plugins/mainwindow/mainwindow.cpp (1.31) (+1 -1)
		plugins/setupwindow/scimsetupwindow.cpp (1.14) (+1 -43)
		plugins/setupwindow/scimsetupwindow.h (1.8) (+2 -0)
		src/skimglobalactions.cpp (1.12) (+12 -12)
		src/skimglobalactions.h (1.11) (+2 -2)
		src/skimpluginmanager.cpp (1.4) (+127 -15)
		src/skimpluginmanager.h (1.3) (+1 -22)

	rewrite module system to load plugin on-demand: still in progress (lack the capability to unload self)

2004-06-21	16:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.74) (+2 -0)
		plugins/mainwindow/mainwindow.cpp (1.30) (+1 -4)
		plugins/scimlauncher/scimlauncher.cpp (1.16) (+9 -81)
		src/socketserverthread.cpp (1.42) (+2 -2)

	work with scim-lib CVS HEAD

2004-06-20	23:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.73) (+3 -0)
		TODO (1.39) (+3 -1)
		plugins/mainwindow/mainwindow.cpp (1.29) (+4 -2)
		src/skimglobalactions.cpp (1.11) (+84 -72)
		src/skimglobalactions.h (1.10) (+4 -4)
		src/socketserverthread.cpp (1.41) (+46 -84)
		src/socketserverthread.h (1.29) (+8 -8)
		utils/scimactions.cpp (1.19) (+17 -12)
		utils/scimactions.h (1.14) (+3 -2)

	finally, skim can work with scim-lib CVS 20040618
	fixed a bug in scimaction about icononly buttons

2004-06-18	14:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.72) (+1 -0)
		src/skimglobalactions.cpp (1.10) (+26 -23)
		src/skimglobalactions.h (1.9) (+1 -1)
		src/socketserverthread.cpp (1.40) (+2 -2)
		utils/scimactions.cpp (1.18) (+7 -5)
		utils/scimactions.h (1.13) (+3 -3)

	shift PropertyRepository from vector to map, prepare for deletion of properties and insertItem functions in comboaction returns the id allocated

2004-06-18	01:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.71) (+2 -0)
		src/skimglobalactions.cpp (1.9) (+58 -15)
		src/skimglobalactions.h (1.8) (+3 -2)
		utils/scimactions.cpp (1.17) (+93 -41)
		utils/scimactions.h (1.12) (+10 -5)

	support hierarchical properties (without test, because of lack of GUI property support and it seems I can not use scim-uim to trigger some japanese IMs)

2004-06-17	21:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.70) (+1 -0)
		src/skimglobalactions.cpp (1.8) (+5 -28)
		src/skimglobalactions.h (1.7) (+2 -2)
		utils/scimactions.cpp (1.16) (+3 -3)

	add keyboard entry in server list and fixed a bug of missing icon for it

2004-06-17	20:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.69) (+1 -0)
		src/skimglobalactions.cpp (1.7) (+39 -28)
		src/skimglobalactions.h (1.6) (+1 -1)
		utils/scimactions.cpp (1.15) (+141 -6)
		utils/scimactions.h (1.11) (+28 -4)

	rewrite ScimComboAction: it now can handle nested popupmenus and rewrite the ServerAction

2004-06-17	14:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.68) (+1 -0)
		plugins/mainwindow/mainwindow.cpp (1.28) (+3 -1)
		src/skimglobalactions.cpp (1.6) (+8 -2)
		src/skimglobalactions.h (1.5) (+2 -0)

	fixed the order issue of inserted property buttons

2004-06-17	14:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/inputwindow.h (1.24) (+0 -6)

	cleanup

2004-06-17	12:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.67) (+1 -0)
		plugins/inputwindow/inputwindow.cpp (1.34) (+4 -3)
		plugins/inputwindow/inputwindow.h (1.23) (+2 -1)

	aux string attribute support implemented

2004-06-17	02:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.66) (+1 -1)

	ChangeLog

2004-06-17	02:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.65) (+2 -0)
		plugins/inputwindow/inputwindow.cpp (1.33) (+5 -1)
		plugins/inputwindow/scimlistbox.cpp (1.11) (+19 -1)
		plugins/inputwindow/scimstringrender.cpp (1.2) (+16 -15)

	highlight the selected candidate specified by the engine
	fixed some bugs in ScimStringRender

2004-06-17	01:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.64) (+1 -0)
		TODO (1.38) (+4 -1)
		plugins/inputwindow/inputwindow.cpp (1.32) (+6 -6)
		plugins/inputwindow/inputwindow.h (1.22) (+2 -2)
		plugins/kdetraystatus/kdetraystatus.cpp (1.23) (+4 -3)
		plugins/kdetraystatus/kdetraystatus.h (1.8) (+1 -1)
		src/skimglobalactions.cpp (1.5) (+13 -106)
		src/skimglobalactions.h (1.4) (+2 -2)
		src/socketserverthread.cpp (1.39) (+1 -1)
		src/socketserverthread.h (1.28) (+4 -4)
		utils/scimactions.cpp (1.14) (+1 -1)
		utils/scimactions.h (1.10) (+1 -1)

	cleanup and make some function variables as reference where possible

2004-06-17	00:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.63) (+1 -0)
		plugins/inputwindow/Makefile.am (1.11) (+2 -2)
		plugins/inputwindow/inputwindow.cpp (1.31) (+2 -2)
		plugins/inputwindow/scimlineedit.cpp (1.10) (+23 -101)
		plugins/inputwindow/scimlineedit.h (1.6) (+10 -14)
		plugins/inputwindow/scimstringlistitem.cpp (1.7) (+5 -116)
		plugins/inputwindow/scimstringlistitem.h (1.8) (+2 -1)
		plugins/inputwindow/scimstringrender.cpp (1.1) ( )
		plugins/inputwindow/scimstringrender.h (1.1) ( )

	new class ScimStringRender dedicated to manipluating draw a string associating with an attribute list and use this class to implement ScimStringListItem and ScimLineEdit

2004-06-16	23:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.62) (+3 -3)
		plugins/inputwindow/inputwindow.cpp (1.30) (+4 -4)
		plugins/inputwindow/inputwindow.h (1.21) (+1 -1)
		plugins/inputwindow/scimlistbox.h (1.13) (+1 -0)
		plugins/inputwindow/scimstringlistitem.cpp (1.6) (+67 -46)
		plugins/inputwindow/scimstringlistitem.h (1.7) (+1 -0)
		src/socketserverthread.cpp (1.38) (+4 -2)
		src/socketserverthread.h (1.27) (+1 -1)

	rewrite ScimStringListItem: inherit QFrame rather than QLabel, and the drawContent function is more efficient now
	updatelookuptable signal passes the index of the current highlighted candidate

2004-06-14	01:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.61) (+2 -0)
		plugins/inputwindow/inputwindow.cpp (1.29) (+6 -3)
		plugins/inputwindow/inputwindow.h (1.20) (+2 -1)
		plugins/inputwindow/scimlineedit.cpp (1.9) (+0 -2)
		plugins/inputwindow/scimlistbox.cpp (1.10) (+58 -51)
		plugins/inputwindow/scimlistbox.h (1.12) (+6 -2)
		plugins/inputwindow/scimstringlistitem.cpp (1.5) (+128 -10)
		plugins/inputwindow/scimstringlistitem.h (1.6) (+11 -6)
		src/socketserverthread.cpp (1.37) (+5 -74)
		src/socketserverthread.h (1.26) (+2 -1)

	implemented candidate attribute (primitively)

2004-06-12	22:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.60) (+1 -0)
		plugins/kdetraystatus/kdetraystatus.cpp (1.22) (+1 -1)
		plugins/scimlauncher/scimlauncher.cpp (1.15) (+101 -95)
		plugins/scimlauncher/scimlauncher.h (1.7) (+2 -2)
		src/skimglobalactions.cpp (1.4) (+15 -15)
		src/skimglobalactions.h (1.3) (+5 -19)
		src/socketserverthread.cpp (1.36) (+16 -16)
		src/socketserverthread.h (1.25) (+6 -13)

	work with scim-lib CVS HEAD, finally: now support new server/imengine API

2004-06-12	02:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.59) (+2 -0)
		plugins/inputwindow/inputwindow.cpp (1.28) (+7 -4)
		plugins/inputwindow/inputwindow.h (1.19) (+1 -1)
		plugins/inputwindow/scimlistbox.cpp (1.9) (+20 -8)
		plugins/inputwindow/scimlistbox.h (1.11) (+1 -1)
		src/socketserverthread.cpp (1.35) (+25 -34)
		src/socketserverthread.h (1.24) (+3 -3)

	work with updated lookup table API (as of scim CVS tag scim_before_rename_server), but still do not support candidates attribute

2004-06-11	01:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.58) (+1 -0)
		src/skimglobalactions.cpp (1.3) (+9 -6)

	improve the performance in globalactions a bit

2004-06-11	01:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	utils/scimtoolbar.cpp (1.4) (+0 -29)

	cleanup

2004-06-11	01:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.57) (+1 -0)
		TODO (1.35) (+0 -1)
		plugins/mainwindow/mainwindow.cpp (1.27) (+7 -26)

	fix: adjustSize abnormally functions when insert new action lists

2004-06-11	00:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.56) (+3 -0)
		TODO (1.33) (+2 -0)
		plugins/inputwindow/scimlineedit.cpp (1.8) (+2 -2)
		plugins/mainwindow/mainwindow.cpp (1.26) (+17 -5)
		plugins/mainwindow/mainwindow.h (1.16) (+1 -1)
		plugins/scimlauncher/scimlauncher.cpp (1.14) (+2 -3)
		src/main.cpp (1.24) (+1 -1)
		src/skimglobalactions.cpp (1.2) (+248 -61)
		src/skimglobalactions.h (1.2) (+44 -11)
		src/skimplugin.desktop (1.2) (+6 -0)
		src/skimpluginmanager.cpp (1.3) (+5 -23)
		src/skimpluginmanager.h (1.2) (+23 -36)
		src/socketserverthread.cpp (1.34) (+248 -206)
		src/socketserverthread.h (1.23) (+23 -19)
		utils/scimactions.cpp (1.13) (+62 -20)
		utils/scimactions.h (1.9) (+17 -4)
		utils/scimtoolbar.cpp (1.3) (+1 -0)

	property support partially implemented: first level frontend property is supported

2004-06-11	00:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	admin/detect-autoconf.sh (1.3) (+5 -0)

	prefer autoconf 2.59 rather than 2.57

2004-06-11	00:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/skimplugin_setupwindow.desktop (1.3) (+11 -2)

	added property X-KDE-PluginInfo-HasActions and X-KDE-PluginInfo-OnDemand

2004-05-30	18:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.55) (+1 -0)
		plugins/scimlauncher/scimlauncher.cpp (1.13) (+141 -115)
		plugins/scimlauncher/scimlauncher.h (1.6) (+6 -4)

	scimlauncher can start 2 scim thread to support gtk_immodule now

2004-05-30	17:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.54) (+1 -0)
		Makefile.am (1.4) (+1 -1)
		configure.in.in (1.23) (+2 -0)
		plugins/scimlauncher/scimlauncher.cpp (1.12) (+2 -2)
		scim/Makefile.am (1.1) ( )
		scim/config/Makefile.am (1.1) ( )
		scim/config/scim_kconfig_config.cpp (1.1) ( )
		scim/config/scim_kconfig_config.h (1.1) ( )
		src/socketserverthread.cpp (1.33) (+1 -0)

	New scim config module which is based on KConfig

2004-05-30	14:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.53) (+2 -0)
		plugins/scimlauncher/scimlauncher.cpp (1.11) (+23 -12)
		plugins/scimlauncher/scimlauncher.h (1.5) (+20 -9)
		src/skimpluginmanager.cpp (1.2) (+1 -1)
		src/socketserverthread.cpp (1.32) (+16 -2)
		src/socketserverthread.h (1.22) (+1 -1)

	Quit will cause skim crash now, but this is an issue deep into scim-lib

2004-05-25	01:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.52) (+2 -0)
		plugins/kdetraystatus/systemtrayplugin.cpp (1.2) (+1 -2)
		plugins/scimlauncher/Makefile.am (1.2) (+21 -6)
		plugins/scimlauncher/scimlauncher.cpp (1.10) (+332 -112)
		plugins/scimlauncher/scimlauncher.h (1.4) (+26 -14)

	Rewrite scimlauncher: now it directly call scim-lib functions/classes, rather than evoking scim via kprocess

2004-05-23	22:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/mainwindow/configmainwindow.cpp (1.1) ( )
		plugins/mainwindow/configmainwindow.h (1.1) ( )
		plugins/mainwindow/mainwindow_settings.ui (1.1) ( )
		plugins/mainwindow/skimplugin_mainwindow.desktop (1.1) ( )
		plugins/mainwindow/skimplugin_mainwindow_config.desktop (1.1) ( )

	kcmodule support

2004-05-23	22:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	scim_panel_kde.kdevelop (1.6) (+1 -1)
		plugins/kdetraystatus/kcmloader.cpp (1.3) (+1 -3)
		plugins/kdetraystatus/kcmloader.h (1.3) (+0 -3)

	cleanup

2004-05-21	22:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.51) (+2 -0)

	Rewrite mainwindow plugin using KCModule and kgenericfactory

2004-05-21	22:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/mainwindow/Makefile.am (1.12) (+20 -11)
		plugins/mainwindow/mainwindow.cpp (1.25) (+49 -29)
		plugins/mainwindow/mainwindow.h (1.15) (+19 -5)

	Rewrite mainwindow plugin using KCModule and kgenericfactory

2004-05-21	17:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/skimplugin_setupwindow.desktop (1.2) (+1 -0)

	add icon

2004-05-21	16:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/kdetraystatus/kcmloader.cpp (1.2) (+1 -10)
		plugins/kdetraystatus/kcmloader.h (1.2) (+0 -1)

	get rid of an unneeded layout

2004-05-19	09:1	James Su <suzhe@tsinghua.org.cn>

	Files:	src/socketserverthread.cpp (1.31) (+25 -50)

	Use new method scim_socket_trans_accept_connection to establish the socket connection.

2004-05-17	23:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.50) (+3 -0)
		configure.in.in (1.22) (+1 -1)
		scim_panel_kde.kdevelop (1.5) (+1 -1)
		doc/en/index.docbook (1.19) (+1 -1)

	0.8.0

2004-05-17	23:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/Makefile.am (1.10) (+21 -10)
		plugins/inputwindow/configinputwindow.cpp (1.1) ( )
		plugins/inputwindow/configinputwindow.h (1.1) ( )
		plugins/inputwindow/inputwindow.cpp (1.27) (+32 -37)
		plugins/inputwindow/inputwindow.h (1.18) (+21 -4)
		plugins/inputwindow/inputwindow_settings.ui (1.1) ( )
		plugins/inputwindow/scimlineedit.h (1.5) (+1 -1)
		plugins/inputwindow/skimplugin_inputwindow.desktop (1.1) ( )
		plugins/inputwindow/skimplugin_inputwindow_config.desktop (1.1) ( )

	new kde plugin system and kcmodule

2004-05-17	23:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/Makefile.am (1.6) (+9 -6)
		plugins/setupwindow/scimsetupwindow.cpp (1.13) (+150 -104)
		plugins/setupwindow/scimsetupwindow.h (1.7) (+26 -8)
		plugins/setupwindow/skimplugin_setupwindow.desktop (1.1) ( )

	new kde plugin system

2004-05-17	23:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/kdetraystatus/Makefile.am (1.7) (+17 -7)
		plugins/kdetraystatus/kcmloader.cpp (1.1) ( )
		plugins/kdetraystatus/kcmloader.h (1.1) ( )
		plugins/kdetraystatus/kdetraystatus.cpp (1.21) (+8 -36)
		plugins/kdetraystatus/kdetraystatus.h (1.7) (+3 -3)
		plugins/kdetraystatus/kdetraystatus_config.ui (1.1) ( )
		plugins/kdetraystatus/skimplugin_systemtray.desktop (1.1) ( )
		plugins/kdetraystatus/skimplugin_systemtray_config.desktop (1.1) ( )

	new kde plugin mechanism and kcmodule config plugin

2004-05-17	23:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/Makefile.am (1.12) (+12 -5)
		src/main.cpp (1.23) (+4 -3)
		src/skimglobalactions.cpp (1.1) ( )
		src/skimglobalactions.h (1.1) ( )
		src/skimplugin.cpp (1.1) ( )
		src/skimplugin.desktop (1.1) ( )
		src/skimplugin.h (1.1) ( )
		src/skimpluginmanager.cpp (1.1) ( )
		src/skimpluginmanager.h (1.1) ( )
		src/skimui.desktop (1.1) ( )
		src/socketserverthread.cpp (1.30) (+5 -5)

	rename modulescollection to skimpluginmanager
	rename scimglobalactions to skimglobalactions
	separate majority code into libskim library
	new skimplugin base class for all plugins
	added 2 desktop files

2004-05-17	23:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	utils/Makefile.am (1.6) (+2 -2)
		utils/kautocmodule.cpp (1.1) ( )
		utils/kautocmodule.h (1.1) ( )

	remove configpluginwidget
	new kautocmodule class for setup ui plugins

2004-05-12	17:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/scimlauncher/scimlauncher.cpp (1.9) (+6 -2)

	fixed a bug: when scim is started by scimlauncher, it can not exit normally when skim exist

2004-05-12	16:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.49) (+6 -0)
		src/socketserverthread.cpp (1.29) (+16 -0)
		src/socketserverthread.h (1.21) (+2 -0)

	scim config reload support

2004-05-09	14:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.48) (+3 -0)
		plugins/inputwindow/inputwindow.cpp (1.26) (+5 -15)
		plugins/inputwindow/inputwindow.h (1.17) (+1 -1)
		plugins/inputwindow/scimlistbox.cpp (1.8) (+57 -17)
		plugins/inputwindow/scimlistbox.h (1.10) (+5 -2)
		plugins/inputwindow/scimlookuptable.cpp (1.10) (+10 -1)
		plugins/inputwindow/scimlookuptable.h (1.4) (+1 -0)
		plugins/inputwindow/scimstringlistitem.cpp (1.4) (+13 -4)
		plugins/inputwindow/scimstringlistitem.h (1.5) (+2 -0)
		utils/scimkdeconfig.kcfg (1.11) (+4 -0)

	added an option in inputwindow: "enable mouse". If disabled, you can not use your mouse to select candidate but you will gain much speedup

2004-05-08	16:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/socketserverthread.cpp (1.28) (+4 -4)

	more fix of gcc 3.4 issue

2004-05-08	16:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/socketserverthread.cpp (1.27) (+20 -10)

	fix of the gcc 3.4 compilation issue

2004-05-08	01:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/mainwindow/mainwindow.cpp (1.23) (+1 -1)

	do not define iconsize

2004-05-08	01:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.47) (+1 -0)
		plugins/inputwindow/inputwindow.cpp (1.25) (+9 -5)
		plugins/inputwindow/inputwindow.h (1.16) (+1 -0)

	sticky option of inputwindow will take efforts immediately when user activate the action

2004-05-08	00:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.46) (+1 -0)
		TODO (1.31) (+1 -1)
		plugins/kdetraystatus/kdetraystatus.cpp (1.20) (+5 -4)
		utils/scimkdeconfig.kcfg (1.10) (+6 -0)

	added an option in kdesystray which can toggle "show quit" on/off in right click menu

2004-05-08	00:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.45) (+2 -0)
		plugins/kdetraystatus/kdetraystatus.cpp (1.19) (+10 -6)
		plugins/kdetraystatus/kdetraystatus.h (1.6) (+1 -1)
		src/socketserverthread.cpp (1.26) (+3 -19)
		src/socketserverthread.h (1.20) (+1 -1)

	unified the size of kdesystray icon with the other ones in system tray

2004-05-07	20:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.44) (+2 -0)
		plugins/inputwindow/inputwindow.cpp (1.24) (+2 -0)
		plugins/mainwindow/mainwindow.cpp (1.22) (+35 -8)
		plugins/mainwindow/mainwindow.h (1.14) (+5 -0)
		plugins/mainwindow/mainwindowui.rc (1.2) (+1 -0)
		src/socketserverthread.cpp (1.25) (+44 -50)
		utils/scimactions.cpp (1.12) (+12 -14)
		utils/scimactions.h (1.8) (+3 -2)
		utils/scimxmlguibuilder.cpp (1.2) (+3 -0)
		utils/scimxmlguibuilder.h (1.2) (+1 -0)

	fixed a bug: sticky option in inputwindow is not initialized
	make use of ActionList in mainwindow to dock external command actions, end users should remove their old rc file to see the list (~/.kde/share/apps/scim_panel_kde/mainwindowui.rc)

2004-05-07	17:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/kdetraystatus/kdetraystatus.cpp (1.18) (+3 -1)

	get rid of shortcut for quit action

2004-05-07	02:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.43) (+4 -0)
		TODO (1.30) (+2 -0)
		src/socketserverthread.cpp (1.24) (+605 -543)
		src/socketserverthread.h (1.19) (+20 -3)
		utils/scimactions.cpp (1.11) (+176 -174)
		utils/scimactions.h (1.7) (+17 -0)
		utils/scimtoolbar.cpp (1.2) (+4 -0)
		utils/scimtoolbar.h (1.2) (+2 -0)

	add new socket communication protocol to socketserver, now pass "testpanel 0" and "testpanel 1" test

2004-05-07	02:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/mainwindow/mainwindow.cpp (1.21) (+58 -64)
		plugins/mainwindow/mainwindow.h (1.13) (+1 -0)

	add a reload action in mainwindow if debug is enabled

2004-05-05	16:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/socketserverthread.cpp (1.23) (+65 -67)
		src/socketserverthread.h (1.18) (+4 -5)

	cleanup

2004-05-05	16:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/scimlistbox.h (1.9) (+1 -1)

	SCIM will use at most 16 candidates at a time

2004-05-05	16:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/scimlistbox.h (1.8) (+1 -1)

	SCIM will use at most 10 candidates at a time

2004-05-05	12:0	James Su <suzhe@tsinghua.org.cn>

	Files:	plugins/kdetraystatus/kdetraystatus.cpp (1.17) (+3 -1)

	action should be defined outside the DEBUG block.

2004-05-05	10:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.42) (+3 -0)
		plugins/kdetraystatus/kdetraystatus.cpp (1.16) (+4 -1)
		utils/scimactions.cpp (1.10) (+11 -3)

	fixed a bug: when multiple groups of IM available, the left button menu in kdesystray mal-functions

2004-05-05	10:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/socketserverthread.cpp (1.22) (+5 -20)

	socketserver thread now can generate proper x11FrontEndConnected signal

2004-05-03	21:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	utils/scimactions.cpp (1.9) (+2 -45)

	comment cleanup

2004-05-03	21:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.41) (+2 -0)
		plugins/kdetraystatus/kdetraystatus.cpp (1.15) (+34 -12)
		plugins/kdetraystatus/kdetraystatus.h (1.5) (+4 -0)
		po/zh_CN.gmo (1.4) (+3 -3)
		utils/scimactions.cpp (1.8) (+92 -69)
		utils/scimactions.h (1.6) (+2 -0)

	added a left click menu into kdesystemtray indicator which will popup a server list menu

2004-05-03	07:1	James Su <suzhe@tsinghua.org.cn>

	Files:	configure.in.in (1.21) (+11 -4)

	Fixed the SCIM version detection method.

2004-05-03	07:1	James Su <suzhe@tsinghua.org.cn>

	Files:	src/socketserverthread.cpp (1.21) (+3 -29)

	Connect the signals to the object methods directly.

2004-05-02	16:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	AUTHORS (1.4) (+1 -1)
		ChangeLog (1.40) (+24 -22)
		NEWS (1.4) (+2 -2)
		admin/ChangeLog (1.3) (+1 -1)
		doc/en/index.docbook (1.18) (+4 -4)
		po/zh_CN.po (1.4) (+2 -2)
		src/main.cpp (1.22) (+3 -3)

	email address changed

2004-05-02	16:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	configure.in.in (1.20) (+6 -1)
		src/socketserverthread.cpp (1.20) (+267 -195)
		src/socketserverthread.h (1.17) (+21 -3)

	updated to work with SCIM new socket communication protocol

2004-04-30	23:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.39) (+3 -0)

	display Chinese names correctly in server list menu (top level)
	fixed a bug in globalactions: crash when more than one input method groups are available

2004-04-30	21:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.38) (+2 -0)
		plugins/inputwindow/scimlineedit.cpp (1.7) (+4 -3)

	fixed a text draw bug in inputwindow preedit area

2004-04-30	20:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	doc/en/index.docbook (1.17) (+17 -2)

	added debian package

2004-04-29	22:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.37) (+5 -0)
		TODO (1.29) (+2 -1)
		acinclude.m4 (1.4) (+100 -52)
		configure.in.in (1.19) (+2 -2)
		src/socketserverthread.cpp (1.19) (+15 -9)
		src/socketserverthread.h (1.16) (+3 -2)
		utils/scimactions.cpp (1.7) (+88 -39)
		utils/scimactions.h (1.5) (+9 -10)

	pump to version 0.7.5, now requires SCIM 0.99.0

2004-04-29	20:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	doc/en/Makefile.am (1.2) (+4 -0)

	add a pesudo target web to generate a chunk file for http usage

2004-04-29	20:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	configure.in.in (1.18) (+6 -6)

	enable debug configure option is renamed to scim-debug

2004-04-29	16:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/scimlineedit.cpp (1.6) (+30 -24)

	fixed a bug: if no attribute list is specified, the preedit area will be empty

2004-04-28	23:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/scimlauncher/scimlauncher.cpp (1.8) (+1 -1)

	fixed another qt 3.2.x issue

2004-04-28	17:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	acinclude.m4 (1.3) (+52 -100)
		configure.in.in (1.17) (+1 -1)

	get rid of a potential error: flag != 4

2004-04-28	10:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	doc/en/index.docbook (1.13) (+10 -5)

	added stuff for configure SCIM

2004-04-28	09:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	utils/scimactions.cpp (1.6) (+1 -1)

	fixed bug: after reloading modules, server menu list takes no effect

2004-04-26	02:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.35) (+3 -1)
		TODO (1.27) (+1 -0)
		plugins/inputwindow/scimlineedit.cpp (1.5) (+23 -13)

	enlarged the height of preedit area in inputwindow and some cleanup

2004-04-25	00:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/scimlauncher/scimlauncher.cpp (1.7) (+5 -4)

	get rid of some warnings when disabled debug

2004-04-24	23:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.33) (+3 -0)
		doc/en/index.docbook (1.12) (+34 -5)

	update doc, added environment setup for XIM for KDE(tested under Gentoo)

2004-04-24	23:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.34) (+0 -1)
		NEWS (1.2) (+4 -0)

	move some stuff into NEWS

2004-04-24	23:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	configure.in.in (1.16) (+1 -3)

	pump verion to 0.7.4

2004-04-24	15:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.32) (+2 -0)
		plugins/setupwindow/interface_setup.ui (1.3) (+1 -1)

	downgrade ui file version from Qt 3.3 to Qt 3.2, so now it can be compiled with Qt 3.2.x

2004-04-23	16:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.31) (+1 -0)
		plugins/inputwindow/inputwindow.cpp (1.23) (+2 -0)
		plugins/inputwindow/scimlistbox.cpp (1.7) (+21 -11)
		plugins/inputwindow/scimlistbox.h (1.7) (+2 -1)
		plugins/inputwindow/scimlookuptable.cpp (1.9) (+0 -2)
		plugins/inputwindow/scimstringlistitem.cpp (1.3) (+5 -2)
		plugins/inputwindow/scimstringlistitem.h (1.4) (+2 -0)
		utils/scimkdeconfig.kcfg (1.9) (+4 -0)

	add an option to inputwindow: highlight_Candidate, when disabled, you can gain some speedup, although current selected candidate in lookup table will not be highlighted
	a little cleanup

2004-04-23	15:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/main.cpp (1.21) (+2 -4)
		src/socketserverthread.cpp (1.17) (+4 -2)
		src/socketserverthread.h (1.15) (+3 -0)

	cleanup

2004-04-23	15:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.29) (+3 -1)

	when 2 scim are started(gtk2 immodule enabled), one of them will retain after KDE is logged out

2004-04-23	13:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.28) (+2 -0)
		src/socketserverthread.cpp (1.16) (+21 -21)

	fixed a bug: can not compile socketserver with Qt 3.2.x

2004-04-19	17:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/scimlauncher/scimlauncher.cpp (1.6) (+27 -4)
		plugins/scimlauncher/scimlauncher.h (1.3) (+1 -0)

	now can start 2 scim to support gtk2 immodule

2004-04-19	17:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/socketserverthread.cpp (1.15) (+5 -6)
		src/socketserverthread.h (1.14) (+2 -2)

	fixed a bug: the server list popup menu is empty

2004-04-19	17:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	utils/scimactions.cpp (1.5) (+2 -3)

	cleanup

2004-04-18	22:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	po/scim_panel_kde.pot (1.4) (+19 -11)
		po/zh_CN.gmo (1.3) (+6 -6)
		po/zh_CN.po (1.3) (+24 -13)

	updated for 0.7.3

2004-04-18	20:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.26) (+2 -0)
		TODO (1.26) (+0 -1)
		plugins/setupwindow/scimsetupwindow.cpp (1.12) (+1 -2)

	only save persistant generalmodule in config file

2004-04-18	20:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/main.cpp (1.20) (+1 -3)

	cleanup

2004-04-18	18:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.25) (+1 -0)
		doc/en/index.docbook (1.7) (+145 -32)
		doc/en/inputwindow.png (1.1) ( )
		doc/en/kdesystray.png (1.1) ( )
		doc/en/mainwindow.png (1.1) ( )
		doc/en/setupwindow.png (1.1) ( )

	Add some screenshots into doc and some other stuff

2004-04-18	18:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	configure.in.in (1.14) (+1 -1)

	0.7.3

2004-04-18	17:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	configure.in.in (1.13) (+2 -0)
		plugins/scimlauncher/scimlauncher.cpp (1.5) (+0 -2)
		plugins/scimlauncher/scimlauncher.h (1.2) (+0 -3)

	fixed a bug: when enable_debug is disabled scimlauncher can not be compiled

2004-04-18	03:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.24) (+3 -0)
		TODO (1.25) (+3 -2)
		plugins/inputwindow/inputwindow.cpp (1.22) (+10 -3)
		plugins/kdetraystatus/kdetraystatus.cpp (1.14) (+11 -3)
		plugins/mainwindow/mainwindow.cpp (1.20) (+10 -3)
		plugins/scimlauncher/scimlauncher.cpp (1.4) (+13 -6)
		plugins/setupwindow/scimsetupwindow.cpp (1.11) (+20 -4)
		src/main.cpp (1.19) (+1 -1)
		src/socketserverthread.cpp (1.14) (+1 -0)
		utils/scimkdeconfig.kcfg (1.8) (+0 -3)

	rewrite module system: add a function: getInfo(); now only save uuids of modules, no more filenames
	fixed several bugs in scimlauncher

2004-04-17	12:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/scimlauncher/scimlauncher.cpp (1.3) (+13 -6)

	fixed a bug when starting scim

2004-04-17	02:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/scimlauncher/scimlauncher.cpp (1.2) (+15 -5)

	now can launch scim in order to support gtk2 immodule

2004-04-17	01:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	TODO (1.23) (+1 -0)
		plugins/Makefile.am (1.3) (+1 -1)
		plugins/scimlauncher/Makefile.am (1.1) ( )
		plugins/scimlauncher/scimlauncher.cpp (1.1) ( )
		plugins/scimlauncher/scimlauncher.h (1.1) ( )

	added a plugin which will start scim automatically when loaded

2004-04-17	01:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/inputwindow.h (1.15) (+0 -6)

	cleanup

2004-04-16	02:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.22) (+2 -0)
		scim_panel_kde.kdevelop (1.4) (+1 -0)
		src/main.cpp (1.18) (+3 -3)
		src/socketserverthread.cpp (1.13) (+13 -10)
		src/socketserverthread.h (1.13) (+1 -0)

	if socket server can not be created, exit immediately

2004-04-15	00:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	configure.in.in (1.12) (+1 -1)

	version 0.7.2

2004-04-15	00:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/main.cpp (1.17) (+4 -3)

	added credit for JamesSu

2004-04-14	01:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/socketserverthread.cpp (1.12) (+7 -51)

	cleanup

2004-04-14	00:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.21) (+3 -0)
		README (1.4) (+1 -7)
		TODO (1.21) (+2 -2)
		doc/en/index.docbook (1.6) (+3 -4)
		src/socketserverthread.cpp (1.11) (+50 -34)
		utils/scimkdeconfig.kcfg (1.6) (+113 -0)

	added almost every SCIM specific settings(excluding gtk panel);
	if a config option has not been set in skimrc, socket thread will return fail to honor scim default setting.

2004-04-13	15:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/mainwindow/mainwindow.cpp (1.19) (+20 -41)
		plugins/mainwindow/mainwindow.h (1.12) (+2 -0)
		src/main.cpp (1.16) (+1 -1)
		utils/scimdragableframe.h (1.2) (+4 -5)

	auto_snap support in mainwindow

2004-04-13	02:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	configure.in.in (1.10) (+1 -1)

	version comes to 0.7

2004-04-13	02:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.20) (+4 -0)
		plugins/inputwindow/inputwindow.cpp (1.21) (+13 -23)
		plugins/inputwindow/inputwindow.h (1.14) (+1 -1)
		plugins/inputwindow/scimlistbox.cpp (1.6) (+7 -1)
		plugins/inputwindow/scimlistbox.h (1.6) (+1 -0)
		plugins/inputwindow/scimlookuptable.cpp (1.8) (+1 -3)

	inputwindow will react to settings change immediately (no hassle of restart or reload module)

2004-04-13	01:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	TODO (1.20) (+1 -1)
		src/main.cpp (1.15) (+2 -2)
		src/socketserverthread.cpp (1.10) (+393 -94)
		src/socketserverthread.h (1.12) (+3 -0)

	ChangeLog

2004-04-13	00:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/kdetraystatus/kdetraystatus.cpp (1.13) (+1 -1)

	get rid of a warning

2004-04-12	18:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.19) (+2 -0)
		plugins/inputwindow/Makefile.am (1.9) (+1 -0)
		plugins/inputwindow/inputwindow.cpp (1.20) (+7 -1)
		utils/scimkdeconfig.kcfg (1.5) (+3 -0)

	setup ui for inputwindow and font customization support in input window

2004-04-12	16:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.18) (+2 -1)
		TODO (1.19) (+1 -0)
		plugins/kdetraystatus/kdetraystatus.cpp (1.12) (+2 -6)
		plugins/kdetraystatus/kdetraystatus.h (1.4) (+0 -1)

	earranged and rewrite some actions, now utilize KHelpMenu to simplify the code

2004-04-12	15:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.17) (+1 -0)
		utils/scimactions.cpp (1.4) (+4 -3)
		utils/scimactions.h (1.4) (+2 -1)

	fix a bug in scimactions

2004-04-12	04:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	TODO (1.17) (+1 -0)

	honor KDE global icons

2004-04-12	04:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.16) (+1 -0)
		icons/Makefile.am (1.3) (+2 -2)
		plugins/inputwindow/scimlookuptable.cpp (1.7) (+10 -5)
		plugins/setupwindow/scimsetupwindow.cpp (1.10) (+2 -2)

	honor KDE global icons

2004-04-12	03:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	doc/kdex.dtd (1.1) ( )

	used in docbook

2004-04-12	00:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.15) (+3 -0)

	improved scimactions in global actions collection

2004-04-12	00:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	utils/scimkdeconfig.kcfg (1.4) (+6 -2)

	added a existing setting

2004-04-11	17:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	TODO (1.16) (+2 -0)
		icons/pin_down.png (1.3) (+2 -13)
		icons/pin_up.png (1.3) (+5 -4)
		utils/scimactions.cpp (1.3) (+28 -7)
		utils/scimactions.h (1.3) (+10 -5)

	improve scimactions some global actions

2004-04-11	17:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.14) (+3 -0)
		doc/en/index.docbook (1.2) (+46 -50)
		plugins/setupwindow/scimsetupwindow.cpp (1.9) (+8 -2)
		plugins/setupwindow/scimsetupwindow.h (1.6) (+1 -0)
		src/main.cpp (1.14) (+2 -2)

	actions reside in main toolbar can be configured in setup UI

2004-04-11	15:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/inputwindow.cpp (1.19) (+1 -0)

	default status of preedit string should be hidden

2004-04-10	23:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.13) (+2 -1)
		TODO (1.15) (+1 -1)
		src/main.cpp (1.13) (+1 -3)
		utils/scimactions.cpp (1.2) (+9 -7)
		utils/scimactions.h (1.2) (+6 -4)

	fixed a bug when reloading it will crash

2004-04-10	22:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	TODO (1.14) (+2 -2)

	forgot to change this

2004-04-10	22:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/Makefile.am (1.11) (+2 -2)
		src/main.cpp (1.12) (+9 -2)
		src/socketserverthread.cpp (1.9) (+20 -11)
		src/socketserverthread.h (1.11) (+4 -1)

	scim_panel_kdeui.rc

2004-04-10	22:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.12) (+4 -0)
		TODO (1.13) (+2 -1)
		plugins/mainwindow/Makefile.am (1.10) (+5 -2)
		plugins/mainwindow/mainwindow.cpp (1.18) (+44 -71)
		plugins/mainwindow/mainwindow.h (1.11) (+7 -13)
		utils/Makefile.am (1.5) (+2 -2)

	disable xim support in Qt to fix some strange bug (like misbahivor when the first time clicking on server list button)
	every functions in mainwindow now become actions
	plugin can be XML-based (user customization support will come later

2004-04-10	22:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/mainwindow/mainwindowui.rc (1.1) ( )
		utils/scimactions.cpp (1.1) ( )
		utils/scimactions.h (1.1) ( )
		utils/scimtoolbar.cpp (1.1) ( )
		utils/scimtoolbar.h (1.1) ( )
		utils/scimxmlguibuilder.cpp (1.1) ( )
		utils/scimxmlguibuilder.h (1.1) ( )

	GUI now can be XML-based
	seperate some fundamental classes into utils dir

2004-04-09	16:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/main.cpp (1.11) (+1 -1)

	added global signal SettingsChanged

2004-04-09	15:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.11) (+3 -0)
		TODO (1.12) (+5 -3)
		plugins/inputwindow/inputwindow.cpp (1.18) (+2 -2)
		plugins/kdetraystatus/kdetraystatus.cpp (1.11) (+1 -1)
		plugins/mainwindow/mainwindow.cpp (1.17) (+2 -2)
		src/main.cpp (1.10) (+2 -1)
		src/socketserverthread.cpp (1.8) (+2 -2)
		src/socketserverthread.h (1.10) (+1 -1)

	scim can start scim-panel-kde now
	fix a bug which prevents inputwindow and mainwindow from displaying

2004-04-09	02:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.10) (+1 -0)
		plugins/setupwindow/scimsetupwindow.cpp (1.8) (+3 -2)

	Framework for mainwindow setup ui plugin is done

2004-04-09	02:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.9) (+1 -0)
		plugins/mainwindow/Makefile.am (1.9) (+1 -0)
		plugins/setupwindow/Makefile.am (1.5) (+4 -3)
		plugins/setupwindow/scimsetupwindow.cpp (1.7) (+20 -5)
		plugins/setupwindow/scimsetupwindow.h (1.5) (+6 -3)
		utils/Makefile.am (1.4) (+2 -2)

	ach plugins can install their setupui plugin(s) which will be incorporated into setupwindow
	some cleanup is still in progress

2004-04-08	22:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.8) (+1 -0)
		plugins/setupwindow/scimsetupwindow.cpp (1.6) (+19 -5)
		plugins/setupwindow/scimsetupwindow.h (1.4) (+2 -1)

	loaded plugins can also be updated in SetupUI when user press apply button

2004-04-08	19:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.7) (+1 -0)
		plugins/inputwindow/inputwindow.cpp (1.17) (+4 -2)
		plugins/kdetraystatus/kdetraystatus.cpp (1.10) (+4 -2)
		plugins/mainwindow/mainwindow.cpp (1.16) (+4 -2)
		plugins/setupwindow/scimsetupwindow.cpp (1.5) (+4 -1)

	xtended modules interface and modules definition

2004-04-08	19:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/Makefile.am (1.10) (+1 -1)

	extended modules interface and modules definition, added back moduletype

2004-04-08	18:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/Makefile.am (1.4) (+2 -2)
		plugins/setupwindow/scimsetupwindow.cpp (1.4) (+19 -8)
		plugins/setupwindow/scimsetupwindow.h (1.3) (+1 -1)

	added a base class for config plugins

2004-04-08	17:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.6) (+2 -0)
		plugins/inputwindow/scimlineedit.cpp (1.4) (+0 -1)
		plugins/inputwindow/scimlineedit.h (1.4) (+2 -2)

	modified to be appliant with current SCIM in its CVS head (move the location of scim_panel.h)

2004-04-08	15:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	bootstrap (1.3) (+10 -1)

	update to automake-1.8(experimental)

2004-04-08	01:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.5) (+3 -0)
		plugins/kdetraystatus/kdetraystatus.cpp (1.9) (+4 -0)
		plugins/setupwindow/Makefile.am (1.3) (+2 -4)
		plugins/setupwindow/interface_setup.ui (1.2) (+6 -0)
		plugins/setupwindow/scimsetupwindow.cpp (1.3) (+35 -3)
		plugins/setupwindow/scimsetupwindow.h (1.2) (+11 -4)

	SetupUI for plugins is available
	plugins can be dynamically loaded and unloaded without the bother of restart

2004-04-07	01:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.4) (+4 -0)
		TODO (1.11) (+3 -1)
		plugins/inputwindow/Makefile.am (1.8) (+1 -0)
		plugins/inputwindow/inputwindow.cpp (1.16) (+9 -5)
		plugins/kdetraystatus/Makefile.am (1.6) (+1 -0)
		plugins/kdetraystatus/kdetraystatus.cpp (1.8) (+10 -4)
		plugins/mainwindow/Makefile.am (1.8) (+3 -2)
		plugins/mainwindow/mainwindow.cpp (1.15) (+16 -12)
		plugins/setupwindow/.cvsignore (1.3) (+1 -0)
		plugins/setupwindow/Makefile.am (1.2) (+1 -0)
		plugins/setupwindow/scimsetupwindow.cpp (1.2) (+10 -4)
		src/Makefile.am (1.9) (+1 -1)
		src/main.cpp (1.9) (+9 -3)
		src/socketserverthread.h (1.9) (+5 -0)
		utils/scimkdeconfig.kcfg (1.3) (+13 -5)

	Rewrite plugin systems, support user customization(GUI not implemented)
	Rollback to KApplication from KUniqueApplication, for the latter one will always start as daemon
	Fix bug: when always_show is enabled, mainwindow will crash

2004-04-06	19:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	utils/scimkdeconfig.kcfg (1.2) (+5 -2)

	more verbose of some options

2004-04-06	18:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/mainwindow/mainwindow.cpp (1.14) (+3 -11)
		plugins/mainwindow/mainwindow.h (1.10) (+4 -8)

	clean up

2004-04-06	04:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.3) (+1 -1)
		TODO (1.10) (+2 -1)
		acinclude.m4 (1.2) (+1813 -1373)
		bootstrap (1.2) (+1 -1)
		configure.in.in (1.9) (+5 -5)
		plugins/Makefile.am (1.2) (+1 -1)
		plugins/inputwindow/Makefile.am (1.7) (+0 -7)
		plugins/inputwindow/inputwindow.cpp (1.15) (+8 -9)
		plugins/inputwindow/inputwindow.h (1.13) (+1 -1)
		plugins/mainwindow/mainwindow.cpp (1.13) (+15 -18)
		plugins/mainwindow/mainwindow.h (1.9) (+1 -1)
		po/Makefile.am (1.3) (+1 -1)
		po/scim_panel_kde.pot (1.2) (+27 -2)
		src/Makefile.am (1.8) (+2 -2)

	use KConfig XT (get rid of old panelconfig) to save scim-panel-kde specific settings

2004-04-06	04:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/setupwindow/Makefile.am (1.1) ( )
		plugins/setupwindow/interface_setup.ui (1.1) ( )
		plugins/setupwindow/scimsetupwindow.cpp (1.1) ( )
		plugins/setupwindow/scimsetupwindow.h (1.1) ( )

	finally, we get a usable SetupUI, although currently only scim-panel-kde specific settings are supported

2004-04-06	04:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	utils/Makefile.am (1.3) (+2 -1)
		utils/scimkdeconfig.kcfg (1.1) ( )
		utils/scimkdesettings.kcfgc (1.1) ( )

	added KConfig XT framwork support Data files

2004-04-06	04:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	admin/ChangeLog (1.2) (+2 -761)
		admin/Doxyfile.am (1.2) (+23 -7)
		admin/Doxyfile.global (1.2) (+346 -188)
		admin/Makefile.common (1.2) (+4 -3)
		admin/acinclude.m4.in (1.2) (+609 -623)
		admin/am_edit (1.2) (+425 -125)
		admin/conf.change.pl (1.2) (+5 -4)
		admin/config.pl (1.2) (+19 -18)
		admin/config.rpath (1.1) ( )
		admin/cvs-clean.pl (1.2) (+1 -1)
		admin/cvs.sh (1.2) (+237 -92)
		admin/debianrules (1.2) (+21 -97)
		admin/depcomp (1.2) (+30 -0)
		admin/detect-autoconf.sh (1.2) (+32 -21)
		admin/install-sh (1.2) (+66 -41)
		admin/libtool.m4.in (1.2) (+1202 -748)
		admin/ltmain.sh (1.2) (+1187 -416)

	upgrade to automake-1.7 with up-to-date KDE support built-in

2004-04-05	22:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ChangeLog (1.2) (+4 -0)
		plugins/inputwindow/inputwindow.cpp (1.14) (+5 -3)
		plugins/inputwindow/inputwindow.h (1.12) (+1 -1)
		plugins/mainwindow/mainwindow.cpp (1.12) (+12 -7)
		plugins/mainwindow/mainwindow.h (1.8) (+1 -1)
		src/Makefile.am (1.7) (+1 -1)

	use KConfig (get rid of old panelconfig) to save scim-panel-kde specific settings: ready for implement KConfig XT

2004-04-05	17:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/kdetraystatus/kdetraystatus.cpp (1.7) (+8 -6)
		plugins/kdetraystatus/kdetraystatus.h (1.3) (+0 -3)

	reload modules & quit only available when enabled debug

2004-04-05	17:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/main.cpp (1.8) (+3 -2)

	modifed to be unique application

2004-04-05	16:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/kdetraystatus/kdetraystatus.cpp (1.6) (+0 -2)
		plugins/mainwindow/mainwindow.cpp (1.11) (+1 -3)
		src/main.cpp (1.7) (+5 -3)
		src/socketserverthread.h (1.8) (+0 -3)

	header cleanup (config.h and etc.)

2004-04-05	16:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/kdetraystatus/Makefile.am (1.5) (+0 -9)

	cleaup

2004-04-05	16:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	configure.in.in (1.8) (+4 -5)
		po/Makefile.am (1.2) (+22 -0)

	added zh_CN translation

2004-04-05	16:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	ABOUT-NLS (1.1) ( )
		po/scim_panel_kde.pot (1.1) ( )
		po/zh_CN.gmo (1.1) ( )
		po/zh_CN.po (1.1) ( )

	added zh_CN translation

2004-04-04	23:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	configure.in.in (1.7) (+1 -1)

	ready for 0.6

2004-04-04	23:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	TODO (1.8) (+1 -1)

	Ready for 0.6

2004-04-04	23:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/mainwindow/mainwindow.cpp (1.10) (+14 -8)
		plugins/mainwindow/mainwindow.h (1.7) (+3 -0)

	add contextMenu in mainwindow

2004-04-04	23:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/Makefile.am (1.6) (+8 -8)
		plugins/inputwindow/scimlookuptable.cpp (1.6) (+7 -4)
		plugins/kdetraystatus/Makefile.am (1.4) (+6 -6)
		plugins/kdetraystatus/kdetraystatus.cpp (1.5) (+3 -1)
		plugins/mainwindow/Makefile.am (1.7) (+1 -15)

	icons cleanup

2004-04-04	23:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	icons/Makefile.am (1.2) (+5 -8)

	added 4 icons

2004-04-04	22:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/inputwindow.cpp (1.13) (+1 -0)
		plugins/kdetraystatus/kdetraystatus.cpp (1.4) (+2 -0)

	cleanup of header files

2004-04-04	22:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/mainwindow/mainwindow.cpp (1.9) (+0 -11)
		plugins/mainwindow/mainwindow.h (1.6) (+0 -7)

	cleanup

2004-04-04	22:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/mainwindow/mainwindow.cpp (1.8) (+14 -30)
		plugins/mainwindow/mainwindow.h (1.5) (+2 -6)
		src/Makefile.am (1.6) (+2 -2)

	central global kaction management is implemented
	mainwindow uses global kactions

2004-04-04	21:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	icons/pin_down.png (1.2) (+13 -2)
		icons/pin_up.png (1.2) (+4 -1)
		plugins/inputwindow/inputwindow.cpp (1.12) (+20 -1)
		plugins/inputwindow/inputwindow.h (1.11) (+2 -1)
		plugins/mainwindow/mainwindow.cpp (1.7) (+5 -4)

	implemented stick feature

2004-04-04	18:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/mainwindow/Makefile.am (1.6) (+1 -0)
		plugins/mainwindow/mainwindow.cpp (1.6) (+21 -214)
		plugins/mainwindow/mainwindow.h (1.4) (+11 -34)

	rewrite mainwindow with dragable window
	add a movehandler
	cleanup

2004-04-04	18:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	utils/scimdragableframe.cpp (1.3) (+0 -4)

	cleanup

2004-04-04	18:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/scimlookuptable.cpp (1.5) (+1 -1)

	when lookuptable detachs from inputwindow, its new position is the same as it attached

2004-04-04	17:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/inputwindow.cpp (1.11) (+10 -35)
		plugins/inputwindow/inputwindow.h (1.10) (+5 -6)
		plugins/inputwindow/scimlineedit.cpp (1.3) (+49 -15)
		plugins/inputwindow/scimlineedit.h (1.3) (+11 -4)
		plugins/inputwindow/scimlistbox.cpp (1.5) (+2 -2)
		plugins/inputwindow/scimlistbox.h (1.5) (+4 -2)
		plugins/inputwindow/scimlookuptable.cpp (1.4) (+10 -4)

	rewrite inputwindow with dragablewindows

2004-04-04	17:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	utils/Makefile.am (1.2) (+2 -2)
		utils/scimdragableframe.cpp (1.1) ( )
		utils/scimdragableframe.h (1.1) ( )
		utils/scimmovehandle.cpp (1.2) (+1 -57)
		utils/scimmovehandle.h (1.2) (+2 -24)

	added a base class for dragable window which will retain in screen visible area if required

2004-04-04	03:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	Makefile.am (1.2) (+1 -0)
		plugins/inputwindow/Makefile.am (1.5) (+3 -1)
		plugins/kdetraystatus/Makefile.am (1.3) (+2 -1)
		plugins/mainwindow/Makefile.am (1.5) (+2 -1)
		src/Makefile.am (1.5) (+1 -0)

	all plugins changed to pkglib
	added compile time variable SCIM_KDE_MODULE_PATH

2004-04-04	03:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/inputwindow.cpp (1.10) (+8 -3)
		plugins/inputwindow/scimlistbox.cpp (1.4) (+1 -0)
		plugins/inputwindow/scimlookuptable.cpp (1.3) (+30 -3)
		plugins/inputwindow/scimlookuptable.h (1.3) (+7 -1)

	added a 'button' at the end of lookuptable, doubleclick it will "dock/undock" lookuptable into/out of inputwindow

2004-04-04	03:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	utils/Makefile.am (1.1) ( )
		utils/scimmovehandle.cpp (1.1) ( )
		utils/scimmovehandle.h (1.1) ( )

	Some common class and/or function are placed here

2004-04-03	17:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/inputwindow.cpp (1.9) (+42 -56)
		plugins/inputwindow/inputwindow.h (1.9) (+12 -5)
		plugins/inputwindow/scimlineedit.cpp (1.2) (+0 -131)

	implemented Aux String Area in inputwindow, now adding phrases functions correctly

2004-04-01	12:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/inputwindow.cpp (1.8) (+6 -4)
		plugins/inputwindow/inputwindow.h (1.8) (+1 -1)
		plugins/inputwindow/scimlookuptable.cpp (1.2) (+6 -8)
		plugins/inputwindow/scimlookuptable.h (1.2) (+1 -0)
		src/socketserverthread.cpp (1.7) (+7 -1)
		src/socketserverthread.h (1.7) (+1 -1)

	rewrite lookuptable in inputwindow

2004-03-12	03:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	TODO (1.3) (+2 -2)
		plugins/inputwindow/Makefile.am (1.4) (+2 -2)
		plugins/inputwindow/inputwindow.cpp (1.7) (+52 -40)
		plugins/inputwindow/inputwindow.h (1.7) (+5 -5)
		plugins/inputwindow/scimlistbox.cpp (1.3) (+3 -2)
		plugins/inputwindow/scimlistbox.h (1.4) (+4 -4)
		plugins/inputwindow/scimlookuptable.cpp (1.1) ( )
		plugins/inputwindow/scimlookuptable.h (1.1) ( )
		src/main.cpp (1.6) (+1 -1)
		src/socketserverthread.cpp (1.6) (+10 -4)
		src/socketserverthread.h (1.6) (+4 -0)

	rewrite inputwindow: add a new class to group together some functions

2004-03-11	23:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/kdetraystatus/kdetraystatus.cpp (1.3) (+16 -3)
		plugins/kdetraystatus/kdetraystatus.h (1.2) (+1 -0)

	implemented icon update

2004-03-11	03:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/kdetraystatus/kdetraystatus.cpp (1.2) (+16 -2)

	use KActions now

2004-03-10	22:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/scimlistbox.cpp (1.2) (+7 -17)
		plugins/inputwindow/scimlistbox.h (1.3) (+1 -2)

	replace QVBoxLayout and QHBoxLayout with QBoxLayout

2004-03-10	22:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	scim_panel_kde.kdevelop (1.3) (+9 -1)
		plugins/mainwindow/Makefile.am (1.3) (+2 -2)
		plugins/mainwindow/mainwindow.cpp (1.3) (+191 -113)
		plugins/mainwindow/mainwindow.h (1.3) (+30 -19)
		src/Makefile.am (1.4) (+2 -3)
		src/hi16-app-scim_panel_kde.png (1.2) (+3 -1)
		src/hi32-app-scim_panel_kde.png (1.2) (+3 -14)
		src/main.cpp (1.5) (+1 -2)

	use KAction to manage GUI elements

2004-03-10	22:2	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/scimhelpdialog.cpp (1.1) ( )
		src/scimhelpdialog.h (1.1) ( )

	moved from plugins/mainwindow

2004-03-08	17:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/Makefile.am (1.3) (+1 -1)

	changed the name of the bin

2004-01-31	23:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	TODO (1.2) (+9 -0)
		src/main.cpp (1.4) (+21 -4)
		src/socketserverthread.cpp (1.5) (+13 -5)
		src/socketserverthread.h (1.5) (+2 -1)

	scim can start kde panel now
	added -d opinion to main

2004-01-31	05:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	configure.in.in (1.4) (+4 -2)

	version 0.5

2004-01-31	05:5	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/mainwindow/Makefile.am (1.2) (+4 -2)
		plugins/mainwindow/mainwindow.cpp (1.2) (+102 -53)
		plugins/mainwindow/mainwindow.h (1.2) (+20 -9)
		src/main.cpp (1.3) (+26 -3)
		src/socketserverthread.cpp (1.4) (+152 -125)
		src/socketserverthread.h (1.4) (+14 -5)

	implemented almost all the features existing in gtk panel 0.8.2

2004-01-30	17:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/inputwindow.cpp (1.6) (+27 -0)
		plugins/inputwindow/inputwindow.h (1.6) (+1 -0)

	while proper the size of window, make sure that all the window is visible in the desktop

2004-01-30	17:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/inputwindow.cpp (1.5) (+8 -1)
		plugins/inputwindow/inputwindow.h (1.5) (+1 -0)

	read LookupTableIsVertical from config file

2004-01-30	16:4	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/inputwindow.cpp (1.4) (+5 -40)
		plugins/inputwindow/inputwindow.h (1.4) (+0 -4)
		plugins/inputwindow/scimstringlistitem.cpp (1.2) (+0 -4)
		plugins/inputwindow/scimstringlistitem.h (1.2) (+0 -1)

	clean up

2004-01-30	16:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/inputwindow.cpp (1.3) (+13 -13)
		plugins/inputwindow/inputwindow.h (1.3) (+2 -2)
		src/socketserverthread.cpp (1.3) (+48 -0)
		src/socketserverthread.h (1.3) (+4 -0)

	implemented inputwindow lookuptable page up and page down button

2004-01-30	05:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	plugins/inputwindow/.cvsignore (1.2) (+6 -0)
		plugins/inputwindow/Makefile.am (1.2) (+2 -1)
		plugins/inputwindow/inputwindow.cpp (1.2) (+42 -32)
		plugins/inputwindow/inputwindow.h (1.2) (+5 -3)
		plugins/inputwindow/scimlineedit.cpp (1.1) ( )
		plugins/inputwindow/scimlineedit.h (1.1) ( )
		plugins/inputwindow/scimlistbox.cpp (1.1) ( )
		plugins/inputwindow/scimlistbox.h (1.1) ( )
		plugins/inputwindow/scimstringlistitem.cpp (1.1) ( )
		plugins/inputwindow/scimstringlistitem.h (1.1) ( )

	implemented all features in scim-panel-gtk(0.8.2), and add a feature in inputwindow

2004-01-30	05:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	src/socketserverthread.cpp (1.2) (+23 -1)
		src/socketserverthread.h (1.2) (+3 -2)

	added a slot and modified a signal to implement inputwindow features

2004-01-19	00:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	configure.in.in (1.3) (+7 -0)

	add source para ENABLE_DEBUG

2004-01-18	23:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	configure.in.in (1.2) (+23 -0)

	remove useless file configure

2003-09-18	13:3	LiuCougar <liuspider@users.sourceforge.net>

	Files:	.cvsignore (1.1) ( )
		src/.cvsignore (1.1) ( )

	ignore some useless files/dirs

2003-09-15	12:1	LiuCougar <liuspider@users.sourceforge.net>

	Files:	AUTHORS (1.2) (+1 -1)

	Change the author's name

2003-09-15	12:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	COPYING (1.1.1.1) (+0 -0)
		Doxyfile (1.1.1.1) (+0 -0)
		INSTALL (1.1.1.1) (+0 -0)
		Makefile.cvs (1.1.1.1) (+0 -0)
		configure.files (1.1.1.1) (+0 -0)
		inputwindow.h (1.1.1.1) (+0 -0)
		stamp-h.in (1.1.1.1) (+0 -0)
		admin/compile (1.1.1.1) (+0 -0)
		admin/config.guess (1.1.1.1) (+0 -0)
		admin/config.sub (1.1.1.1) (+0 -0)
		admin/configure.in.bot.end (1.1.1.1) (+0 -0)
		admin/configure.in.min (1.1.1.1) (+0 -0)
		admin/missing (1.1.1.1) (+0 -0)
		admin/mkinstalldirs (1.1.1.1) (+0 -0)
		admin/nmcheck (1.1.1.1) (+0 -0)
		admin/ylwrap (1.1.1.1) (+0 -0)
		src/scim_panel_kde.lsm (1.1.1.1) (+0 -0)
		templates/cpp (1.1.1.1) (+0 -0)
		templates/h (1.1.1.1) (+0 -0)

	init import of scim-panel-kde

2003-09-15	12:0	LiuCougar <liuspider@users.sourceforge.net>

	Files:	AUTHORS (1.1) ( )
		COPYING (1.1) ( )
		ChangeLog (1.1) ( )
		Doxyfile (1.1) ( )
		INSTALL (1.1) ( )
		Makefile.am (1.1) ( )
		Makefile.cvs (1.1) ( )
		NEWS (1.1) ( )
		README (1.1) ( )
		TODO (1.1) ( )
		acinclude.m4 (1.1) ( )
		bootstrap (1.1) ( )
		configure.files (1.1) ( )
		configure.in.in (1.1) ( )
		inputwindow.h (1.1) ( )
		scim_panel_kde.kdevelop (1.1) ( )
		stamp-h.in (1.1) ( )
		admin/ChangeLog (1.1) ( )
		admin/Doxyfile.am (1.1) ( )
		admin/Doxyfile.global (1.1) ( )
		admin/Makefile.common (1.1) ( )
		admin/acinclude.m4.in (1.1) ( )
		admin/am_edit (1.1) ( )
		admin/compile (1.1) ( )
		admin/conf.change.pl (1.1) ( )
		admin/config.guess (1.1) ( )
		admin/config.pl (1.1) ( )
		admin/config.sub (1.1) ( )
		admin/configure.in.bot.end (1.1) ( )
		admin/configure.in.min (1.1) ( )
		admin/cvs-clean.pl (1.1) ( )
		admin/cvs.sh (1.1) ( )
		admin/debianrules (1.1) ( )
		admin/depcomp (1.1) ( )
		admin/detect-autoconf.sh (1.1) ( )
		admin/install-sh (1.1) ( )
		admin/libtool.m4.in (1.1) ( )
		admin/ltmain.sh (1.1) ( )
		admin/missing (1.1) ( )
		admin/mkinstalldirs (1.1) ( )
		admin/nmcheck (1.1) ( )
		admin/ylwrap (1.1) ( )
		doc/Makefile.am (1.1) ( )
		doc/en/Makefile.am (1.1) ( )
		doc/en/index.docbook (1.1) ( )
		plugins/Makefile.am (1.1) ( )
		plugins/inputwindow/Makefile.am (1.1) ( )
		plugins/inputwindow/inputwindow.cpp (1.1) ( )
		plugins/inputwindow/inputwindow.h (1.1) ( )
		plugins/kdetraystatus/Makefile.am (1.1) ( )
		plugins/kdetraystatus/kdetraystatus.cpp (1.1) ( )
		plugins/kdetraystatus/kdetraystatus.h (1.1) ( )
		plugins/mainwindow/Makefile.am (1.1) ( )
		plugins/mainwindow/mainwindow.cpp (1.1) ( )
		plugins/mainwindow/mainwindow.h (1.1) ( )
		po/Makefile.am (1.1) ( )
		src/Makefile.am (1.1) ( )
		src/hi16-app-scim_panel_kde.png (1.1) ( )
		src/hi32-app-scim_panel_kde.png (1.1) ( )
		src/main.cpp (1.1) ( )
		src/scim_panel_kde.lsm (1.1) ( )
		src/socketserverthread.cpp (1.1) ( )
		src/socketserverthread.h (1.1) ( )
		templates/cpp (1.1) ( )
		templates/h (1.1) ( )

	Initial revision

